"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var AnalysisIcon = function AnalysisIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 1v14h14V1zm4.267 13H2V2h9.867a2.052 2.052 0 0 0-.72 1.44 1.504 1.504 0 0 0 .11.567 1.597 1.597 0 0 0-.421.644 1.425 1.425 0 0 0-.074.44 1.675 1.675 0 0 0-.536.432 1.316 1.316 0 0 0-.32 1.09 3.202 3.202 0 0 1 .066.414 1.983 1.983 0 0 0-.649.669 1.47 1.47 0 0 0-.674-.165 1.449 1.449 0 0 0-1.384 1.087 1.44 1.44 0 0 0-1.085-.47 1.62 1.62 0 0 0-1.591 1.643 2.162 2.162 0 0 0 .083.574c.022.007.004.036-.013.067a1.904 1.904 0 0 0-.276.955 1.371 1.371 0 0 0 .985 1.29A1.548 1.548 0 0 0 5.267 14zM14 14h-3.918c-.005-.037-.113-.274-.122-.309a1.498 1.498 0 0 0 .718-1.267 1.24 1.24 0 0 0-.053-.358 1.594 1.594 0 0 0 .326-.607c.03.002.062.003.093.003a1.415 1.415 0 0 0 .836-.266 1.517 1.517 0 0 0 .126.124 2.385 2.385 0 0 0 1.564.68H14zm0-3h-.43a1.464 1.464 0 0 1-.906-.433c-.264-.23-.258-.782-.617-.782-.482 0-.52.677-1.003.677-.219 0-.38-.177-.599-.177-.193 0-.445.102-.445.293v.502c0 .424-.506.508-.506.934 0 .171.184.236.184.41 0 .58-.893.502-.893 1.08 0 .191.215.305.215.486V14H6.693c-.2-.049-.376-.104-.435-.223-.407-.812.693-1.021.693-1.672 0-.16-.082-.488-.334-.513-.351-.035-.443.154-.797.154a.406.406 0 0 1-.437-.36c0-.386.308-.566.308-.952 0-.25-.102-.393-.102-.643a.619.619 0 0 1 .59-.643c.323 0 .464.264.618.54a.642.642 0 0 0 .617.308c.49 0 .798-.61.798-.977a.471.471 0 0 1 .437-.488c.347 0 .476.36.824.36.57 0 .55-.756 1.053-1.03.618-.332.438-1.052.36-1.44-.032-.169.29-.5.464-.487.72.05.412-.54.412-.823a.434.434 0 0 1 .022-.142c.111-.332.595-.438.595-.836 0-.281-.233-.41-.233-.693 0-.416.621-.967 1.284-1.44H14zM7.5 4.5a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm-3 3a1 1 0 1 1 1-1 1 1 0 0 1-1 1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21.981 15.677V2.02H2.021v19.96h19.96v-6.264l.019-.024zm-.981-.08c-.171.03-.36.045-.45.059a2.283 2.283 0 0 1-.366.04c-.295 0-.69-.347-.952-.577a1.218 1.218 0 0 1-.197-.36c-.135-.313-.361-.839-.962-.839a1.464 1.464 0 0 0-.981.383.578.578 0 0 1-.41.185.711.711 0 0 1-.22-.08 1.405 1.405 0 0 0-.61-.165.987.987 0 0 0-1.079.869v.695c0 .09-.046.15-.216.32a1.345 1.345 0 0 0-.485.975 1.06 1.06 0 0 0 .33.675c.033.038.079.093.101.097a1.71 1.71 0 0 1-.41.147c-.41.113-1.096.302-1.096 1.054a1.122 1.122 0 0 0 .294.675l.08.107c-.044.114-.128.303-.217.505-.096.221-.194.45-.27.638h-2.477v-.024a2.118 2.118 0 0 1 .17-.755l.048-.14a2.708 2.708 0 0 0 .173-.922c0-.805-.81-.994-1.294-1.107l-.429-.1c-.16-.319-.081-.448.33-.859a1.78 1.78 0 0 0 .68-1.25 1.107 1.107 0 0 0-.88-1.172 1.502 1.502 0 0 0-.79.127.878.878 0 0 1-.36.084.258.258 0 0 1-.144-.036.9.9 0 0 1 .158-.44 1.755 1.755 0 0 0 .27-.88 2.126 2.126 0 0 0-.086-.563 1.236 1.236 0 0 1-.056-.329.4.4 0 0 1 .356-.428c.145 0 .228.109.452.509a1.33 1.33 0 0 0 1.26.666c.956 0 1.567-1.076 1.567-1.816 0-.105.074-.215.144-.215.078 0 .146.045.292.156a1.356 1.356 0 0 0 .85.342 1.408 1.408 0 0 0 1.234-.921 1.372 1.372 0 0 1 .446-.56 2.01 2.01 0 0 0 .748-2.418c.046-.075.15-.184.141-.2a1.091 1.091 0 0 0 .943-.297 1.224 1.224 0 0 0 .156-1.09.946.946 0 0 1-.027-.264.925.925 0 0 1 .26-.278 1.34 1.34 0 0 0 .59-1.029 1.374 1.374 0 0 0-.22-.706.54.54 0 0 1-.103-.255c0-.051.101-.373.921-.818L18.231 3H21zM3 3h13.709a1.277 1.277 0 0 0-.347.83 1.375 1.375 0 0 0 .221.71.538.538 0 0 1 .102.251c0 .085-.064.153-.266.326a1.578 1.578 0 0 0-.536.687 1.085 1.085 0 0 0-.054.343 2.152 2.152 0 0 0 .05.388c.018.098.054.28.09.28a.496.496 0 0 1-.218.011 1.15 1.15 0 0 0-.84.438.972.972 0 0 0-.27.868c.151.742.151 1.188-.282 1.421a2.138 2.138 0 0 0-.812.92c-.214.38-.283.451-.429.451-.079 0-.146-.045-.293-.156a1.35 1.35 0 0 0-.849-.342 1.106 1.106 0 0 0-1.068 1.139c0 .298-.278.892-.644.892-.346 0-.414-.124-.465-.216a1.45 1.45 0 0 0-1.246-.96 1.32 1.32 0 0 0-1.28 1.353 2.126 2.126 0 0 0 .086.563 1.234 1.234 0 0 1 .056.328.9.9 0 0 1-.158.44 1.754 1.754 0 0 0-.27.881 1.02 1.02 0 0 0 1.068.96 1.788 1.788 0 0 0 .695-.146.808.808 0 0 1 .323-.084h.007a.496.496 0 0 1 .08.267c0 .176-.154.343-.407.596a1.52 1.52 0 0 0-.505 1.928 1.413 1.413 0 0 0 1.045.585c.184.042.525.121.58.207a1.807 1.807 0 0 1-.121.621l-.046.13a2.985 2.985 0 0 0-.223 1.066V21H3zm10.885 18l.117-.268c.274-.63.31-.716.31-.89a1.084 1.084 0 0 0-.288-.655c-.038-.05-.087-.13-.108-.117a1.41 1.41 0 0 1 .422-.158c.384-.106 1.098-.302 1.098-1.057a1.068 1.068 0 0 0-.332-.68c-.044-.05-.107-.121-.108-.073 0-.092.046-.152.217-.323a1.34 1.34 0 0 0 .484-.972v-.609a.46.46 0 0 1 .377.049 1.384 1.384 0 0 0 .608.165 1.467 1.467 0 0 0 .982-.382.71.71 0 0 1 .369-.202 1.303 1.303 0 0 1 .153.296 1.816 1.816 0 0 0 .437.689 2.562 2.562 0 0 0 1.561.808 3.36 3.36 0 0 0 .51-.052 2.764 2.764 0 0 1 .306-.034V21zM10.5 5.5a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm-4 4a1 1 0 1 1 1-1 1 1 0 0 1-1 1zm12 9a1 1 0 1 1-1-1 1 1 0 0 1 1 1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M3 3v26h26V3zm19.559 1c-1.098.577-2.226 1.098-2.226 2.12 0 .471.653 1.047.777 1.268a1.158 1.158 0 0 1 .09.177 2.906 2.906 0 0 0-.23.187c-.252.214-.805.507-.966.985a1.637 1.637 0 0 0-.085.52 3.067 3.067 0 0 0 .067.54l.006.03a1.905 1.905 0 0 0-1.2.696 1.421 1.421 0 0 0-.373 1.175l.02.102c.19.923.14 1.28-.206 1.465a3.306 3.306 0 0 0-1.13 1.437 1.971 1.971 0 0 1-.279.423c-.03-.016-.13-.093-.196-.143a2.03 2.03 0 0 0-1.236-.661 1.672 1.672 0 0 0-1.625 1.713c0 .3-.298.828-.515.828-.263 0-.295-.058-.312-.09a2.107 2.107 0 0 0-1.828-1.381 1.941 1.941 0 0 0-1.891 1.982 2.901 2.901 0 0 0 .116.775 1.293 1.293 0 0 1 .061.339.896.896 0 0 1-.161.41 2.473 2.473 0 0 0-.373 1.24 1.563 1.563 0 0 0 1.625 1.49 2.465 2.465 0 0 0 .974-.204 4.9 4.9 0 0 1 .12-.045v.006c0 .116-.236.35-.425.54-.48.48-1.548 1.284-.86 2.658a2.45 2.45 0 0 0 1.672.968 5.06 5.06 0 0 1 .496.135 2.246 2.246 0 0 1-.128.527l-.058.163a4.008 4.008 0 0 0-.295 1.428l-.012.063-.015.134H4V4zM18.28 28a5.86 5.86 0 0 0 .33-1.434v-.606l-.384-.175a1.242 1.242 0 0 0 .007-.127c.026-.019.217-.127.343-.198a1.961 1.961 0 0 0 1.226-1.707 1.35 1.35 0 0 0-.268-.794c.04-.045.096-.101.138-.143a1.97 1.97 0 0 0 .697-1.432v-.566a1.303 1.303 0 0 1 .131.045 2.248 2.248 0 0 0 .838.186 1.935 1.935 0 0 0 1.592-1.02l.104-.147a2.62 2.62 0 0 0 .582.805 2.366 2.366 0 0 0 1.674.545l1.6-.007a2.616 2.616 0 0 0 .903-.248l.207-.08V28zM28 19.898a1.009 1.009 0 0 0-.352.063l-.218.084a3.176 3.176 0 0 1-.54.18l-1.6.007a1.397 1.397 0 0 1-1.014-.296 1.728 1.728 0 0 1-.355-.515.998.998 0 0 0-.818-.53.85.85 0 0 0-.07-.003 1.013 1.013 0 0 0-.816.419l-.106.148c-.289.41-.468.594-.773.594a1.314 1.314 0 0 1-.47-.116 2.42 2.42 0 0 0-.237-.08 1 1 0 0 0-1.262.965v.566a1.021 1.021 0 0 1-.413.733c-.05.051-.116.118-.165.172a1 1 0 0 0-.071 1.252.352.352 0 0 1 .082.212c0 .368-.23.562-.718.836a12.11 12.11 0 0 0-.427.25 1.02 1.02 0 0 0-.425.83 1.002 1.002 0 0 0 .378.905 7.819 7.819 0 0 1-.286 1.134.976.976 0 0 0-.018.292h-4.34a1.061 1.061 0 0 0 .02-.197 3.08 3.08 0 0 1 .237-1.095l.06-.168a3.231 3.231 0 0 0 .179-.756 1 1 0 0 0-.653-1.039 6.17 6.17 0 0 0-.612-.168c-.844-.198-.985-.404-1.005-.443-.254-.506-.112-.753.506-1.341l.18-.174a1.806 1.806 0 0 0 .705-1.241 1 1 0 0 0-1.325-.946l-.16.06a1.487 1.487 0 0 1-.61.134.577.577 0 0 1-.624-.49 1.53 1.53 0 0 1 .248-.758 1.752 1.752 0 0 0 .286-.892 2.245 2.245 0 0 0-.094-.597 1.906 1.906 0 0 1-.083-.516.941.941 0 0 1 .891-.982c.398 0 .596.227.943.845a1.232 1.232 0 0 0 1.197.625c.911 0 1.516-1.1 1.516-1.827a.674.674 0 0 1 .625-.713c.098 0 .277.157.407.27.083.073.158.138.253.21a3.494 3.494 0 0 0 .29.2.997.997 0 0 0 1.037-.045 2.014 2.014 0 0 0 .594-.764l.116-.214a2.143 2.143 0 0 1 .618-.832c1.111-.6.85-1.866.712-2.542l-.02-.098a.522.522 0 0 1 .162-.344.92.92 0 0 1 .528-.34 1.01 1.01 0 0 0 .7-.41 1.03 1.03 0 0 0 .179-.802 2 2 0 0 1-.05-.352.626.626 0 0 1 .03-.193 1.85 1.85 0 0 1 .394-.34c.105-.077.2-.147.312-.243l.107-.089a1.001 1.001 0 0 0 .423-.997 1.476 1.476 0 0 0-.204-.499 3.111 3.111 0 0 0-.319-.424 3.728 3.728 0 0 1-.321-.415c.087-.34.854-.74 1.478-1.066l.204-.107A.99.99 0 0 0 23.547 4H28zM13.5 7.5a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm-5 5a1 1 0 1 1 1-1 1 1 0 0 1-1 1zm16 11a1 1 0 1 1-1-1 1 1 0 0 1 1 1z"
  }));
};

var _default = AnalysisIcon;
exports["default"] = _default;