"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var CollectionIcon = function CollectionIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M0 0v10h10V0zm1 9V1h5.098a1.277 1.277 0 0 0-.28 1.041 1.272 1.272 0 0 0-.168.328c-.015.044-.028.09-.038.138a1.454 1.454 0 0 0-.237.228 1.182 1.182 0 0 0-.283.957.696.696 0 0 0-.06.062 1.235 1.235 0 0 0-1.175.418 1.273 1.273 0 0 0-.468-.086 1.355 1.355 0 0 0-1.34 1.367 1.493 1.493 0 0 0 .03.29 1.44 1.44 0 0 0-.144.62 1.19 1.19 0 0 0 .476.948 1.327 1.327 0 0 0 .129.869 1.127 1.127 0 0 0 .439.47 1.75 1.75 0 0 0-.017.24V9zm8 0H6.416c.007-.188.011-.353.014-.453a1.207 1.207 0 0 0 .546-1.018v-.04a1.28 1.28 0 0 0 .091-.15 1.143 1.143 0 0 0 .163-.056 1.82 1.82 0 0 0 .955.23h.359c.067 0 .242-.02.456-.052zm0-8v5.449c-.24.037-.434.065-.456.065h-.36a.735.735 0 0 1-.519-.147c-.151-.13-.147-.396-.352-.396-.276 0-.297.412-.573.412-.125 0-.184-.088-.31-.088a.201.201 0 0 0-.22.18v.285c0 .242-.322.29-.322.535 0 .098.088.135.088.234 0 .33-.588.285-.588.617 0 .108.04.174.043.278v.015c0 .052-.006.287-.018.561h-1.45l-.001-.11a1.23 1.23 0 0 1 .1-.43.923.923 0 0 0 .061-.317c0-.313-.595-.223-.688-.41-.234-.467.395-.587.395-.958 0-.09-.047-.277-.191-.293-.201-.021-.254.088-.454.088a.232.232 0 0 1-.25-.207c0-.22.174-.322.174-.543 0-.144-.06-.224-.06-.367a.354.354 0 0 1 .34-.367c.183 0 .264.15.352.307a.368.368 0 0 0 .353.177c.28 0 .455-.35.455-.556a.271.271 0 0 1 .25-.282c.2 0 .272.206.47.206.327 0 .316-.432.604-.586.353-.192.25-.604.205-.823-.018-.1.165-.287.264-.281.411.031.236-.308.236-.469a.197.197 0 0 1 .014-.082c.062-.19.339-.25.339-.478 0-.158-.132-.235-.132-.397 0-.238.233-.393.602-.569A.528.528 0 0 0 7.58 1zm6 14V6h-1V5h2v11H5v-2h.941v1zm-3-3V3h-1V2h2v11H2v-2h1v1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2 2v15h15V2zm1 14V3h8.81a1.487 1.487 0 0 0-.194 1.43 1.555 1.555 0 0 0-.398.614 1.306 1.306 0 0 0-.074.415 1.654 1.654 0 0 0-.511.417 1.305 1.305 0 0 0-.315 1.084 3.333 3.333 0 0 1 .063.37 1.957 1.957 0 0 0-.602.616 1.447 1.447 0 0 0-.637-.148 1.43 1.43 0 0 0-1.353 1.018 1.423 1.423 0 0 0-1.03-.422 1.598 1.598 0 0 0-1.568 1.62 2.107 2.107 0 0 0 .081.561.033.033 0 0 0 .02-.015 1.987 1.987 0 0 0-.299.992 1.355 1.355 0 0 0 .933 1.264 1.558 1.558 0 0 0 .017 1.49 1.405 1.405 0 0 0 .927.699 2.522 2.522 0 0 0-.141.81L6.73 16zm13 0h-4.874c.03-.45.041-.826.041-.833v-.136l-.012-.048a1.525 1.525 0 0 0 .928-1.353 1.276 1.276 0 0 0-.03-.277 1.557 1.557 0 0 0 .381-.659 1.376 1.376 0 0 0 .811-.3l.035.03a2.233 2.233 0 0 0 1.53.494h.606a2.194 2.194 0 0 0 .584-.104zm0-13v8.782c-.29.075-.54.136-.584.136h-.606a1.242 1.242 0 0 1-.875-.249c-.255-.22-.248-.669-.595-.669-.466 0-.501.696-.967.696-.21 0-.31-.151-.52-.151a.342.342 0 0 0-.372.305v.483c0 .409-.547.49-.547.9 0 .166.15.23.15.396 0 .559-.994.484-.994 1.042 0 .183.068.293.075.469a.113.113 0 0 1 .002.027c0 .103-.015.456-.043.833H7.73l-.001-.184a2.062 2.062 0 0 1 .17-.726A1.59 1.59 0 0 0 8 14.553c0-.528-1.006-.378-1.164-.695-.393-.785.668-.987.668-1.612 0-.154-.08-.47-.323-.497-.338-.034-.426.15-.767.15a.39.39 0 0 1-.422-.348c0-.372.297-.545.297-.917 0-.243-.1-.38-.1-.62a.597.597 0 0 1 .57-.62c.312 0 .446.255.595.52a.62.62 0 0 0 .596.298c.472 0 .769-.588.769-.942a.456.456 0 0 1 .422-.473c.334 0 .459.348.793.348.552 0 .532-.73 1.017-.99.596-.322.422-1.019.347-1.39-.033-.165.28-.483.446-.473.695.052.398-.518.398-.792a.39.39 0 0 1 .022-.136c.108-.32.574-.422.574-.807 0-.27-.224-.396-.224-.668 0-.33.4-.628.883-.889zm3 16V6h-1V5h2v15H5v-2h1v1zm3 3V9h-1V8h2v15H8v-2h1v1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M22 2H2v20h20zM3 21V3h13.287a2.523 2.523 0 0 0-1.241 1.852 1.71 1.71 0 0 0 .204.801 1.92 1.92 0 0 0-.618.846 1.47 1.47 0 0 0-.081.501q0 .066.007.14a1.93 1.93 0 0 0-.764.573 1.416 1.416 0 0 0-.35 1.17 2.006 2.006 0 0 1 .072.76 2.51 2.51 0 0 0-.997 1.069 1.699 1.699 0 0 0-.97-.316 1.6 1.6 0 0 0-1.563 1.631.515.515 0 0 1-.06.172 1.77 1.77 0 0 0-1.553-1.008 1.797 1.797 0 0 0-1.759 1.829 2.473 2.473 0 0 0 .098.664.735.735 0 0 1 .034.162c-.005.002-.046.078-.076.133a2.17 2.17 0 0 0-.32 1.09 1.508 1.508 0 0 0 1.455 1.458 1.731 1.731 0 0 0 1.128 2.908l.02.004-.05.141A2.882 2.882 0 0 0 8.767 21zm18 0h-7.04c.008-.09.013-1.178.013-1.26 0-.03-.002-.062-.005-.097a2.144 2.144 0 0 0-.045-.337l.047-.023a1.794 1.794 0 0 0 1.224-1.594 1.345 1.345 0 0 0-.081-.461 1.71 1.71 0 0 0 .606-1.13 1.555 1.555 0 0 0 .195.013 1.58 1.58 0 0 0 1.185-.54 1.691 1.691 0 0 0 .243.26 2.491 2.491 0 0 0 1.821.577 4.318 4.318 0 0 0 1.837-.57zm0-6.13c-.407.11-.894.538-1.028.538h-.809a1.656 1.656 0 0 1-1.166-.332c-.34-.295-.331-.892-.794-.892-.621 0-.668.927-1.289.927-.281 0-.413-.2-.694-.2a.456.456 0 0 0-.495.405v.645c0 .545-.73.654-.73 1.2 0 .222.2.306.2.529 0 .744-1.325.644-1.325 1.388 0 .244.09.39.1.625a.145.145 0 0 1 .003.037A5.369 5.369 0 0 1 12.75 21H9.68a4.04 4.04 0 0 1-.015-.246 2.749 2.749 0 0 1 .226-.967 2.12 2.12 0 0 0 .137-.717c0-.703-1.342-.504-1.552-.926-.525-1.046.89-1.316.89-2.15 0-.205-.105-.627-.43-.662-.452-.045-.569.2-1.023.2a.52.52 0 0 1-.562-.464c0-.496.395-.726.395-1.222 0-.325-.132-.506-.132-.827a.795.795 0 0 1 .759-.828c.416 0 .595.34.794.694a.828.828 0 0 0 .794.398c.63 0 1.025-.785 1.025-1.256a.608.608 0 0 1 .563-.63c.445 0 .612.462 1.057.462.736 0 .71-.972 1.357-1.32.794-.428.562-1.357.463-1.852-.044-.22.372-.644.595-.63.925.068.53-.692.53-1.057a.52.52 0 0 1 .03-.182c.143-.425.764-.562.764-1.076 0-.36-.3-.527-.3-.89 0-.54.798-1.022 1.63-1.418A.665.665 0 0 0 18.026 3H21zM25 7h-2V6h3v20H6v-3h1v2h18zm5 3v20H10v-3h1v2h18V11h-2v-1z"
  }));
};

var _default = CollectionIcon;
exports["default"] = _default;