"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var FingerprintIcon = function FingerprintIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.647 12.937a.467.467 0 0 1-.457-.372 10.927 10.927 0 0 1-.217-1.661 7.297 7.297 0 0 1 3.953-7.206.468.468 0 0 1 .447.822 6.414 6.414 0 0 0-3.467 6.334 10.133 10.133 0 0 0 .199 1.519.467.467 0 0 1-.361.554.472.472 0 0 1-.097.01zm8.144 2.728a.468.468 0 0 0-.273-.603 4.574 4.574 0 0 1-2.778-3.92c-.077-.889.136-1.435.313-1.539.297-.178 1.222.258 1.966.607 1.252.587 2.671 1.253 3.973.894a2.613 2.613 0 0 0 1.937-3.268c-.476-2.368-3.473-5.348-7.864-4.785a.468.468 0 1 0 .12.928c3.823-.489 6.422 2.03 6.827 4.041a1.702 1.702 0 0 1-1.27 2.183c-.968.265-2.22-.322-3.326-.84-1.135-.532-2.114-.991-2.839-.566a2.495 2.495 0 0 0-.769 2.426 5.515 5.515 0 0 0 3.381 4.715.475.475 0 0 0 .165.03.469.469 0 0 0 .438-.303zm3.211-1.612a.468.468 0 0 0-.334-.572 10.768 10.768 0 0 1-3.502-1.787.468.468 0 0 0-.568.744 11.605 11.605 0 0 0 3.833 1.949.475.475 0 0 0 .12.015.468.468 0 0 0 .451-.35zm-7.224 1.424a.468.468 0 0 0-.04-.66 4.881 4.881 0 0 1-1.745-4.764A3.999 3.999 0 0 1 6.705 7.03c1.557-.454 3.3.174 4.902 1.77a.468.468 0 1 0 .66-.663C9.765 5.645 7.545 5.812 6.444 6.131A4.935 4.935 0 0 0 3.08 9.848a5.788 5.788 0 0 0 2.037 5.669.467.467 0 0 0 .66-.04zM2.906 3.028a7.582 7.582 0 0 1 9.825-.479.468.468 0 0 0 .561-.748 8.513 8.513 0 0 0-11.026.546.468.468 0 1 0 .64.681z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.16 20.176a.475.475 0 0 1-.439-.294 9.428 9.428 0 0 1 5-12.11.475.475 0 0 1 .364.875A8.464 8.464 0 0 0 4.6 19.521a.474.474 0 0 1-.259.62.48.48 0 0 1-.18.035zm14.544-2.648c1.52-.571 2.17-2.01 1.74-3.853-.686-2.943-4.361-6.932-9.215-6.447a.475.475 0 1 0 .094.944 8.021 8.021 0 0 1 8.198 5.72 2.143 2.143 0 0 1-1.15 2.747c-.853.32-1.816-.386-2.99-1.343a.474.474 0 1 0-.599.735c.911.743 2.005 1.636 3.158 1.636a2.154 2.154 0 0 0 .764-.14zm-3.785 4.917a.475.475 0 0 0-.237-.627c-3.015-1.361-5.06-4.272-5.078-6.135a1.351 1.351 0 0 1 .754-1.358 2.579 2.579 0 0 1 2.614.342.474.474 0 1 0 .493-.811 3.521 3.521 0 0 0-3.514-.389 2.287 2.287 0 0 0-1.296 2.225c.02 2.147 2.181 5.431 5.636 6.99a.475.475 0 0 0 .628-.237zm4.019-1.766a.475.475 0 0 0-.344-.576c-2.603-.658-5.336-2.514-6.357-4.318a.475.475 0 1 0-.826.468c1.307 2.309 4.486 4.147 6.95 4.77a.48.48 0 0 0 .117.014.475.475 0 0 0 .46-.358zm-9.97 2.22a.475.475 0 0 0 .141-.656c-3.359-5.215-2.254-8.739-.287-10.172 1.93-1.407 5.336-1.247 7.848 1.813a.474.474 0 1 0 .733-.601c-2.88-3.512-6.858-3.64-9.14-1.978-2.3 1.675-3.668 5.68.049 11.452a.474.474 0 0 0 .655.142zM4.85 4.397c1.323-1.234 8.372-4.568 13.677-.33a.474.474 0 1 0 .592-.74c-5.494-4.39-12.897-1.51-14.916.377a.474.474 0 1 0 .647.693zm17.347 8.67a.475.475 0 0 0 .378-.555 10.525 10.525 0 0 0-9.397-8.332 10.523 10.523 0 0 0-11.054 6.63.475.475 0 0 0 .87.38c1.872-4.3 5.64-6.57 10.078-6.067a9.58 9.58 0 0 1 8.57 7.565.475.475 0 0 0 .466.387.496.496 0 0 0 .089-.009z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7.008 27.367a.477.477 0 0 1-.46-.357c-1.837-7.067.516-12.907 6.14-15.24a.476.476 0 0 1 .366.879c-5.23 2.17-7.319 7.45-5.585 14.122a.476.476 0 0 1-.341.58.463.463 0 0 1-.12.016zm17.898-5.725c1.07-.757 1.32-2.417.655-4.333a9.849 9.849 0 0 0-10.153-6.268.475.475 0 0 0-.45.5.482.482 0 0 0 .501.45c4.91-.256 8.165 2.639 9.203 5.63.505 1.454.382 2.757-.306 3.243-1.136.804-2.333-.05-4.169-1.552-1.498-1.226-3.043-2.493-4.756-2.205a4.212 4.212 0 0 0-3.458 3.748.476.476 0 0 0 .939.162 3.331 3.331 0 0 1 2.677-2.971c1.28-.219 2.662.911 3.995 2.002 1.259 1.03 2.548 2.086 3.857 2.086a2.49 2.49 0 0 0 1.465-.492zm-6.853 8.918a.476.476 0 0 0-.254-.623 8.689 8.689 0 0 1-4.828-6.353.476.476 0 1 0-.936.179 9.595 9.595 0 0 0 5.394 7.05.475.475 0 0 0 .624-.253zm-6.27-.494a.476.476 0 0 0 .142-.658c-3.667-5.675-2.38-10.952.786-13.231 2.257-1.626 6.124-1.98 9.601 2.37a.476.476 0 0 0 .743-.594c-3.643-4.559-8.101-4.564-10.9-2.55-3.531 2.543-5.019 8.347-1.03 14.522a.476.476 0 0 0 .659.141zM5.729 9.926c2.73-2.754 8.611-4.914 14.136-3.493a.476.476 0 0 0 .237-.922c-5.933-1.526-12.06.73-15.049 3.746a.476.476 0 1 0 .676.67zm22.016 1.233a.476.476 0 0 0 .065-.67 14.805 14.805 0 0 0-5.247-4.104.476.476 0 1 0-.399.865 13.859 13.859 0 0 1 4.91 3.844.476.476 0 0 0 .67.065zm-3.57-6.447a.476.476 0 0 0-.126-.662c-4.23-2.88-10.981-2.27-14.213-.949a.476.476 0 0 0 .36.88c3.161-1.29 9.549-1.711 13.317.856a.476.476 0 0 0 .661-.125zM28.257 19.5a.476.476 0 0 0 .421-.524A12.355 12.355 0 0 0 21.285 8.97C15.677 6.853 8.024 7.92 3.368 17.255a.476.476 0 0 0 .852.425c2.867-5.749 8.766-10.822 16.729-7.82a11.404 11.404 0 0 1 6.784 9.218.475.475 0 0 0 .525.421zm-1.417 5.041a4.693 4.693 0 0 0 1.824-3.283.476.476 0 1 0-.942-.135 3.78 3.78 0 0 1-1.443 2.649c-1.524 1.11-3.763.97-5.84-.363a.476.476 0 0 0-.515.801 7.398 7.398 0 0 0 3.952 1.26 4.97 4.97 0 0 0 2.964-.928zm-2.423 4.475a.476.476 0 0 0-.39-.548 11.72 11.72 0 0 1-6.982-3.552c-1.462-1.768-1.47-2.904-1.13-3.204.32-.285 1.127-.085 1.918.747a.476.476 0 0 0 .69-.656c-1.306-1.37-2.595-1.376-3.241-.803-.721.64-.884 2.208 1.03 4.522a12.502 12.502 0 0 0 7.557 3.885.437.437 0 0 0 .08.007.476.476 0 0 0 .468-.398z"
  }));
};

var _default = FingerprintIcon;
exports["default"] = _default;