"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var GeonetIcon = function GeonetIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 12h4V0H0v12h8.3l3.7 3.7zm-1 1.286L8.714 11H1V1h14v10h-4zM9.2 3H7.8a.8.8 0 0 0-.8.8v2.4a.8.8 0 0 0 .8.8h1.4a.8.8 0 0 0 .8-.8V6H8V5h2V3.8a.8.8 0 0 0-.8-.8zM9 4.5H8V4h1zM5.2 3H3.8a.8.8 0 0 0-.8.8v2.4a.8.8 0 0 0 .8.8H5v1H3v.2a.8.8 0 0 0 .8.8h1.4a.8.8 0 0 0 .8-.8V3.8a.8.8 0 0 0-.8-.8zM5 6H4V4h1zm8.2-3h-1.4a.8.8 0 0 0-.8.8v2.4a.8.8 0 0 0 .8.8h1.4a.8.8 0 0 0 .8-.8V3.8a.8.8 0 0 0-.8-.8zM13 6h-1V4h1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M0 18h13.5l5.5 5.5V18h5V3H0zM1 4h22v13h-5v4.086L13.914 17H1zm5.974 3.868H6.95a2.077 2.077 0 0 0-.896-.812 2.7 2.7 0 0 0-1.18-.272 2.92 2.92 0 0 0-1.182.232 2.706 2.706 0 0 0-.904.632 2.839 2.839 0 0 0-.58.936 3.278 3.278 0 0 0 0 2.288 2.738 2.738 0 0 0 .58.922 2.674 2.674 0 0 0 .908.614 3.032 3.032 0 0 0 1.186.224 2.706 2.706 0 0 0 1.17-.264 2.051 2.051 0 0 0 .874-.76h.024v.84a3.16 3.16 0 0 1-.108.838 1.783 1.783 0 0 1-.35.678 1.651 1.651 0 0 1-.638.454 2.52 2.52 0 0 1-.972.166 2.848 2.848 0 0 1-2.1-.96l-.676.792a3.723 3.723 0 0 0 1.264.784 4.166 4.166 0 0 0 1.492.28 3.615 3.615 0 0 0 1.5-.272 2.648 2.648 0 0 0 .958-.708 2.548 2.548 0 0 0 .508-.988 4.372 4.372 0 0 0 .146-1.12V6.936h-1zm-.082 2.658a1.953 1.953 0 0 1-.412.654 1.86 1.86 0 0 1-.637.432 2.088 2.088 0 0 1-.817.156 1.938 1.938 0 0 1-.83-.17 1.89 1.89 0 0 1-.619-.454 1.943 1.943 0 0 1-.387-.656 2.308 2.308 0 0 1-.132-.784 2.363 2.363 0 0 1 .132-.796 1.867 1.867 0 0 1 1.006-1.104 1.96 1.96 0 0 1 .83-.168 1.935 1.935 0 0 1 .813.168 2.012 2.012 0 0 1 1.053 1.108 2.152 2.152 0 0 1 .146.792 2.263 2.263 0 0 1-.146.822zm9.913 1.302a2.839 2.839 0 0 0 .964.622 3.41 3.41 0 0 0 2.42 0 2.837 2.837 0 0 0 1.607-1.57 3.071 3.071 0 0 0 .23-1.2 3.04 3.04 0 0 0-.23-1.196 2.828 2.828 0 0 0-.639-.94 2.917 2.917 0 0 0-.967-.618 3.41 3.41 0 0 0-2.42 0 2.817 2.817 0 0 0-1.599 1.558 3.04 3.04 0 0 0-.23 1.196 3.071 3.071 0 0 0 .23 1.2 2.9 2.9 0 0 0 .634.948zm.327-2.956a2.025 2.025 0 0 1 .387-.675 1.852 1.852 0 0 1 .618-.461 2.13 2.13 0 0 1 1.674 0 1.85 1.85 0 0 1 .622.46 2.032 2.032 0 0 1 .386.675 2.516 2.516 0 0 1 0 1.625 2.074 2.074 0 0 1-.386.679 1.798 1.798 0 0 1-.622.463 2.152 2.152 0 0 1-1.674 0 1.8 1.8 0 0 1-.618-.463 2.066 2.066 0 0 1-.387-.679 2.525 2.525 0 0 1 0-1.625zm-2.522 2.62l-.733-.584a2.09 2.09 0 0 1-.673.634 1.992 1.992 0 0 1-2.37-.264 1.85 1.85 0 0 1-.413-.581 1.614 1.614 0 0 1-.164-.663h4.569c.008-.066.011-.182.011-.246V9.6a3.557 3.557 0 0 0-.186-1.18 2.634 2.634 0 0 0-.534-.914 2.372 2.372 0 0 0-.858-.592 3.158 3.158 0 0 0-2.295.012 2.766 2.766 0 0 0-1.538 1.566 3.216 3.216 0 0 0-.22 1.204 3.144 3.144 0 0 0 .225 1.208 2.852 2.852 0 0 0 .618.94 2.752 2.752 0 0 0 .939.61 3.351 3.351 0 0 0 2.536-.064 2.904 2.904 0 0 0 1.086-.898zm-4.172-2.934a1.876 1.876 0 0 1 .396-.536 1.947 1.947 0 0 1 2.011-.363 1.432 1.432 0 0 1 .503.35 1.586 1.586 0 0 1 .318.529 2.197 2.197 0 0 1 .128.67h-3.532a1.707 1.707 0 0 1 .176-.65z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M1 24h16.875L24 30.125V24h7V4H1zM2 5h28v18h-7v4.71L18.29 23H2zm7.854 6.269a2.513 2.513 0 0 0-1.165-1.05 3.642 3.642 0 0 0-1.496-.32 3.876 3.876 0 0 0-1.51.284 3.387 3.387 0 0 0-1.89 1.916 3.778 3.778 0 0 0-.262 1.409 3.715 3.715 0 0 0 .263 1.4 3.38 3.38 0 0 0 .737 1.13 3.423 3.423 0 0 0 1.158.754 4.026 4.026 0 0 0 1.52.277 3.62 3.62 0 0 0 1.473-.305 2.802 2.802 0 0 0 1.126-.92v1.095a4.363 4.363 0 0 1-.137 1.11 2.413 2.413 0 0 1-.469.928 2.234 2.234 0 0 1-.866.623 3.333 3.333 0 0 1-1.29.223 3.876 3.876 0 0 1-2.652-1.087l-.666.811a4.775 4.775 0 0 0 1.453.819 5.445 5.445 0 0 0 1.85.334 4.568 4.568 0 0 0 1.83-.322 3.22 3.22 0 0 0 1.177-.848 3.147 3.147 0 0 0 .638-1.219 5.61 5.61 0 0 0 .193-1.48V10.1H9.854zm-.129 3.284a2.64 2.64 0 0 1-.54.879 2.52 2.52 0 0 1-.852.59 2.73 2.73 0 0 1-1.094.217 2.517 2.517 0 0 1-1.103-.235 2.626 2.626 0 0 1-.824-.614 2.588 2.588 0 0 1-.516-.88 3.095 3.095 0 0 1-.173-1.033 3.194 3.194 0 0 1 .173-1.055 2.497 2.497 0 0 1 .518-.883 2.538 2.538 0 0 1 1.925-.824 2.611 2.611 0 0 1 1.09.225 2.66 2.66 0 0 1 1.396 1.483 2.914 2.914 0 0 1 .191 1.054 3.026 3.026 0 0 1-.19 1.075zm8.635.746a2.901 2.901 0 0 1-.784.674 2.794 2.794 0 0 1-2.347.169 2.583 2.583 0 0 1-.806-.504 2.484 2.484 0 0 1-.558-.762 1.907 1.907 0 0 1-.226-.842l-.007-.2h5.82l.002-.395a4.56 4.56 0 0 0-.235-1.513 3.254 3.254 0 0 0-.66-1.126 2.857 2.857 0 0 0-1.042-.706 3.94 3.94 0 0 0-2.808.022 3.48 3.48 0 0 0-1.14.75 3.394 3.394 0 0 0-.751 1.16 3.999 3.999 0 0 0-.272 1.49 3.904 3.904 0 0 0 .277 1.495 3.44 3.44 0 0 0 .757 1.144 3.388 3.388 0 0 0 1.152.736 4.022 4.022 0 0 0 1.468.263 3.977 3.977 0 0 0 1.681-.348 3.399 3.399 0 0 0 1.19-.937zm-4.721-2.459a2.289 2.289 0 0 1 .244-.881 2.493 2.493 0 0 1 .533-.708 2.46 2.46 0 0 1 .767-.476 2.543 2.543 0 0 1 .94-.175 2.432 2.432 0 0 1 .96.177 2.01 2.01 0 0 1 .697.485 2.057 2.057 0 0 1 .425.721 2.986 2.986 0 0 1 .156.864l.008.2h-4.745zm8.188 3.285a3.485 3.485 0 0 0 1.182.758 4.198 4.198 0 0 0 2.967 0 3.58 3.58 0 0 0 1.19-.76 3.516 3.516 0 0 0 .788-1.16 3.769 3.769 0 0 0 .284-1.478 3.716 3.716 0 0 0-.283-1.471 3.456 3.456 0 0 0-.788-1.144 3.65 3.65 0 0 0-1.19-.753 4.2 4.2 0 0 0-2.968 0 3.45 3.45 0 0 0-1.963 1.897 3.719 3.719 0 0 0-.284 1.47 3.77 3.77 0 0 0 .285 1.48 3.581 3.581 0 0 0 .78 1.16zm.2-3.692a2.728 2.728 0 0 1 .506-.899 2.46 2.46 0 0 1 .827-.624 2.824 2.824 0 0 1 2.249 0 2.456 2.456 0 0 1 .828.624 2.728 2.728 0 0 1 .506.9 3.332 3.332 0 0 1 0 2.117 2.815 2.815 0 0 1-.505.906 2.406 2.406 0 0 1-.83.633 2.824 2.824 0 0 1-2.248 0 2.415 2.415 0 0 1-.828-.633 2.809 2.809 0 0 1-.505-.905 3.33 3.33 0 0 1 0-2.119z"
  }));
};

var _default = GeonetIcon;
exports["default"] = _default;