"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MapSpaceIcon = function MapSpaceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 1H3v12h12zm-4.32 10.878a1.284 1.284 0 0 0 .615-1.086 1.063 1.063 0 0 0-.045-.307 1.367 1.367 0 0 0 .28-.52l.08.002a1.213 1.213 0 0 0 .716-.227 1.304 1.304 0 0 0 .108.106 2.044 2.044 0 0 0 1.34.583H14V12h-3.27a1.828 1.828 0 0 1-.05-.122zM14 9.571h-.225a1.255 1.255 0 0 1-.777-.37c-.226-.198-.221-.67-.53-.67-.413 0-.445.58-.859.58-.187 0-.325-.152-.513-.152-.166 0-.382.087-.382.25v.431c0 .363-.433.435-.433.8 0 .148.157.203.157.352 0 .497-.765.43-.765.926 0 .111.084.193.138.282H7.648a1.21 1.21 0 0 0 .037-.287c0-.47-.895-.337-1.035-.618-.35-.697.594-.876.594-1.433 0-.138-.07-.419-.286-.44-.302-.03-.38.132-.683.132a.348.348 0 0 1-.375-.308c0-.332.264-.486.264-.817 0-.215-.088-.337-.088-.551a.53.53 0 0 1 .507-.55c.276 0 .396.225.529.461a.55.55 0 0 0 .529.265c.419 0 .683-.523.683-.837a.404.404 0 0 1 .375-.419c.298 0 .408.308.706.308.49 0 .472-.648.903-.882.53-.285.375-.902.31-1.234-.03-.145.248-.428.396-.418.618.043.353-.462.353-.705a.372.372 0 0 1 .02-.122c.095-.285.51-.375.51-.717 0-.24-.2-.351-.2-.594A.454.454 0 0 1 11.779 2H14zM4 12V1.99h6.907a1.166 1.166 0 0 0-.067.244 1.283 1.283 0 0 0 .095.486 1.372 1.372 0 0 0-.361.552 1.224 1.224 0 0 0-.064.378 1.438 1.438 0 0 0-.46.37 1.13 1.13 0 0 0-.274.934 2.757 2.757 0 0 1 .057.355 1.703 1.703 0 0 0-.556.574A1.253 1.253 0 0 0 8.7 5.74a1.24 1.24 0 0 0-1.187.93 1.237 1.237 0 0 0-.93-.401 1.388 1.388 0 0 0-1.364 1.408c0 .218.097.251.072.492s-.249.459-.249.876a1.175 1.175 0 0 0 .844 1.106 1.357 1.357 0 0 0-.002 1.327 4.006 4.006 0 0 0 .382.521zm11 2h1v2H0V0h2v1H1v2h1v1H1v2h1v1H1v2h1v1H1v2h1v1H1v2h2v-1h1v1h2v-1h1v1h2v-1h1v1h2v-1h1v1h2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 19h17V2H5zm10.16-1l.035-.08c.233-.536.263-.609.263-.758a.922.922 0 0 0-.244-.556c-.032-.043-.074-.112-.092-.1a1.2 1.2 0 0 1 .36-.135c.326-.09.933-.257.933-.899a.909.909 0 0 0-.282-.578c-.037-.042-.091-.103-.092-.063 0-.078.04-.129.184-.275a1.14 1.14 0 0 0 .413-.826v-.518a.392.392 0 0 1 .32.041 1.177 1.177 0 0 0 .517.14 1.248 1.248 0 0 0 .836-.325.604.604 0 0 1 .314-.17 1.113 1.113 0 0 1 .13.251 1.545 1.545 0 0 0 .372.586 2.18 2.18 0 0 0 1.328.687 2.854 2.854 0 0 0 .434-.044c.037-.006.074-.007.111-.012V18zM21 13.573c-.095.012-.184.02-.234.028a1.953 1.953 0 0 1-.31.035c-.252 0-.587-.296-.81-.492a1.038 1.038 0 0 1-.169-.306c-.114-.266-.307-.713-.818-.713a1.246 1.246 0 0 0-.835.325.491.491 0 0 1-.349.158.606.606 0 0 1-.186-.068 1.195 1.195 0 0 0-.52-.14.84.84 0 0 0-.917.738v.592c0 .077-.04.127-.184.272a1.144 1.144 0 0 0-.413.83.9.9 0 0 0 .28.574c.029.033.068.079.087.083a1.456 1.456 0 0 1-.35.125c-.348.096-.932.256-.932.896a.955.955 0 0 0 .25.575l.07.09c-.04.098-.11.258-.186.43l-.17.395h-2.15a2.174 2.174 0 0 1 .127-.514l.042-.12a2.303 2.303 0 0 0 .146-.784c0-.685-.688-.846-1.1-.942l-.365-.085c-.137-.271-.07-.381.28-.73a1.514 1.514 0 0 0 .579-1.065.942.942 0 0 0-.748-.996 1.279 1.279 0 0 0-.673.108.747.747 0 0 1-.306.071.22.22 0 0 1-.123-.03.765.765 0 0 1 .135-.374 1.493 1.493 0 0 0 .23-.75 1.81 1.81 0 0 0-.074-.479 1.052 1.052 0 0 1-.047-.28.34.34 0 0 1 .303-.364c.123 0 .193.093.384.433a1.131 1.131 0 0 0 1.072.567c.814 0 1.333-.915 1.333-1.545 0-.09.063-.183.123-.183.066 0 .124.039.248.133a1.154 1.154 0 0 0 .723.291 1.198 1.198 0 0 0 1.05-.784 1.167 1.167 0 0 1 .38-.477 1.71 1.71 0 0 0 .637-2.057c.038-.063.126-.156.12-.17a.928.928 0 0 0 .802-.253 1.041 1.041 0 0 0 .132-.927.808.808 0 0 1-.023-.224.787.787 0 0 1 .222-.237 1.14 1.14 0 0 0 .5-.875 1.168 1.168 0 0 0-.186-.601.459.459 0 0 1-.087-.217c0-.037.066-.244.522-.54H21zM6 3h11.377a.996.996 0 0 0-.173.54 1.17 1.17 0 0 0 .188.604.458.458 0 0 1 .086.214c0 .072-.054.13-.226.277a1.342 1.342 0 0 0-.456.584.923.923 0 0 0-.046.293 1.833 1.833 0 0 0 .042.33c.015.083.046.237.077.237a.422.422 0 0 1-.185.01.978.978 0 0 0-.716.373.827.827 0 0 0-.23.738c.13.631.13 1.01-.239 1.21a1.819 1.819 0 0 0-.69.782c-.183.323-.241.384-.366.384-.066 0-.124-.039-.249-.133a1.15 1.15 0 0 0-.722-.291.941.941 0 0 0-.909.969c0 .253-.236.758-.547.758-.295 0-.353-.105-.396-.183a1.234 1.234 0 0 0-1.06-.816 1.123 1.123 0 0 0-1.09 1.15 1.806 1.806 0 0 0 .073.479 1.052 1.052 0 0 1 .048.28.766.766 0 0 1-.134.374 1.493 1.493 0 0 0-.23.75.867.867 0 0 0 .91.817 1.521 1.521 0 0 0 .59-.125.689.689 0 0 1 .275-.071h.006a.422.422 0 0 1 .069.226c0 .15-.132.292-.347.508a1.293 1.293 0 0 0-.43 1.64 1.202 1.202 0 0 0 .89.497c.155.036.446.104.493.177a1.537 1.537 0 0 1-.103.528l-.04.11a2.83 2.83 0 0 0-.174.78H6zm15 19h2v1H1V1h1v2h1v1H2v3h1v1H2v3h1v1H2v3h1v1H2v3h1v1H2v2h2v-1h1v1h3v-1h1v1h3v-1h1v1h3v-1h1v1h3v-1h1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M31 28v2H2V1h2v1H3v3h1v1H3v3h1v1H3v3h1v1H3v3h1v1H3v3h1v1H3v3h1v1H3v3h3v-1h1v1h3v-1h1v1h3v-1h1v1h3v-1h1v1h3v-1h1v1h3v-1h1v1h3v-1zm-15.66-3H7V3h22v22zM28 18.202a2.326 2.326 0 0 1-.785.22l-1.355.005a2.002 2.002 0 0 1-1.415-.461 2.215 2.215 0 0 1-.493-.681l-.088.124a1.638 1.638 0 0 1-1.347.863 1.9 1.9 0 0 1-.71-.157 1.113 1.113 0 0 0-.11-.038v.478a1.668 1.668 0 0 1-.59 1.212 3.089 3.089 0 0 0-.117.122 1.143 1.143 0 0 1 .227.672 1.66 1.66 0 0 1-1.037 1.443 9.61 9.61 0 0 0-.29.168 1.073 1.073 0 0 1-.007.108l.326.148v.512a4.515 4.515 0 0 1-.236 1.06H28zM28 4h-3.628a.839.839 0 0 1-.43.595l-.172.09c-.528.276-1.177.614-1.25.903a3.152 3.152 0 0 0 .271.35 2.633 2.633 0 0 1 .27.36 1.25 1.25 0 0 1 .173.421.847.847 0 0 1-.359.844l-.09.076a4.04 4.04 0 0 1-.264.204 1.565 1.565 0 0 0-.334.29.531.531 0 0 0-.024.162 1.693 1.693 0 0 0 .041.298.872.872 0 0 1-.15.678.855.855 0 0 1-.593.347.78.78 0 0 0-.447.288.442.442 0 0 0-.137.292l.017.082c.117.572.338 1.644-.603 2.15a1.813 1.813 0 0 0-.523.705l-.098.182a1.704 1.704 0 0 1-.502.645.844.844 0 0 1-.878.038 2.957 2.957 0 0 1-.245-.17 3.67 3.67 0 0 1-.214-.175c-.11-.097-.262-.23-.345-.23a.57.57 0 0 0-.529.603c0 .616-.511 1.547-1.282 1.547a1.042 1.042 0 0 1-1.013-.53c-.294-.522-.461-.715-.798-.715a.797.797 0 0 0-.754.831 1.613 1.613 0 0 0 .07.437 1.899 1.899 0 0 1 .08.506 1.483 1.483 0 0 1-.242.754 1.296 1.296 0 0 0-.21.642.488.488 0 0 0 .528.415 1.257 1.257 0 0 0 .517-.115l.134-.05a.854.854 0 0 1 .276-.046.846.846 0 0 1 .846.846 1.528 1.528 0 0 1-.597 1.05l-.152.148c-.523.497-.643.706-.428 1.134.017.033.136.208.85.375a5.22 5.22 0 0 1 .518.143.846.846 0 0 1 .552.878 2.736 2.736 0 0 1-.152.64l-.05.143a2.606 2.606 0 0 0-.2.926l-.002.013h3.645a6.53 6.53 0 0 0 .27-1.053.847.847 0 0 1-.32-.766.863.863 0 0 1 .36-.701c.027-.02.227-.137.36-.212.413-.232.608-.397.608-.707a.298.298 0 0 0-.07-.18.846.846 0 0 1 .06-1.06c.042-.045.097-.102.14-.145a.864.864 0 0 0 .35-.62v-.479a.847.847 0 0 1 1.067-.817 2.035 2.035 0 0 1 .2.068 1.112 1.112 0 0 0 .399.098c.257 0 .41-.155.654-.503l.09-.125a.857.857 0 0 1 .69-.354c.02 0 .04 0 .06.002a.845.845 0 0 1 .691.449 1.464 1.464 0 0 0 .301.435 1.182 1.182 0 0 0 .858.25l1.354-.005a2.688 2.688 0 0 0 .456-.152l.185-.071a.835.835 0 0 1 .144-.026zM14.615 24a3.492 3.492 0 0 1 .238-1.222l.048-.137a1.895 1.895 0 0 0 .11-.446 4.253 4.253 0 0 0-.421-.114 2.072 2.072 0 0 1-1.415-.82c-.582-1.162.321-1.843.728-2.248.16-.16.36-.36.36-.457v-.006l-.102.038a2.087 2.087 0 0 1-.825.173 1.323 1.323 0 0 1-1.374-1.26 2.092 2.092 0 0 1 .315-1.05.76.76 0 0 0 .137-.347 1.094 1.094 0 0 0-.052-.286 2.455 2.455 0 0 1-.098-.656 1.642 1.642 0 0 1 1.6-1.678 1.783 1.783 0 0 1 1.547 1.17c.014.026.042.075.264.075.184 0 .436-.447.436-.7a1.415 1.415 0 0 1 1.375-1.45 1.717 1.717 0 0 1 1.045.56c.057.042.141.107.167.12a1.67 1.67 0 0 0 .235-.358 2.797 2.797 0 0 1 .957-1.215c.292-.157.334-.459.174-1.24l-.017-.086a1.203 1.203 0 0 1 .316-.994 1.612 1.612 0 0 1 1.015-.59l-.005-.024a2.595 2.595 0 0 1-.057-.457 1.385 1.385 0 0 1 .072-.441c.136-.404.605-.652.817-.833a2.466 2.466 0 0 1 .195-.158.973.973 0 0 0-.076-.15c-.105-.187-.657-.674-.657-1.073 0-.773.764-1.208 1.59-1.64H8v20z"
  }));
};

var _default = MapSpaceIcon;
exports["default"] = _default;