"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NoMapIcon = function NoMapIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.172 15H1V3.828l1 1V14h2.898c.102 0-.391-.488-.534-.774a1.583 1.583 0 0 1 .003-1.55 1.371 1.371 0 0 1-.984-1.29c0-.486.26-.74.29-1.02s-.084-.321-.084-.575a1.636 1.636 0 0 1 .903-1.47l.867.866a.47.47 0 0 0-.18-.039.619.619 0 0 0-.59.643c0 .25.102.393.102.643 0 .386-.308.566-.308.953a.406.406 0 0 0 .437.36c.354 0 .446-.19.797-.155.252.025.334.353.334.514 0 .65-1.1.859-.693 1.671.164.329 1.208.174 1.208.721a1.545 1.545 0 0 1-.09.502H9v-.01c0-.181-.215-.295-.215-.486 0-.552.806-.512.879-1.012l.745.745a1.727 1.727 0 0 1-.449.454c.009.035.117.272.122.309h1.09zM4.828 2h5.45c-.013.077-.132.356-.132.44a1.496 1.496 0 0 0 .112.567 1.6 1.6 0 0 0-.422.643 1.428 1.428 0 0 0-.074.442 1.676 1.676 0 0 0-.536.43 1.317 1.317 0 0 0-.32 1.091 3.213 3.213 0 0 1 .066.414c-.025.016-.043.034-.067.05l.716.716c.493-.354.338-1.008.266-1.371-.033-.17.29-.5.463-.488.72.05.412-.54.412-.823a.434.434 0 0 1 .022-.142c.112-.332.595-.438.595-.836 0-.281-.233-.41-.233-.693a.653.653 0 0 1 .22-.44H14v9h-.172L15 12.172V1H3.828zm9.818 13.354l-14-14 .707-.707 14 14z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M19.152 21.98H2.021V4.85L3 5.83V21h6.483v-.024a2.985 2.985 0 0 1 .223-1.066l.046-.13a1.807 1.807 0 0 0 .122-.62c-.056-.087-.397-.166-.58-.208a1.413 1.413 0 0 1-1.046-.585 1.52 1.52 0 0 1 .505-1.928c.253-.253.408-.42.408-.596a.496.496 0 0 0-.081-.267h-.007a.808.808 0 0 0-.323.084 1.788 1.788 0 0 1-.695.147 1.02 1.02 0 0 1-1.068-.96 1.754 1.754 0 0 1 .27-.882.9.9 0 0 0 .157-.44 1.234 1.234 0 0 0-.056-.328 2.126 2.126 0 0 1-.085-.563 1.322 1.322 0 0 1 1.19-1.343l2.047 2.047a1.119 1.119 0 0 1-.245.043 1.33 1.33 0 0 1-1.26-.666c-.224-.4-.307-.51-.452-.51a.4.4 0 0 0-.356.43 1.236 1.236 0 0 0 .056.328 2.126 2.126 0 0 1 .086.562 1.755 1.755 0 0 1-.27.882.9.9 0 0 0-.158.44.258.258 0 0 0 .144.035.878.878 0 0 0 .36-.083 1.502 1.502 0 0 1 .79-.128 1.107 1.107 0 0 1 .88 1.172 1.78 1.78 0 0 1-.68 1.25c-.411.411-.49.54-.33.86.03.005.27.062.429.099.484.113 1.294.302 1.294 1.107a2.708 2.708 0 0 1-.173.922l-.048.14a2.118 2.118 0 0 0-.17.755V21h2.477c.076-.188.442-1.029.488-1.143a3.316 3.316 0 0 0-.08-.107 1.122 1.122 0 0 1-.295-.675c0-.752.686-.941 1.096-1.054a1.71 1.71 0 0 0 .41-.147c-.022-.004-.068-.059-.102-.097a1.06 1.06 0 0 1-.33-.675.943.943 0 0 1 .032-.171l1.267 1.267a1.398 1.398 0 0 1-1.032.714 1.41 1.41 0 0 0-.422.158c.02-.014.07.067.108.117a1.084 1.084 0 0 1 .287.655c0 .175-.035.26-.31.89l-.116.268h4.287zM4.848 2.02l.98.98h10.88a1.277 1.277 0 0 0-.346.83 1.375 1.375 0 0 0 .221.71.538.538 0 0 1 .102.251c0 .085-.064.153-.266.326a1.578 1.578 0 0 0-.536.687 1.085 1.085 0 0 0-.054.343 2.152 2.152 0 0 0 .05.388c.018.098.053.28.089.28a.49.49 0 0 1-.217.011 1.15 1.15 0 0 0-.84.438.972.972 0 0 0-.27.868c.151.742.151 1.188-.282 1.421a2.138 2.138 0 0 0-.812.92 4.859 4.859 0 0 1-.092.154l.662.662a3.137 3.137 0 0 0 .235-.362 1.372 1.372 0 0 1 .446-.56 2.01 2.01 0 0 0 .749-2.418c.045-.075.148-.184.14-.2a1.091 1.091 0 0 0 .943-.297 1.224 1.224 0 0 0 .156-1.09.946.946 0 0 1-.027-.264.925.925 0 0 1 .26-.278 1.34 1.34 0 0 0 .59-1.029 1.374 1.374 0 0 0-.22-.706.54.54 0 0 1-.103-.255c0-.051.101-.373.921-.818L18.231 3H21v12.596c-.171.03-.36.046-.45.06a2.283 2.283 0 0 1-.366.04c-.295 0-.69-.347-.952-.577a1.218 1.218 0 0 1-.197-.36c-.135-.313-.361-.839-.962-.839a1.438 1.438 0 0 0-.959.366l.662.662a.553.553 0 0 1 .257-.12 1.303 1.303 0 0 1 .153.296 2.078 2.078 0 0 0 .366.6l.193.193a2.337 2.337 0 0 0 1.44.704 3.36 3.36 0 0 0 .51-.052 2.764 2.764 0 0 1 .305-.034v1.637l.981.98v-3.436l.019-.024-.019-.015V2.02zm17.798 21.334l-22-22 .707-.707 22 22z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M5.828 3H29v23.172l-1-1v-4.274c-.07.026-.142.053-.207.079a2.616 2.616 0 0 1-.902.248l-1.601.007a2.366 2.366 0 0 1-1.674-.545 2.62 2.62 0 0 1-.582-.805l-.104.147c-.008.012-.023.028-.032.04l-.715-.714.034-.048a1.013 1.013 0 0 1 .815-.419.88.88 0 0 1 .072.003.998.998 0 0 1 .817.53 1.728 1.728 0 0 0 .355.515 1.397 1.397 0 0 0 1.014.296l1.6-.006a3.176 3.176 0 0 0 .54-.181l.218-.084a1.009 1.009 0 0 1 .352-.063V4h-4.453a.99.99 0 0 1-.524.885l-.204.107c-.624.325-1.391.725-1.478 1.066a3.728 3.728 0 0 0 .321.415 3.111 3.111 0 0 1 .32.424 1.476 1.476 0 0 1 .204.498 1.001 1.001 0 0 1-.424.998l-.107.09a4.766 4.766 0 0 1-.312.241 1.85 1.85 0 0 0-.395.341.626.626 0 0 0-.028.193 2 2 0 0 0 .049.352 1.03 1.03 0 0 1-.179.801 1.01 1.01 0 0 1-.7.41.92.92 0 0 0-.528.34.522.522 0 0 0-.162.345l.02.098c.139.676.4 1.942-.712 2.541a2.143 2.143 0 0 0-.618.832l-.1.185-.738-.738a2.669 2.669 0 0 1 .981-1.159c.346-.186.396-.542.206-1.465l-.02-.102a1.421 1.421 0 0 1 .374-1.175 1.905 1.905 0 0 1 1.2-.696l-.007-.03a3.067 3.067 0 0 1-.067-.54 1.637 1.637 0 0 1 .085-.52c.16-.478.714-.77.966-.985a2.906 2.906 0 0 1 .23-.187 1.158 1.158 0 0 0-.09-.178c-.124-.22-.777-.796-.777-1.267 0-1.022 1.128-1.543 2.226-2.12H6.829zm19.344 25H18.28a5.86 5.86 0 0 0 .33-1.434v-.606l-.384-.175a1.242 1.242 0 0 0 .007-.127c.026-.019.217-.127.343-.198a1.961 1.961 0 0 0 1.226-1.707 1.35 1.35 0 0 0-.268-.794c.04-.045.096-.101.138-.143.046-.046.1-.106.152-.164l-.714-.714c-.05.059-.09.115-.154.179-.05.051-.116.118-.165.172a1 1 0 0 0-.071 1.251.352.352 0 0 1 .082.213c0 .368-.23.562-.718.836a12.11 12.11 0 0 0-.427.25 1.02 1.02 0 0 0-.425.83 1.002 1.002 0 0 0 .378.905 7.819 7.819 0 0 1-.286 1.133.976.976 0 0 0-.018.293h-4.34a1.061 1.061 0 0 0 .02-.197 3.08 3.08 0 0 1 .237-1.095l.06-.168a3.231 3.231 0 0 0 .179-.756 1 1 0 0 0-.653-1.039 6.17 6.17 0 0 0-.612-.168c-.844-.198-.985-.404-1.005-.443-.254-.506-.112-.753.506-1.341l.18-.174a1.806 1.806 0 0 0 .705-1.241 1 1 0 0 0-1.325-.946l-.16.06a1.487 1.487 0 0 1-.61.134.577.577 0 0 1-.624-.49 1.53 1.53 0 0 1 .248-.758 1.752 1.752 0 0 0 .286-.892 2.245 2.245 0 0 0-.094-.597 1.906 1.906 0 0 1-.083-.516.941.941 0 0 1 .891-.982c.398 0 .596.227.943.845a1.232 1.232 0 0 0 1.197.625 1.387 1.387 0 0 0 1.11-.671l-.726-.726c-.107.212-.256.398-.384.398-.263 0-.295-.058-.312-.09a2.107 2.107 0 0 0-1.828-1.381 1.941 1.941 0 0 0-1.891 1.982 2.901 2.901 0 0 0 .116.775 1.293 1.293 0 0 1 .061.339.896.896 0 0 1-.161.41 2.473 2.473 0 0 0-.373 1.24 1.563 1.563 0 0 0 1.625 1.49 2.465 2.465 0 0 0 .974-.204 4.9 4.9 0 0 1 .12-.045v.006c0 .116-.236.35-.425.54-.48.48-1.548 1.284-.86 2.658a2.45 2.45 0 0 0 1.672.968 5.06 5.06 0 0 1 .496.135 2.246 2.246 0 0 1-.128.527l-.058.163a4.008 4.008 0 0 0-.295 1.428l-.012.063-.015.134H4V6.828l-1-1V29h23.172zm5.474 3.354l-30-30 .707-.707 30 30z"
  }));
};

var _default = NoMapIcon;
exports["default"] = _default;