"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var OpenBookIcon = function OpenBookIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.184 14.031a4.664 4.664 0 0 1 2.827-.93 4.514 4.514 0 0 1 3.143 1.209l.353.351.352-.351a4.514 4.514 0 0 1 3.145-1.208 4.67 4.67 0 0 1 2.814.918.726.726 0 0 0 .774.079.738.738 0 0 0 .408-.658V4.386a.729.729 0 0 0-.133-.42A4.731 4.731 0 0 0 12 2.1a4.843 4.843 0 0 0-3.495 1.42A4.938 4.938 0 0 0 5 2.1a4.682 4.682 0 0 0-3.907 1.944L1 4.214v9.24a.733.733 0 0 0 1.184.577zM12 3.1a3.75 3.75 0 0 1 3 1.373v8.459a5.756 5.756 0 0 0-6 .027V4.507A3.75 3.75 0 0 1 12 3.1zM2 4.49A3.767 3.767 0 0 1 5 3.1a3.789 3.789 0 0 1 3 1.376v8.474a5.75 5.75 0 0 0-6-.008z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.003 3A7.646 7.646 0 0 0 12.5 5.277 7.646 7.646 0 0 0 6.997 3a7.532 7.532 0 0 0-5.833 2.686.79.79 0 0 0-.164.493v13.59a.833.833 0 0 0 .499.755.894.894 0 0 0 .879-.083A8.187 8.187 0 0 1 7 19.033a7.832 7.832 0 0 1 5.153 1.841l.31.355.384-.355A7.832 7.832 0 0 1 18 19.034a8.185 8.185 0 0 1 4.624 1.41.903.903 0 0 0 .875.081.834.834 0 0 0 .501-.755V6.179a.79.79 0 0 0-.161-.49A7.536 7.536 0 0 0 18.003 3zM2 19.49V6.24A6.53 6.53 0 0 1 6.997 4 6.568 6.568 0 0 1 12 6.244v13.253a9.16 9.16 0 0 0-5-1.464 9.266 9.266 0 0 0-5 1.456zm21 0a9.262 9.262 0 0 0-5-1.457 9.16 9.16 0 0 0-5 1.464V6.244a6.697 6.697 0 0 1 10-.005z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30.87 7.34a9.977 9.977 0 0 0-14.37-.382 9.977 9.977 0 0 0-14.37.383L2 7.483v19.01a.966.966 0 0 0 1.6.729 8.975 8.975 0 0 1 12.53.714l.37.404.37-.404a8.976 8.976 0 0 1 12.531-.713.966.966 0 0 0 1.599-.73V7.483zM3 26.494V7.875a8.966 8.966 0 0 1 13 .01v18.548a9.994 9.994 0 0 0-6.5-2.423A9.614 9.614 0 0 0 3 26.493zm20.5-2.483a9.994 9.994 0 0 0-6.5 2.423V7.886a8.967 8.967 0 0 1 13.001-.011l.057 18.593A9.973 9.973 0 0 0 23.5 24.01z"
  }));
};

var _default = OpenBookIcon;
exports["default"] = _default;