"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var OrientedImageryWidgetIcon = function OrientedImageryWidgetIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7.05 8a3.048 3.048 0 0 0-3.656-2.989l-.179-.832a3.897 3.897 0 0 1 1.633 7.622l-.177-.83A3.052 3.052 0 0 0 7.05 8zM.95 8c0-.018.005-.034.005-.052l-.38-1.773a3.818 3.818 0 0 0 1.049 4.895L1.24 9.278A3.017 3.017 0 0 1 .95 8zM1 2a1 1 0 1 0-1-1 1 1 0 0 0 1 1zm1.992-.916a1.98 1.98 0 0 1-.292.956l11.112 3.382-9.505 8.624-.66-3.082a2.962 2.962 0 0 1-1.1-.354l1.146 5.344L15.788 4.979zM1 3c-.029 0-.056-.007-.085-.009l.69 3.22a2.999 2.999 0 0 1 .857-.774l-.57-2.657A1.976 1.976 0 0 1 1 3zm2.354 6.354L4 8.707l.646.646.707-.707L4.707 8l.646-.646-.707-.707L4 7.293l-.646-.646-.707.707.646.646-.646.646z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.646 12.646L5.793 11.5l-1.147-1.146.707-.707L6.5 10.793l1.146-1.147.707.707L7.207 11.5l1.146 1.146-.707.707L6.5 12.207l-1.146 1.147zM3.97 1.796a2.468 2.468 0 0 1-.315.95l17.86 5.952-14.72 12.88-1.63-6.845a3.492 3.492 0 0 1-1.237-.876l2.278 9.565 17.28-15.12zM12.8 11.5a6.255 6.255 0 0 0-8.753-5.78l.234.984A5.244 5.244 0 0 1 6.5 6.2a5.292 5.292 0 0 1 .18 10.582l.238.997A6.303 6.303 0 0 0 12.8 11.5zm-11.6 0a5.285 5.285 0 0 1 .57-2.387l-.324-1.364a6.271 6.271 0 0 0 2.23 9.365l-.325-1.362a5.268 5.268 0 0 1-2.15-4.252zm.38-7.508l1.563 6.57a3.47 3.47 0 0 1 .712-1.33L2.552 3.76a2.474 2.474 0 0 1-.973.232zM3 1.5A1.5 1.5 0 1 1 1.5 0 1.5 1.5 0 0 1 3 1.5zm-1 0a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M5.646 16.646L7.293 15l-1.647-1.646.707-.707L8 14.293l1.646-1.646.707.707L8.707 15l1.646 1.646-.707.707L8 15.707l-1.646 1.647zm.293-14.04a3.974 3.974 0 0 1-.262.964L28.9 10.234 8.307 29.045l-2.13-9.94a4.488 4.488 0 0 1-1.19-.778l2.706 12.628L30.901 9.766zM8 22.8A7.8 7.8 0 1 0 4.796 7.89l.218 1.019A6.725 6.725 0 0 1 8 8.2a6.8 6.8 0 0 1 0 13.6c-.076 0-.15-.008-.226-.01l.217 1.01zM1.2 15a6.763 6.763 0 0 1 1.221-3.874L2.15 9.857a7.767 7.767 0 0 0 2.619 12.224l-.268-1.25A6.768 6.768 0 0 1 1.201 15zm1.138-9.034l1.548 7.223a4.495 4.495 0 0 1 .768-1.188L3.317 5.759a3.956 3.956 0 0 1-.979.207zM.025 2A1.975 1.975 0 1 1 2 3.975 1.975 1.975 0 0 1 .025 2zM1 2a1 1 0 1 0 1-1 1.001 1.001 0 0 0-1 1z"
  }));
};

var _default = OrientedImageryWidgetIcon;
exports["default"] = _default;