"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var OverlapFeaturesIcon = function OverlapFeaturesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 3a4.94 4.94 0 0 0-2.484.687 5 5 0 1 0 0 8.626A4.94 4.94 0 0 0 11 13a5 5 0 0 0 0-10zm-5 9a4 4 0 1 1 1.606-7.65 4.949 4.949 0 0 0 0 7.3A3.983 3.983 0 0 1 6 12zm5 0a3.969 3.969 0 0 1-1.6-.34c.112-.104.223-.21.326-.325l-.745-.668a2.513 2.513 0 0 1-.476.434 3.948 3.948 0 0 1 0-6.202 2.387 2.387 0 0 1 .476.434l.745-.668a5.056 5.056 0 0 0-.327-.326A3.998 3.998 0 1 1 11 12zM9.807 9.234l.95.308a5.002 5.002 0 0 1-.422.95l-.866-.499a3.995 3.995 0 0 0 .338-.76zm.003-2.458a3.959 3.959 0 0 0-.335-.76l.868-.496a4.965 4.965 0 0 1 .419.951zm1.164.711A5.091 5.091 0 0 1 11 8q0 .267-.027.525l-.995-.103A4.203 4.203 0 0 0 10 8a3.916 3.916 0 0 0-.021-.41z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16.5 5.214a7.238 7.238 0 0 0-3.99 1.198 6.859 6.859 0 0 0-.363-.228 7.292 7.292 0 1 0 0 12.633c.124-.072.244-.15.363-.228A7.283 7.283 0 1 0 16.5 5.213zm-4.847 12.75a6.307 6.307 0 1 1 0-10.927l.026.015a7.253 7.253 0 0 0 0 10.896l-.025.015zm4.847.85a6.314 6.314 0 1 1 6.314-6.314 6.321 6.321 0 0 1-6.314 6.314zm-3.076-2.373l.769.618a7.34 7.34 0 0 1-.744.797l-.67-.723a6.362 6.362 0 0 0 .645-.692zm.008-7.873a6.295 6.295 0 0 0-.643-.691l.67-.724a7.312 7.312 0 0 1 .743.801zm.532.78l.854-.493a7.318 7.318 0 0 1 .474.983l-.918.36a6.297 6.297 0 0 0-.41-.85zm.825 3.631l.983.074a7.37 7.37 0 0 1-.163 1.08l-.96-.22a6.317 6.317 0 0 0 .14-.934zm-.42 1.834l.918.362a7.242 7.242 0 0 1-.477.983l-.851-.496a6.246 6.246 0 0 0 .41-.849zm1.243-3.932a7.288 7.288 0 0 1 .161 1.081l-.983.072a6.207 6.207 0 0 0-.14-.933z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M21.5 7.211a9.223 9.223 0 0 0-4.99 1.468 9.914 9.914 0 0 0-.365-.224 9.289 9.289 0 1 0 0 16.09c.123-.071.244-.147.365-.224a9.284 9.284 0 1 0 4.99-17.11zM3.189 16.5a8.312 8.312 0 0 1 12.458-7.203 9.27 9.27 0 0 0 0 14.406A8.312 8.312 0 0 1 3.189 16.5zM21.5 24.811a8.311 8.311 0 1 1 8.311-8.311 8.32 8.32 0 0 1-8.311 8.311zm-4.46-14.506l-.209-.181.628-.75.233.202q.29.26.556.54l-.711.672q-.238-.252-.496-.483zm1.653 10.361l.846.492a9.421 9.421 0 0 1-.597.902l-.783-.586a8.249 8.249 0 0 0 .534-.808zm.993-5.61l.963-.17a9.283 9.283 0 0 1 .124 1.076l-.976.056a8.209 8.209 0 0 0-.111-.963zm-2.152 7.159l.71.673q-.264.279-.551.535c-.078.07-.157.139-.238.206l-.626-.751.212-.183q.256-.23.493-.48zm1.927-3.323l.937.28a9.153 9.153 0 0 1-.371 1.018l-.898-.389a8.135 8.135 0 0 0 .332-.909zm-1.3-7.363l.784-.585a9.222 9.222 0 0 1 .596.904l-.846.49a8.316 8.316 0 0 0-.533-.809zm.97 1.674l.897-.389a9.188 9.188 0 0 1 .371 1.018l-.936.28a8.17 8.17 0 0 0-.332-.909zm.666 3.784l.977.057a9.358 9.358 0 0 1-.126 1.075l-.962-.169a8.322 8.322 0 0 0 .111-.963z"
  }));
};

var _default = OverlapFeaturesIcon;
exports["default"] = _default;