"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var OverviewIcon = function OverviewIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 0H0v10h10zM9 1v2H7V1zM4 4h2v2H4zM3 6H1V4h2zm4-2h2v2H7zM6 1v2H4V1zM3 1v2H1V1zM1 9V7h2v2zm3 0V7h2v2zm3 0V7h2v2zm6 4H2v-2h1v1h9V3h-1V2h2zm3-8v11H5v-2h.941v1H15V6h-1V5z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 3H1V1h2zm6 1H7v2h2zM6 7H4v2h2z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 9H1V7h2zm3-8H4v2h2z",
      opacity: ".5"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 20H4v-2h1v1h14V5h-1V4h2zm1-13v1h1v14H8v-1H7v2h16V7zM1 1v16h16V1zm5 15H2v-4h4zm0-5H2V7h4zm0-5H2V2h4zm5 10H7v-4h4zm0-5H7V7h4zm0-5H7V2h4zm5 10h-4v-4h4zm0-5h-4V7h4zm0-5h-4V2h4z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 6H2V2h4zm6 5h4V7h-4zm-5 1v4h4v-4z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7 6V2h4v4zm-1 6H2v4h4z",
      opacity: ".5"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26 26H7v-3h1v2h17V8h-2V7h3zm1-15v1h2v17H12v-2h-1v3h19V11zM3 22V3h19v19zm12-1v-5h-5v5zm0-6v-5h-5v5zm6 1h-5v5h5zm0-6h-5v5h5zm-5-6v5h5V4zm-6 0v5h5V4zM4 9h5V4H4zm0 6h5v-5H4zm5 6v-5H4v5z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M15 9h-5V4h5zm-6 7H4v5h5z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M15 21h-5v-5h5zm6-11h-5v5h5zM9 4H4v5h5z",
    opacity: ".25"
  }));
};

var _default = OverviewIcon;
exports["default"] = _default;