"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PackageIcon = function PackageIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.506 1.335L5 2.772v4.443L2 8.45v5.118l3.5 1.438 3-1.233 3 1.233 3.5-1.438V8.45l-3-1.23V2.772zM11.5 9.564l-1.788-.731 1.794-.737 1.788.734zM8.006 4.762v3.28L6 7.22V3.945zM9 8.037V4.762l2.006-.817v3.27zm-1.706.793L5.5 9.564 3.706 8.83 5.5 8.093zM6 10.44l2-.818v3.276l-2 .821zm4.3-7.287l-1.794.734-1.795-.734 1.795-.737zM3 9.623l2 .817v3.28l-2-.822zm6 0l2 .817v3.28l-2-.822zm3 4.096v-3.28l2-.817v3.276z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18 5.498l-5.5-2.26L7 5.499v5.655l-5 2.054v6.443l5.5 2.259 5-2.054 5 2.054 5.5-2.26v-6.442l-5-2.054zm-.5 9.462l-3.432-1.404 3.576-1.468 3.432 1.41zM12 8.127v4.669l-4-1.643V6.492zm1 4.669V8.127l4-1.635v4.661zm-2.068.76L7.5 14.96l-3.576-1.463 3.432-1.41zM8 15.836l4-1.636v4.78l-4 1.642zm8.076-10.047L12.5 7.25 8.924 5.79 12.5 4.32zM3 14.2l4 1.636v4.786L3 18.98zm10 0l4 1.636v4.786l-4-1.642zm5 6.422v-4.786l4-1.636v4.78z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24 14.332V6.208l-7.5-3.081L9 6.207v8.125l-7 2.876v8.752l7.5 3.08 7-2.875 7 2.876L31 25.96v-8.752zm-.5 5.461l-5.594-2.288 5.594-2.297 5.594 2.297zM10 7.216l6 2.453v7.085l-6-2.464zm7 9.538V9.67l6-2.453v7.074zm-1.906.751L9.5 19.793l-5.594-2.288L9.5 15.208zM10 20.67l6-2.453v7.074l-6 2.464zM22.094 6.505L16.5 8.793l-5.594-2.288L16.5 4.208zM3 18.215l6 2.454v7.085L3 25.29zm14 0l6 2.454v7.085l-6-2.464zm7 9.54v-7.086l6-2.453v7.074z"
  }));
};

var _default = PackageIcon;
exports["default"] = _default;