"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PaletteCheckIcon = function PaletteCheckIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.003 9.664a5.747 5.747 0 0 0-.23.969C2.816 10.116-.01 8.39 0 5.636.008 3.539 2.264.197 8.39.197c.715 0 1.984.073 2.464.747a2.244 2.244 0 0 1 .04 1.947c-.29 1.02-.403 1.128 1.614 1.149 1.877.019 3.462.243 3.462 2.12a2.67 2.67 0 0 1-.354 1.259 5.84 5.84 0 0 0-.78-.656 1.57 1.57 0 0 0 .132-.601c0-1.066-1.01-1.107-2.47-1.122-1.229-.013-2.04-.021-2.51-.65-.631-.847.113-1.813.113-2.616 0-.55-1.16-.577-1.71-.577-3.359 0-7.38 1.475-7.391 4.442a2.992 2.992 0 0 0 .955 2.164 7.586 7.586 0 0 0 4.048 1.86zM7.5 2.5a1 1 0 1 0 1 1 1 1 0 0 0-1-1zm-3 1a1 1 0 1 0 1 1 1 1 0 0 0-1-1zm0 3a1 1 0 1 0 1 1 1 1 0 0 0-1-1zm10.465 4.655c.006.058.015.115.022.172A1.36 1.36 0 0 1 15 11.5 3.498 3.498 0 1 1 11.5 8a3.39 3.39 0 0 1 .959.138 3.576 3.576 0 0 1 .883.399l.363-.363.362-.363a4.524 4.524 0 0 0-1.22-.603A4.499 4.499 0 1 0 16 11.5a3.826 3.826 0 0 0-.05-.605 5.41 5.41 0 0 0-.132-.593l-.426.427zm.389-1.801l-.707-.707-3.147 3.146-1.146-1.146-.707.707 1.853 1.853z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.2 17a6.841 6.841 0 0 0 .04.726c-3.945-.412-9.04-2.718-9.04-7.02C1.2 6.237 6.828 3.28 11.864 3.2h.16c2.447 0 2.919.509 3.264.881a2.27 2.27 0 0 1 .606 1.607c0 .818-.312 1.267-.312 1.815 0 2.435 7.417-.633 7.417 3.929a3.24 3.24 0 0 1-.476 1.616 6.847 6.847 0 0 0-.7-.836 2.083 2.083 0 0 0 .176-.78c0-1.43-.9-1.703-3.603-1.8-1.61-.057-3.814-.136-3.814-2.129a3.555 3.555 0 0 1 .17-.99 2.856 2.856 0 0 0 .142-.825 1.266 1.266 0 0 0-.331-.918c-.216-.233-.528-.57-2.539-.57h-.16C7.3 4.272 2.2 6.961 2.2 10.705c0 3.506 4.376 5.606 8.014 6.016-.003.093-.014.185-.014.279zM12 7.5A1.5 1.5 0 1 1 10.5 6 1.5 1.5 0 0 1 12 7.5zm-1 0a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zM6.5 11A1.5 1.5 0 1 1 8 9.5 1.5 1.5 0 0 1 6.5 11zM7 9.5a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zm3 4A1.5 1.5 0 1 1 8.5 12a1.5 1.5 0 0 1 1.5 1.5zm-1 0a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zm7.557 4.196l-1.084-1.088-.738.738 1.822 1.822 3.508-3.505-.738-.737zM22.8 17a5.8 5.8 0 1 1-5.8-5.8 5.8 5.8 0 0 1 5.8 5.8zm-1 0a4.8 4.8 0 1 0-4.8 4.8 4.806 4.806 0 0 0 4.8-4.8z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M15.2 23.5c0 .1.012.197.015.296-4.506-.02-9.094-1.716-11.708-4.34A7.208 7.208 0 0 1 1.2 14.247c.02-5.323 6.712-9.924 14.613-10.045l.214-.002c1.884 0 3.47.5 4.037 1.27.733.999.351 2.311.044 3.366l-.044.15c-.217.738-.374 1.27-.083 1.681.377.53 1.378.727 4.462.878 2.496.122 5.044.248 5.849 1.752a4.087 4.087 0 0 1-.11 4.129 6.082 6.082 0 0 1-.424.639 8.36 8.36 0 0 0-.717-.726c.096-.136.194-.272.272-.41a3.091 3.091 0 0 0 .097-3.16c-.538-1.006-2.917-1.123-5.015-1.225-3.348-.165-4.573-.375-5.23-1.298a2.771 2.771 0 0 1-.06-2.543l.044-.15c.257-.884.55-1.89.11-2.49-.245-.333-1.338-.862-3.228-.863l-.208.002C8.586 5.313 2.217 9.542 2.2 14.251a6.246 6.246 0 0 0 2.016 4.5c2.44 2.448 6.76 4.032 11.02 4.046a8.34 8.34 0 0 0-.036.703zm-3.2-6A2.5 2.5 0 1 1 9.5 15a2.5 2.5 0 0 1 2.5 2.5zm-1 0A1.5 1.5 0 1 0 9.5 19a1.502 1.502 0 0 0 1.5-1.5zM8.5 14a2.5 2.5 0 1 1 2.5-2.5A2.5 2.5 0 0 1 8.5 14zm0-1A1.5 1.5 0 1 0 7 11.5 1.502 1.502 0 0 0 8.5 13zM17 9.5A2.5 2.5 0 1 1 14.5 7 2.5 2.5 0 0 1 17 9.5zm-1 0a1.5 1.5 0 1 0-1.5 1.5A1.502 1.502 0 0 0 16 9.5zm11.327 11.426l-4.77 4.77-2.084-2.088-.738.738 2.822 2.822 5.508-5.505zM30.8 23.5a7.3 7.3 0 1 1-7.3-7.3 7.3 7.3 0 0 1 7.3 7.3zm-1 0a6.3 6.3 0 1 0-6.3 6.3 6.307 6.307 0 0 0 6.3-6.3z"
  }));
};

var _default = PaletteCheckIcon;
exports["default"] = _default;