"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PaletteIcon = function PaletteIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.583 7.34q.38-.369.729-.705a1.618 1.618 0 0 1 .178.117c.451.452 1.086 1.967-.517 3.57a10.463 10.463 0 0 1-6.108 2.415c.008-.06.02-.123.023-.179l1.121-1a8.534 8.534 0 0 0 4.257-1.944c1.253-1.253.525-2.146.516-2.155a.854.854 0 0 0-.2-.12zm-3.73-4.396c-.48-.674-1.748-.747-2.462-.747-.2 0-.356.006-.44.006-.023 0-.04 0-.052-.002C3.595 2.269.011 4.627 0 7.636c-.008 2.189 1.779 3.726 3.995 4.526a.666.666 0 0 0 .022-.119 2.317 2.317 0 0 1 .187-.867 6.394 6.394 0 0 1-2.25-1.373A2.992 2.992 0 0 1 1 7.639c.008-2.38 3.093-4.367 6.883-4.438l.069.002.15-.002c.077-.002.176-.004.289-.004 1.377 0 1.646.324 1.648.327.144.202.004.697-.108 1.094l-.032.113a1.76 1.76 0 0 0 .09 1.659 1.317 1.317 0 0 0 .183.198l.415-.37.052-.035.373-.258c-.4-.13-.295-.41-.119-1.034a2.244 2.244 0 0 0-.04-1.947zM7.5 6.5a1 1 0 1 0-1-1 1 1 0 0 0 1 1zm-3 1a1 1 0 1 0-1-1 1 1 0 0 0 1 1zm0 1a1 1 0 0 0 0 2 .958.958 0 0 0 .22-.044 2.277 2.277 0 0 1 .57-.37.977.977 0 0 0 .21-.586 1 1 0 0 0-1-1zm1.844 5.81a3.26 3.26 0 0 1-2.95-.108s1.594-.824 1.623-2.137c.03-1.327 1.55-1.238 1.55-1.238l1.325 1.556s.097 1.197-1.548 1.928zm.48-1.638l-.673-.79a.204.204 0 0 0-.134.206 2.838 2.838 0 0 1-.442 1.438 2.547 2.547 0 0 0 .363-.13 1.703 1.703 0 0 0 .886-.724zm4.381-5.666l-3.665 3.27 1.027 1.228 3.65-3.254s3.3-3.238 3.783-3.63c-.307-.38-.195-.242-.505-.62-.483.388-4.29 3.006-4.29 3.006z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21.73 10.456l.685-.742A2.454 2.454 0 0 1 23 11.433c0 2.744-3.938 5.032-7.947 5.941l1.396-1.434c3.007-1.002 5.55-2.746 5.55-4.507a1.595 1.595 0 0 0-.268-.977zm-19.53.25c0-3.745 5.101-6.434 9.664-6.505h.16c2.01 0 2.323.337 2.539.57a1.266 1.266 0 0 1 .331.918 2.856 2.856 0 0 1-.142.824 3.555 3.555 0 0 0-.17.991 1.863 1.863 0 0 0 1.632 1.882l.862-.84c-.873-.102-1.494-.342-1.494-1.042 0-.548.312-.997.312-1.815a2.27 2.27 0 0 0-.606-1.607c-.345-.372-.817-.88-3.264-.88h-.16C6.828 3.28 1.2 6.237 1.2 10.704c0 3.164 2.758 5.244 5.785 6.292a3.098 3.098 0 0 1 1.147-.683c-3.038-.84-5.932-2.76-5.932-5.609zM12 7.5A1.5 1.5 0 1 1 10.5 6 1.5 1.5 0 0 1 12 7.5zm-1 0a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zM6.5 11A1.5 1.5 0 1 1 8 9.5 1.5 1.5 0 0 1 6.5 11zM7 9.5a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zm3 4A1.5 1.5 0 1 1 8.5 12a1.5 1.5 0 0 1 1.5 1.5zm-1 0a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zm13.11-7.483L18.4 9.35l-7.45 7.25 1.4 1.4 7.25-7.449 3.383-3.661a.626.626 0 0 0-.873-.873zM9.368 17.619l1.439 1.738a2.94 2.94 0 0 1-1.63 2.234 3.92 3.92 0 0 1-1.626.359 3.598 3.598 0 0 1-1.733-.427s1.8-.968 1.809-2.464c.006-1.38 1.451-1.44 1.703-1.44zm.35 1.99l-.78-.94a.379.379 0 0 0-.311.395 3.191 3.191 0 0 1-.633 1.85 3.042 3.042 0 0 0 .772-.234 1.823 1.823 0 0 0 .952-1.07z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M27.704 12.867l.766-.831a2.86 2.86 0 0 1 1.822 1.26 4.087 4.087 0 0 1-.11 4.13c-1.802 3.155-7.547 5.85-13.19 6.304l1.135-1.135c4.882-.686 9.685-3.035 11.186-5.665a3.091 3.091 0 0 0 .097-3.162 2.431 2.431 0 0 0-1.706-.901zM4.216 18.75a6.246 6.246 0 0 1-2.016-4.5c.017-4.709 6.386-8.937 13.623-9.048l.208-.002c1.89.001 2.983.53 3.227.862.441.601.148 1.607-.11 2.492l-.043.149a2.771 2.771 0 0 0 .06 2.543 2.716 2.716 0 0 0 1.884.985l.875-.874c-1.176-.142-1.698-.345-1.943-.69-.291-.41-.134-.943.083-1.682l.044-.15c.307-1.054.689-2.366-.044-3.364-.567-.772-2.153-1.27-4.037-1.27l-.214.001C7.912 4.323 1.22 8.924 1.2 14.247a7.208 7.208 0 0 0 2.307 5.21 14.242 14.242 0 0 0 5.035 3.1 3.796 3.796 0 0 1 1.239-.634 13.808 13.808 0 0 1-5.565-3.173zM12 17.5A2.5 2.5 0 1 1 9.5 15a2.5 2.5 0 0 1 2.5 2.5zm-1 0A1.5 1.5 0 1 0 9.5 19a1.502 1.502 0 0 0 1.5-1.5zM8.5 14a2.5 2.5 0 1 1 2.5-2.5A2.5 2.5 0 0 1 8.5 14zm0-1A1.5 1.5 0 1 0 7 11.5 1.502 1.502 0 0 0 8.5 13zM17 9.5A2.5 2.5 0 1 1 14.5 7 2.5 2.5 0 0 1 17 9.5zm-1 0a1.5 1.5 0 1 0-1.5 1.5A1.502 1.502 0 0 0 16 9.5zm12.825-2.487L23.2 12.202 12.6 22.8l1.6 1.6 10.6-10.598 5.189-5.625a.835.835 0 0 0-1.164-1.164zm-15.75 18.53a3.919 3.919 0 0 1-2.171 2.978A5.218 5.218 0 0 1 8.738 29a4.802 4.802 0 0 1-2.313-.569s2.4-1.29 2.411-3.285c.008-1.84 1.935-1.92 2.271-1.92h.05zm-1.078.265l-1.287-1.554c-.456.073-.871.303-.874.896a4.237 4.237 0 0 1-1.263 2.845q.081.004.165.004a4.237 4.237 0 0 0 1.754-.389 2.822 2.822 0 0 0 1.505-1.802z"
  }));
};

var _default = PaletteIcon;
exports["default"] = _default;