"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PenIcon = function PenIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.195.662l-.517.517a1.145 1.145 0 0 0-1.584-.004C-.032 12.68-.008 14.807 0 15.505l.005.49.547.005c.714 0 2.807-.255 12.415-10.157v1.512L9.78 10.511l.704.71 3.482-3.448V4.806c.281-.294.565-.59.858-.9a1.144 1.144 0 0 0-.004-1.584l.517-.517zm-9.647 9.593l1.197 1.197A20.37 20.37 0 0 1 1.18 14.82a20.367 20.367 0 0 1 3.369-4.565zM14.1 3.219c-3.234 3.407-5.706 5.83-7.61 7.563L5.216 9.511c1.735-1.904 4.157-4.377 7.565-7.61a.152.152 0 0 1 .214.002l1.1 1.1a.153.153 0 0 1 .004.216z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.507 1.786l-.807.807-.303-.303a.994.994 0 0 0-1.394-.02C1.499 17.894 1.813 20.136 1.982 21.34a1.304 1.304 0 0 1 .018.166l.005.49.49.004a1.488 1.488 0 0 1 .165.018 3.03 3.03 0 0 0 .445.039C4.45 22.057 7.533 20.81 20 7.81v2.529l-6.352 6.307.704.709 6.648-6.6V6.763l.729-.766a.994.994 0 0 0-.019-1.394l-.303-.303.807-.807zm0 1.414l.293.293-.1.1-.293-.293zM2.954 21.046c-.05-.633.22-2.082 5.037-7.348l2.31 2.31c-5.267 4.816-6.718 5.087-7.347 5.038zm8.082-5.716L8.67 12.962c2.303-2.471 5.518-5.703 10.02-9.965l2.312 2.313c-4.261 4.502-7.494 7.716-9.966 10.02z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28.615 6.109l.61-.61-1.724-1.725-.61.61-.156-.156a1.196 1.196 0 0 0-1.673-.024C3.336 24.76 3.702 26.787 3.969 28.268a1.475 1.475 0 0 1 .031.238l.005.488.49.006a1.418 1.418 0 0 1 .237.031 2.93 2.93 0 0 0 .556.063c1.575 0 5.059-1.79 21.712-19.265v3.464l-7.354 7.354.707.707L28 13.707v-4.93c.265-.28.524-.551.795-.839a1.193 1.193 0 0 0-.023-1.672zM4.946 28.054c-.12-.686-.192-1.977 6.933-9.468l2.535 2.535c-7.491 7.128-8.782 7.057-9.468 6.933zM28.07 7.25c-5.58 5.897-9.768 10.135-12.932 13.18l-2.567-2.568c3.043-3.162 7.28-7.352 13.179-12.931a.2.2 0 0 1 .278.004l2.039 2.038a.199.199 0 0 1 .003.278z"
  }));
};

var _default = PenIcon;
exports["default"] = _default;