"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PenMarkIcon = function PenMarkIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 5.7v1.6l-2 2 .7.7L12 7.8v-3l.9-.9c.4-.4.4-1.1 0-1.6l.5-.5L12.3.7l-.5.5c-.4-.4-1.2-.4-1.6 0-8.2 8-8.1 9.4-8.1 10.2v.5h.6c.8 0 2.3-.3 8.3-6.2zm0-4L12.3 3c-2.2 2.3-4 4-5.3 5.1L5.9 7C7.1 5.7 8.8 3.9 11 1.7zM5.3 7.8l1 1c-.9.9-2 1.6-3.1 2.1.5-1.2 1.2-2.2 2.1-3.1zM16 15.3c-1.5.5-3 .7-4.5.6-2.2 0-3.5-.4-3.9-1.1-.1-.2-.1-.4 0-.6.1-.2.3-.3.6-.3 2.6 0 2.8-.3 2.8-.6-.1-.1-.5-.3-1.5-.3-1.2 0-2.3.4-3.3 1s-2.1.9-3.2 1c-1.7 0-2-.8-2-1.5 0-.4.2-.9.5-1.2l.7.7c-.1.2-.2.3-.2.5s0 .5 1 .5c1-.1 1.9-.4 2.8-.9 1.1-.7 2.4-1.1 3.7-1.1 1.6 0 2.5.5 2.5 1.3 0 1.1-.8 1.4-2 1.5.5.1 1 .1 1.5.1 1.4.1 2.8-.1 4.1-.5l.4.9z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.2 19h1.1c1.6-.2 4-1.2 14.7-12.2v2.6l-4.4 4.3.7.7L20 9.8v-4l.7-.8c.4-.4.4-1 0-1.4l-.1-.1.4-.4-1.6-1.6-.4.4-.1-.1c-.2-.2-.5-.3-.7-.3-.3 0-.5.1-.7.3l-2.8 2.8C10 9.4 4.1 15.3 3.4 17.2c-.1.4-.2.7-.2 1.1v.7zm15-16.5L20 4.3c-3.4 3.5-6 6.1-8 8l-1.7-1.7c1.7-1.8 7.1-7.3 7.9-8.1zM4.3 17.6c.4-1 2.6-3.5 5.3-6.3l1.7 1.7c-4.6 4.3-6.1 4.9-7 5h-.1c0-.2.1-.3.1-.4zm18.3 5.3c-1.9.8-4 1.1-6.1 1-3.4 0-4.8-.9-5.4-1.4-.3-.2-.3-.7 0-.9.1-.1.3-.2.5-.2 3.3 0 4.5-.7 4.5-1.4 0-.5-1.2-1-2.6-1-1.6.1-3.1.7-4.2 1.9C8 22.2 6.3 23 4.5 23c-.7 0-1.4 0-2.1-.2-.8-.2-1.4-1-1.3-1.9 0-.9.8-1.5 1.2-1.7l.7.7-.1.1c-.6.4-.9.7-.9.9 0 .4.2.8.7.9.5.2 1.1.2 1.7.2 1.6-.1 3.1-.7 4.2-1.9 1.3-1.3 3-2.1 4.8-2.1 1.6 0 3.6.5 3.6 2 0 .8-.6 2.1-4.3 2.4 1.2.4 2.5.6 3.8.6 2 .1 3.9-.2 5.8-.9l.3.8z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M4.005 24H4.5C6.43 24 9.411 22.712 24 7.75v3.543l-5.354 5.354.707.707L25 11.707V6.721c.262-.27.519-.534.788-.813a1.2 1.2 0 0 0-.017-1.675l-.14-.14.594-.594-1.724-1.724-.585.585-.13-.132a1.202 1.202 0 0 0-1.677-.02c-18.15 17.49-18.1 19.874-18.084 21.297zM22.803 2.928a.19.19 0 0 1 .133-.053.199.199 0 0 1 .14.058l1.986 2.006a.196.196 0 0 1 .007.274c-5.359 5.546-9.258 9.375-12.135 12.014l-2.15-2.15c2.631-2.877 6.452-6.784 12.02-12.15zm-12.691 12.89l2.081 2.082c-4.258 3.836-6.07 4.83-7.153 5.046.165-.876 1.003-2.597 5.072-7.127zM31.15 29.872C29.26 30.631 26.43 31 22.5 31c-3.957 0-6.087-1.085-7.005-1.732a.7.7 0 0 1 .392-1.272C19.83 27.933 22 27.046 22 25.5c0-.827-1.64-1.5-3.654-1.5-2.742 0-4.728 1.3-6.65 2.557C9.862 27.758 7.965 29 5.5 29c-2.274 0-3.452-.836-3.5-2.485a2.563 2.563 0 0 1 .931-2.01l.592.807A1.543 1.543 0 0 0 3 26.5c.031 1.061.755 1.5 2.5 1.5 2.166 0 3.858-1.107 5.65-2.28 2.043-1.337 4.157-2.72 7.196-2.72 2.241 0 4.654.782 4.654 2.5 0 1.446-1.083 3.17-6.052 3.458A12.786 12.786 0 0 0 22.5 30c3.747 0 6.532-.355 8.277-1.057z"
  }));
};

var _default = PenMarkIcon;
exports["default"] = _default;