"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PencilSquareIcon = function PencilSquareIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 1.929v.026a1.967 1.967 0 0 0-.442-.055 1.918 1.918 0 0 0-.586.1H2v11h.995l-.428 1h-.638A.929.929 0 0 1 1 13.071V1.93A.929.929 0 0 1 1.929 1H13.07a.929.929 0 0 1 .929.929zM13 13h-2.858l-1 1h3.93a.929.929 0 0 0 .928-.929V9.142l-1 1zm1.278-9.792l1.414 1.414a.965.965 0 0 1 .03 1.385l-1.444 1.444h-.002L7.67 14.058l-4.096 1.755a.371.371 0 0 1-.488-.487l1.756-4.097 8.052-8.051a.965.965 0 0 1 1.385.03zm-8.36 10.513l-.74-.739-.554 1.294zm7.052-6.377l-1.414-1.415-6.007 6.008 1.413 1.415zm.384-3.212l-1.09 1.09 1.414 1.414 1.09-1.09a.306.306 0 0 0 0-.433l-.98-.981a.306.306 0 0 0-.434 0z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 12.711l1-1v8.007A1.282 1.282 0 0 1 19.719 21h-8.007l1-1h7.007a.281.281 0 0 0 .281-.281zM2 3.281v16.437A1.282 1.282 0 0 0 3.281 21H4.9l.428-1H3.281A.281.281 0 0 1 3 19.719V3.28A.281.281 0 0 1 3.281 3H19.72a.281.281 0 0 1 .281.281v1.12a1.913 1.913 0 0 1 1-.173v-.947A1.281 1.281 0 0 0 19.719 2H3.28A1.281 1.281 0 0 0 2 3.281zm18.15 2.21a.965.965 0 0 1 1.386.03l1.413 1.413a.965.965 0 0 1 .03 1.385L9.826 21.471 5.73 23.227a.371.371 0 0 1-.488-.487l1.756-4.097zM9.022 20.728l-1.28-1.28-.96 2.24zM20.093 9.79L18.68 8.376 8.382 18.674l1.413 1.414zm.462-3.29l-1.169 1.17L20.8 9.083l1.152-1.151a.42.42 0 0 0 .006-.587l-.804-.838a.42.42 0 0 0-.6-.007z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M27 18.875l1-1V26.2a1.8 1.8 0 0 1-1.8 1.8h-8.325l1-1H26.2a.801.801 0 0 0 .8-.8zM4.8 27a.8.8 0 0 1-.8-.8V4.798A.798.798 0 0 1 4.798 4h21.4a.801.801 0 0 1 .802.798v4.198l.156-.156A2.17 2.17 0 0 1 28 8.323V4.798A1.802 1.802 0 0 0 26.198 3h-21.4A1.8 1.8 0 0 0 3 4.798V26.2A1.8 1.8 0 0 0 4.8 28h4.98l.429-1zm26.552-15.654a1.203 1.203 0 0 1 .037 1.727l-1.8 1.8-.001-.001-14.101 14.102-5.465 2.342a.306.306 0 0 1-.403-.402l2.343-5.465L27.863 9.547a1.203 1.203 0 0 1 1.727.037zM12.624 26.44l-1.402 3.274 3.273-1.403zm15.991-12.009l-2.11-2.11L13.21 25.612l2.112 2.111zm2.03-2.377l-1.761-1.762a.285.285 0 0 0-.193-.092.163.163 0 0 0-.12.054l-1.36 1.36 2.111 2.11 1.36-1.359c.133-.133-.02-.294-.037-.311z"
  }));
};

var _default = PencilSquareIcon;
exports["default"] = _default;