"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PhoneIcon = function PhoneIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5.607 5.712l1.157-.776a.459.459 0 0 0 .129-.59C6.43 3.503 5.392.33 5.36.28a.619.619 0 0 0-.643-.267l-2.23.254a1.898 1.898 0 0 0-1.221.661A3.173 3.173 0 0 0 .19 3.933l.11.433a17.989 17.989 0 0 0 4.188 7.146 17.988 17.988 0 0 0 7.146 4.187l.433.11a2.491 2.491 0 0 0 .616.078 3.477 3.477 0 0 0 2.389-1.153 1.898 1.898 0 0 0 .66-1.22l.255-2.23a.619.619 0 0 0-.267-.644c-.05-.032-3.223-1.07-4.066-1.533a.459.459 0 0 0-.59.13l-.776 1.156a.531.531 0 0 1-.694.171 10.382 10.382 0 0 1-4.158-4.158.53.53 0 0 1 .17-.694zm-1.05 1.17a11.284 11.284 0 0 0 1.95 2.61 11.283 11.283 0 0 0 2.612 1.952 1.531 1.531 0 0 0 2-.494l.502-.75c.77.34 2.034.785 3.316 1.225l.026.01-.219 1.919a.9.9 0 0 1-.325.62l-.055.053a2.566 2.566 0 0 1-1.68.86 1.5 1.5 0 0 1-.37-.046l-.394-.1a16.876 16.876 0 0 1-6.724-3.937A16.875 16.875 0 0 1 1.26 4.08l-.1-.394a2.262 2.262 0 0 1 .813-2.05l.054-.055a.9.9 0 0 1 .62-.325l1.919-.22.009.027c.44 1.282.885 2.545 1.225 3.315l-.75.503a1.525 1.525 0 0 0-.494 2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.725 2.24a4.385 4.385 0 0 0-1.486 4.15 22.028 22.028 0 0 0 5.833 10.537A22.028 22.028 0 0 0 17.61 22.76a3.44 3.44 0 0 0 .851.108 4.804 4.804 0 0 0 3.3-1.594 2.623 2.623 0 0 0 .914-1.686l.316-2.295a1.055 1.055 0 0 0-.766-1.162l-4.468-1.225a1.055 1.055 0 0 0-1.14.409l-1.174 1.661a.626.626 0 0 1-.733.21 15.491 15.491 0 0 1-4.546-3.35 15.491 15.491 0 0 1-3.35-4.546.626.626 0 0 1 .21-.733L8.77 7.384a1.055 1.055 0 0 0 .41-1.141L7.952 1.776A1.054 1.054 0 0 0 6.79 1.01l-2.38.316a2.623 2.623 0 0 0-1.686.914zm.78.633a1.616 1.616 0 0 1 1.074-.56L6.936 2a.056.056 0 0 1 .052.04l1.226 4.468a.093.093 0 0 1-.002.046l-1.783 1.2a1.63 1.63 0 0 0-.548 1.902 16.158 16.158 0 0 0 3.575 4.888 16.158 16.158 0 0 0 4.888 3.575 1.62 1.62 0 0 0 .595.112 1.642 1.642 0 0 0 1.32-.677l1.173-1.662a.053.053 0 0 1 .047-.022l.013.001 4.467 1.226a.055.055 0 0 1 .04.06l-.311 2.261a1.618 1.618 0 0 1-.561 1.077l-.074.073a3.907 3.907 0 0 1-2.593 1.3 2.453 2.453 0 0 1-.604-.076 21.004 21.004 0 0 1-10.08-5.575A20.996 20.996 0 0 1 2.208 6.144a3.476 3.476 0 0 1 1.224-3.197z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M9.432 3a.351.351 0 0 1 .337.258l1.57 5.72a.347.347 0 0 1-.117.367l-2.273 1.527a1.805 1.805 0 0 0-.607 2.108 20.415 20.415 0 0 0 4.515 6.163 20.415 20.415 0 0 0 6.163 4.515 1.797 1.797 0 0 0 .658.124 1.818 1.818 0 0 0 1.462-.749l1.502-2.127a.35.35 0 0 1 .38-.136l5.72 1.57a.352.352 0 0 1 .255.386l-.401 2.904a2.336 2.336 0 0 1-.797 1.53l-.094.093A5.27 5.27 0 0 1 24.187 29a3.423 3.423 0 0 1-.843-.107 27.163 27.163 0 0 1-13.034-7.21A27.155 27.155 0 0 1 3.107 8.656c-.456-1.793.64-3.361 1.64-4.361L4.84 4.2a2.335 2.335 0 0 1 1.527-.797l3.016-.4A.357.357 0 0 1 9.433 3m0-1a1.36 1.36 0 0 0-.186.013l-3.048.405a3.359 3.359 0 0 0-2.159 1.17c-1.455 1.454-2.41 3.32-1.903 5.315a28.204 28.204 0 0 0 7.47 13.49 28.204 28.204 0 0 0 13.49 7.47 4.404 4.404 0 0 0 1.09.137 6.151 6.151 0 0 0 4.225-2.04 3.359 3.359 0 0 0 1.17-2.159l.405-2.939a1.35 1.35 0 0 0-.98-1.487l-5.72-1.57a1.35 1.35 0 0 0-1.462.524l-1.502 2.128a.802.802 0 0 1-.938.27 19.834 19.834 0 0 1-5.82-4.291 19.834 19.834 0 0 1-4.291-5.82.802.802 0 0 1 .27-.94l2.236-1.501a1.35 1.35 0 0 0 .523-1.461l-1.57-5.72A1.351 1.351 0 0 0 9.434 2z"
  }));
};

var _default = PhoneIcon;
exports["default"] = _default;