"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PlaneIcon = function PlaneIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 0A3.565 3.565 0 0 0 7 3.245v2.558L1.788 9.862S1 10.497 1 11.129v.812l6-2.435.6 3.362L6 14.4v1.4l2.5-.973 2.5.973v-1.4l-1.6-1.532.6-3.362 6 2.435v-.812c0-.632-.788-1.267-.788-1.267L10 5.802V3.246A3.565 3.565 0 0 0 8.5 0zm5.139 9.903L9.232 8.115 8.5 12.221l-.732-4.106L3.36 9.903 8 6.291V3.244a3.257 3.257 0 0 1 .501-1.865A3.274 3.274 0 0 1 9 3.244v3.047z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.946 15.076L14 9.84V5.19a4.6 4.6 0 0 0-2-4.183 4.6 4.6 0 0 0-2 4.183v4.648l-6.946 5.237S2 15.895 2 16.714v1.046l7.994-3.142.802 4.73c-2.13 2.171-2.808 2.255-2.808 2.633V23L12 22.008l4.012.992v-1.019c0-.379-.678-.462-2.808-2.633l.802-4.73L22 17.76v-1.046c0-.819-1.054-1.638-1.054-1.638zm-7.723-1.84l-1.094 6.447.358.364a24.83 24.83 0 0 0 1.502 1.422L12 20.978l-1.989.49c.4-.344.894-.8 1.502-1.421l.358-.364-1.094-6.448-7.406 2.911a2.541 2.541 0 0 1 .3-.28l7.326-5.53V5.19A4.081 4.081 0 0 1 12 2.288a4.081 4.081 0 0 1 1.003 2.902v5.146l7.337 5.537a2.718 2.718 0 0 1 .292.274z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26.764 19.828L18 13.85V7.947c0-3.71-2-4.949-2-4.949s-2 1.238-2 4.95v5.902l-8.764 5.978S4 20.797 4 21.762V23l10.054-3.567L14.8 26l-2.183 1.523s-.617.485-.617.97V30l4-1.063L20 30v-1.508c0-.484-.617-.969-.617-.969L17.2 26l.746-6.567L28 23v-1.238c0-.965-1.236-1.934-1.236-1.934zm-9.67-1.759l-.954 8.41 2.67 1.865a1.326 1.326 0 0 1 .19.223v.132l-3-.798-3 .798v-.132a1.298 1.298 0 0 1 .24-.261l2.62-1.827-.955-8.41-9.851 3.496a3.106 3.106 0 0 1 .8-.95L15 14.378v-6.43a5.751 5.751 0 0 1 1.001-3.56A5.759 5.759 0 0 1 17 7.948v6.43l9.2 6.276a3.035 3.035 0 0 1 .746.911z"
  }));
};

var _default = PlaneIcon;
exports["default"] = _default;