"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PortalIcon = function PortalIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.391 16A5.609 5.609 0 0 0 16 10.391V4.528L8 .9 1.911 3.984A3.49 3.49 0 0 0 0 7.094v5.36A3.545 3.545 0 0 0 3.546 16zM1 12.455v-5.36a2.475 2.475 0 0 1 1.364-2.219l5.66-2.867L15 5.172v5.22A4.614 4.614 0 0 1 10.391 15H3.546A2.549 2.549 0 0 1 1 12.455zM8 13l-4.285-2.5 1.516-.885 1.069.534-.6.35L8 11.843l2.3-1.342-.6-.35 1.07-.534 1.515.884zm4.285-5.5L8 5 3.715 7.5 8 10zM8 6.158L10.3 7.5 8 8.842 5.7 7.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18 10.5L12 7l-6 3.5 6 3.5zm-6-2.343l4.015 2.343L12 12.842 7.985 10.5zM3.628 5.356A4.8 4.8 0 0 0 1 9.633v7.596A4.732 4.732 0 0 0 5.4 22h11.141A6.786 6.786 0 0 0 23 15.17V6.104L11.994 1.115zM22 6.748v8.422A5.775 5.775 0 0 1 16.541 21H5.401A3.724 3.724 0 0 1 2 17.229V9.633a3.777 3.777 0 0 1 2.08-3.385l7.939-4.024zM12 18l-6-3.5 2.18-1.272 1.02.563-1.215.709L12 16.842l4.015-2.342-1.214-.708 1.02-.563L18 14.499z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M15.992 2L5.345 7.436A6.157 6.157 0 0 0 2 12.916v10.046C2 26.077 4.507 29 7.6 29h14.18c4.54 0 8.22-4.105 8.22-8.677V8.393zM29 20.324A7.559 7.559 0 0 1 21.78 28H7.6A4.962 4.962 0 0 1 3 22.962V12.917a5.127 5.127 0 0 1 2.8-4.59L16.016 3.11 29 9.037zm-20.885-5.77l7.885 4.6 7.885-4.6L16 9.953zM16 17.995l-5.9-3.443L16 11.11l5.9 3.442zm5.314.057l2.571 1.5-7.885 4.6-7.885-4.6 2.571-1.5.992.58-1.579.92 5.9 3.443 5.901-3.443-1.579-.92z"
  }));
};

var _default = PortalIcon;
exports["default"] = _default;