"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PrintPreviewIcon = function PrintPreviewIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.707 0H6v4H4a1 1 0 0 0-1 1v.049A4.517 4.517 0 0 1 3.499 5 4.51 4.51 0 0 1 4 5.049V5h11v5h-2V9h1V7H7.243a4.432 4.432 0 0 1 .484 1H12v4H9.583l.998 1H13v-2h2a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1h-2V2.293zM7 4V1h3v2h2v1zm1 6h3v1H8.585l-.095-.095a1.864 1.864 0 0 0-.49-.344zm-.834 1.557a.672.672 0 0 0-.475.197l-.115.115-.282-.282A3.49 3.49 0 0 0 3.499 6a3.5 3.5 0 1 0 2.088 6.294l.282.282-.115.114a.672.672 0 0 0 0 .951l2.16 2.159a.672.672 0 0 0 .95 0l.936-.933a.672.672 0 0 0 .001-.951l-2.16-2.162a.672.672 0 0 0-.475-.197zm-5.434-.29a2.5 2.5 0 0 1 3.536-3.535 2.5 2.5 0 0 1-3.536 3.536zm7.13 3.124l-.472.47-1.697-1.695.473-.473z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22 7h-3V4.61L15.39 1H9v6H6a1 1 0 0 0-1 1v1.048c.167-.015.33-.049.501-.049.17 0 .332.034.499.049V8h16v7h-3v-1h1v-2h-9.624a5.402 5.402 0 0 1 .394 1H18v5h-5.415l1 1H19v-3h3a1 1 0 0 0 1-1V8a1 1 0 0 0-1-1zm-7-5l3 3h-3zm-5 5V2h4v4h4v1zm2 8v-1h4v1zm0 1h4v1h-4zm9-6h-1V9h1zM9.795 17.85l-.124.124-.673-.673a4.483 4.483 0 1 0-3.496 1.698 4.458 4.458 0 0 0 2.806-1.008l.673.673-.13.129a.667.667 0 0 0 0 .943l3.068 3.067a.665.665 0 0 0 .943 0l.943-.942a.666.666 0 0 0 0-.943l-3.067-3.068a.668.668 0 0 0-.943 0zm-7.793-3.351a3.5 3.5 0 1 1 3.5 3.5 3.504 3.504 0 0 1-3.5-3.5zm10.86 6.89l-.471.471-2.597-2.595.473-.473z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28 11h-4V6.7L19.3 2H11v9H7a2 2 0 0 0-2 2v1.496a6.429 6.429 0 0 1 1-.316V13a1.001 1.001 0 0 1 1-1h21a1.001 1.001 0 0 1 1 1v8a1.001 1.001 0 0 1-1 1h-4v-3h1v-2H12.959a6.402 6.402 0 0 1 .521 1H23v6h-8.729a1.673 1.673 0 0 1 .171.14l.86.86H24v-2h4a2 2 0 0 0 2-2v-8a2 2 0 0 0-2-2zm-5-4.01L19 7V3.001zM12 11V3.001h6V8h5v3zm8.999 10v1H14v-1zM14 20v-1h6.999v1zm12-5h-1v-1h1zm-13.205 9.85l-.124.124-1.11-1.11a5.3 5.3 0 1 0-.689.691l1.109 1.109-.13.129a.667.667 0 0 0 0 .943l3.068 3.067a.665.665 0 0 0 .943 0l.943-.942a.666.666 0 0 0 0-.943l-3.067-3.068a.668.668 0 0 0-.943 0zm-5.292-.051h-.001a4.3 4.3 0 1 1 .001 0zm7.888 4.061l-2.597-2.595.473-.473 2.595 2.598z"
  }));
};

var _default = PrintPreviewIcon;
exports["default"] = _default;