"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PuzzlePieceIcon = function PuzzlePieceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9.508 4a.153.153 0 0 1-.145-.1c-.103-.272-.04-.364.216-.671a1.905 1.905 0 0 0 .553-1.275A1.982 1.982 0 0 0 8 0a1.982 1.982 0 0 0-2.132 1.954A1.905 1.905 0 0 0 6.42 3.23c.256.307.32.399.216.671a.153.153 0 0 1-.145.1H1v4.497a1.149 1.149 0 0 0 .722 1.07 1.41 1.41 0 0 0 1.584-.35 1.057 1.057 0 0 1 .74-.349C4.75 8.868 5 9.478 5 10s-.25 1.132-.954 1.132a1.057 1.057 0 0 1-.74-.349 1.41 1.41 0 0 0-1.584-.35A1.149 1.149 0 0 0 1 11.503V16h14V4zM14 15H2v-3.497a.154.154 0 0 1 .097-.143c.215-.089.267-.061.568.19a2.019 2.019 0 0 0 1.381.582A1.981 1.981 0 0 0 6 10a1.981 1.981 0 0 0-1.954-2.132 2.019 2.019 0 0 0-1.381.581c-.301.25-.352.279-.569.19A.155.155 0 0 1 2 8.498V5h4.492a1.16 1.16 0 0 0 1.08-.744 1.517 1.517 0 0 0-.383-1.668.966.966 0 0 1-.321-.634C6.868 1.25 7.478 1 8 1s1.132.25 1.132.954a.966.966 0 0 1-.321.634 1.517 1.517 0 0 0-.382 1.668A1.16 1.16 0 0 0 9.508 5H14z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.284 6a.372.372 0 0 1-.359-.41c0-.164.137-.334.36-.597A2.388 2.388 0 0 0 15 3.405 2.408 2.408 0 0 0 12.595 1h-.19A2.408 2.408 0 0 0 10 3.405a2.388 2.388 0 0 0 .716 1.588c.222.263.359.433.359.598a.372.372 0 0 1-.36.409H4v6.716a1.37 1.37 0 0 0 1.409 1.358 1.947 1.947 0 0 0 1.25-.593c.31-.258.518-.481.896-.481a1.39 1.39 0 0 1 1.385 1.405v.19A1.39 1.39 0 0 1 7.555 16c-.378 0-.586-.223-.896-.481a1.947 1.947 0 0 0-1.25-.593A1.37 1.37 0 0 0 4 16.284V22h16V6zM19 21H5v-4.716a.372.372 0 0 1 .409-.358c.168 0 .341.137.61.361A2.246 2.246 0 0 0 7.555 17a2.39 2.39 0 0 0 2.385-2.405v-.19A2.39 2.39 0 0 0 7.555 12a2.246 2.246 0 0 0-1.536.713c-.269.224-.442.361-.61.361A.372.372 0 0 1 5 12.716V7h5.716a1.37 1.37 0 0 0 1.359-1.41 1.908 1.908 0 0 0-.596-1.242A1.47 1.47 0 0 1 11 3.405 1.407 1.407 0 0 1 12.405 2h.19A1.407 1.407 0 0 1 14 3.405a1.47 1.47 0 0 1-.479.943 1.908 1.908 0 0 0-.596 1.243A1.37 1.37 0 0 0 14.285 7H19z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M19.444 8a.722.722 0 0 1-.722-.749 1.967 1.967 0 0 1 .454-.988 3.66 3.66 0 0 0 .799-2.208c0-1.972-1.739-2.96-3.476-2.96-1.835 0-3.474 1.06-3.474 2.96a3.66 3.66 0 0 0 .799 2.208 1.967 1.967 0 0 1 .454.988.723.723 0 0 1-.722.749H4v8.53a1.733 1.733 0 0 0 .527 1.24 1.822 1.822 0 0 0 1.26.482 2.805 2.805 0 0 0 1.513-.627A2.705 2.705 0 0 1 8.945 17c1.378 0 2.005 1.282 2.005 2.473 0 1.193-.627 2.476-2.005 2.476a2.705 2.705 0 0 1-1.645-.625 2.805 2.805 0 0 0-1.513-.627 1.874 1.874 0 0 0-1.26.48A1.734 1.734 0 0 0 4 22.42V30h24V8zM27 29H5v-6.581a.729.729 0 0 1 .221-.521.704.704 0 0 1 .528-.2 1.957 1.957 0 0 1 .989.453 3.658 3.658 0 0 0 2.207.798c1.973 0 3.005-1.749 3.005-3.476 0-1.726-1.032-3.473-3.005-3.473a3.658 3.658 0 0 0-2.207.798 1.957 1.957 0 0 1-.99.454.673.673 0 0 1-.527-.201.727.727 0 0 1-.221-.52V9h8.556a1.724 1.724 0 0 0 1.721-1.786A2.804 2.804 0 0 0 14.65 5.7a2.706 2.706 0 0 1-.625-1.645c0-1.378 1.282-2.005 2.473-2.005 1.193 0 2.477.627 2.477 2.005A2.706 2.706 0 0 1 18.35 5.7a2.804 2.804 0 0 0-.627 1.514A1.723 1.723 0 0 0 19.444 9H27z"
  }));
};

var _default = PuzzlePieceIcon;
exports["default"] = _default;