"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var QrCodeIcon = function QrCodeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 6h5V1H1zm1-4h3v3H2zm8 4h5V1h-5zm1-4h3v3h-3zM1 15h5v-5H1zm1-4h3v3H2zm10 4v-1h2v-3h1v4h-3zm-1-5V9h1v2h-1zm-3 2H7v-1h1zm-5 0h1v1H3zm5 2h1v1H7v-2h1zM1 7h1v2H1V7zm7-4h1v1H8zM7 1h1v1H7zm3 6v1H8v1H7V7h3zm2-4h1v1h-1zM3 3h1v1H3zm9 9v-1h1v1zm2-4V7h1v3h-2V9h1zm-2 0h-1V7h2v1zm-1 6v-1h1v1zm-1-3h1v2h-1v-2zM9 9h1v1H9zm1 0V8h1v1zM6 7v2H4V8h1V7zm2-1H7V5h2v1zm1 7h1v1H9z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 9h6V3H3zm1-5h4v4H4zm1 1h2v2H5zm10 4h6V3h-6zm1-5h4v4h-4zm1 1h2v2h-2zM3 21h6v-6H3zm1-5h4v4H4zm1 1h2v2H5zm15 2h1v2h-2v-3h1zm0-3h1v1h-1zm0-1v1h-1v-1zm-10 2h1v4h-1v-4zm-4-7v2H4v-1H3v-1h3zm4-3h1v1h-1zm3-3v2h-1V3h2v1zm-3 0h1v1h-1zm10 8h1v2h-2v-1h1zm-1-2v1h-2v2h-2v-1h1v-2h3zm-7 4h-1v-1h-1v-1h2v2zm6 2h1v1h-1zm2-5v1h-1v-1zm-9 3v1h-1v-1zm6 5h1v2h-2v-2zm-3 0h1v1h-1v1h-2v-1h1v-1zm0-1v-1h2v1zm0-5h1v3h-1v1h-1v1h-1v-2h-1v-1h3v-1h-1v-1zm-9 0v1H4v-1zm12 4h-1v-1h1zm1-2h-2v-1h2zM8 10h1v1H8v1h1v2H8v-1H7v1H6v-2h1v-2zm3 0V8h3v3h-2v-1h1V9h-1v1zm0-4h1v1h-1zm-1 4h1v1h-1zm3-3V6h1v1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M11 4H4v7h7zm-1 6H5V5h5zM9 6H6v3h3zM8 8H7V7h1zm13-4v7h7V4zm6 6h-5V5h5zm-1-4h-3v3h3zm-1 2h-1V7h1zM11 21H4v7h7zm-1 6H5v-5h5zm-1-4H6v3h3zm-1 2H7v-1h1zm18-3h1v1h1v5h-1v-1h-2v-2h2v-1h-1zm1 0v-1h1v1zm-1-1v-1h1v1zm-12 5v-1h1v2h-1v1h-2v-2zm0-3v2h-2v-2zm3-1v2h-1v-2zm1-2v1h-4v-1zm0-3h2v1h-1v1h-1v-2zM6 15H4v-3h2v2h2v1zm5-3v1h-1v-1zm-2 1H7v-1h2zm5 2v-1h1v1h1v2h-1v-1h-1v3h-1v-3h-2v-1zm-1-2v-1h1V9h1v2h1v2h-2v1h-3v-1zm4-5h-1V6h1v1h3v2h-2v1h-1v1h-1V9h1zm-1-3v1h-1v1h-1V6h-1V5h2V4h4v1zm-3-1v1h-1V4zm9 9h5v1h-4v2h-1v-3zm5-1h1v1h-1zm-9 2v-2h1v3h-2v-1zm-3 4h1v1h-1zm10 0h1v2h-1zm1-1h1v1h-1zm1 2v-1h1v1zm0-4v-1h1v3h-1v-1h-3v-1zM8 17h1v2H8zm3 1v-1h1v1zm2 2v1h-1v-1zm9 7v1h-1v-2h1v-1h2v2zm-4-1h1v2h-3v-1h2zm1-6v-1h4v-2h1v4h1v1h-1v1h1v1h-4v1h-1v1h-1v-1h-1v-4h1v1h2v1h2v-3h-3v1h-1zm1-4h2v1h-2zM9 20v-1h1v1zm-3-3v1h1v1H6v1H5v-3zm11-5v-1h1v1zm3 0h-1v-2h1zm0 1h1v1h-1zm2 9h-1v-1h1zm-12-6h1v1H9v-3h2v1h-1zm6-7h-1V8h1zm-3 3h-1v-2h1zm1-4v1h-1V8zm3 5v1h-1v-1z"
  }));
};

var _default = QrCodeIcon;
exports["default"] = _default;