"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var QuoteIcon = function QuoteIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.505 13.1a3.559 3.559 0 0 1-3.54-3.846 6.491 6.491 0 0 1 5.462-6.26l.605-.13v1.99L6.795 5A4.78 4.78 0 0 0 5.16 6.975a3.022 3.022 0 0 1 2.89 2.883A3.329 3.329 0 0 1 4.505 13.1zm1.527-8.973a5.441 5.441 0 0 0-4.067 5.127 2.6 2.6 0 0 0 2.54 2.846A2.354 2.354 0 0 0 7.05 9.858c0-1.329-1.318-1.934-2.542-1.934h-.689l.137-.655a6.56 6.56 0 0 1 2.076-2.961zm6.473 8.973a3.559 3.559 0 0 1-3.54-3.846 6.491 6.491 0 0 1 5.462-6.26l.605-.13v1.99L14.795 5a4.78 4.78 0 0 0-1.634 1.975 3.022 3.022 0 0 1 2.889 2.883 3.329 3.329 0 0 1-3.545 3.242zm1.527-8.973a5.441 5.441 0 0 0-4.067 5.127 2.6 2.6 0 0 0 2.54 2.846 2.354 2.354 0 0 0 2.545-2.242c0-1.329-1.318-1.934-2.542-1.934h-.689l.137-.655a6.56 6.56 0 0 1 2.076-2.961z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.776 10.335a7.015 7.015 0 0 1 1.986-1.828L9 8.36V6.437l-.593.113C2.31 7.7 2 12.646 2 13.625 2 15.732 3.251 18 5.997 18A3.856 3.856 0 0 0 10 14.121a3.906 3.906 0 0 0-3.224-3.786zM5.997 17C3.785 17 3 15.182 3 13.625c0-1.135.372-4.807 5-5.963v.146a7.985 7.985 0 0 0-2.521 2.695l-.338.747H6a2.941 2.941 0 0 1 3 2.871A2.878 2.878 0 0 1 5.997 17zm12.78-6.665a7.015 7.015 0 0 1 1.985-1.828L21 8.36V6.437l-.593.113C14.31 7.7 14 12.646 14 13.625 14 15.732 15.251 18 17.997 18A3.856 3.856 0 0 0 22 14.121a3.906 3.906 0 0 0-3.224-3.786zM17.996 17C15.785 17 15 15.182 15 13.625c0-1.135.372-4.807 5-5.963v.146a7.985 7.985 0 0 0-2.521 2.695l-.338.747H18a2.941 2.941 0 0 1 3 2.871A2.878 2.878 0 0 1 17.997 17z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M13 17.994a5.003 5.003 0 0 0-4.257-4.94 9.4 9.4 0 0 1 3.013-2.86L12 10.05V7.904l-.587.104C5.203 9.098 3 13.803 3 17.5 3 20.237 4.545 23 7.997 23A4.895 4.895 0 0 0 13 17.994zM4 17.5a8.426 8.426 0 0 1 7-8.39v.374a10.415 10.415 0 0 0-3.55 3.775L7.041 14H8a4.001 4.001 0 0 1 4 3.994A3.916 3.916 0 0 1 7.997 22C5.047 22 4 19.576 4 17.5zm20.743-4.445a9.4 9.4 0 0 1 3.013-2.86l.244-.146V7.904l-.587.104C21.203 9.098 19 13.803 19 17.5c0 2.737 1.545 5.5 4.997 5.5A4.895 4.895 0 0 0 29 17.994a5.003 5.003 0 0 0-4.257-4.94zM23.997 22C21.047 22 20 19.576 20 17.5a8.426 8.426 0 0 1 7-8.39v.374a10.415 10.415 0 0 0-3.55 3.775l-.409.741H24a4.001 4.001 0 0 1 4 3.994A3.916 3.916 0 0 1 23.997 22z"
  }));
};

var _default = QuoteIcon;
exports["default"] = _default;