"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RainIcon = function RainIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 9.5a3.495 3.495 0 0 0-2.07-3.188 3.989 3.989 0 0 0-7.815-.227 2.462 2.462 0 0 0-3.07 1.96A2.498 2.498 0 0 0 3.5 13h9A3.5 3.5 0 0 0 16 9.5zM5.5 7a1.493 1.493 0 0 1 .368.054l.987.252.233-.992a2.989 2.989 0 0 1 5.857.17l.092.522.484.218A2.496 2.496 0 0 1 12.5 12h-9a1.498 1.498 0 0 1-.273-2.97l.678-.126.124-.677A1.496 1.496 0 0 1 5.5 7zm-3.778 9H.618l.936-2h1.104zm1.896 0l.936-2h1.104l-.936 2zm3 0l.936-2h1.104l-.936 2zm3 0l.936-2h1.104l-.936 2zm3.936-2h1.104l-.936 2h-1.104z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.316 21H5.212l.935-2h1.105zm2.065 2l1.871-4H9.147l-1.87 4zm3.468-1l1.403-3h-1.105l-1.403 3zm3.298-3l-2.339 5h1.105l2.339-5zm3 0l-.935 2h1.104l.936-2zm-11.28-1h-1.43a3.438 3.438 0 0 1 0-6.875l.012.001A3.369 3.369 0 0 1 9.4 9.24a5.494 5.494 0 0 1 10.548-.521A4.807 4.807 0 0 1 18.187 18zM3 14.562A2.44 2.44 0 0 0 5.438 17h12.75a3.807 3.807 0 0 0 1.394-7.351l-.429-.17-.15-.436a4.494 4.494 0 0 0-8.629.426l-.232.99-.986-.25a2.407 2.407 0 0 0-.594-.084 2.443 2.443 0 0 0-2.206 1.42l-.268.581h-.715A2.442 2.442 0 0 0 3 14.563z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7.722 29H6.618l1.403-3h1.105zm4.3-3l-2.34 5h1.105l2.339-5zm4 0l-1.872 4h1.105l1.87-4zm4 0l-2.808 6h1.105l2.807-6zm2.596 3h1.104l1.404-3H24.02zM3.678 17a4.486 4.486 0 0 1 2.594-.988A4.487 4.487 0 0 1 10.5 13a4.46 4.46 0 0 1 .64.065 7.497 7.497 0 0 1 14.553-.678A6.496 6.496 0 0 1 23.5 25H6.672a4.614 4.614 0 0 1-4.608-3.727A4.492 4.492 0 0 1 3.68 17zm.092 1.313a3.485 3.485 0 0 0-.72 2.795A3.621 3.621 0 0 0 6.673 24H23.5a5.496 5.496 0 0 0 1.855-10.671l-.478-.172-.143-.488a6.497 6.497 0 0 0-12.612.586l-.18.935-1.01-.145A3.172 3.172 0 0 0 10.5 14a3.498 3.498 0 0 0-3.285 2.344l-.223.633-.67.034a3.507 3.507 0 0 0-2.552 1.302z"
  }));
};

var _default = RainIcon;
exports["default"] = _default;