"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RainSnowIcon = function RainSnowIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.723 16H.618l.936-2h1.104zm3 0l.935-2H4.554l-.936 2zm3 0l.935-2H7.554l-.936 2zm3 0l.935-2h-1.104l-.936 2zm1.895 0h1.105l.935-2h-1.104zM16 9.5a3.495 3.495 0 0 0-2.07-3.188 3.989 3.989 0 0 0-3.824-3.302c-.004.02-.004.04-.01.06a1.506 1.506 0 0 1-.354.638 1.49 1.49 0 0 1 .03.311C9.848 4.014 9.922 4 10 4a2.988 2.988 0 0 1 2.946 2.484l.09.522.485.218A2.496 2.496 0 0 1 12.5 12h-9A1.502 1.502 0 0 1 2 10.5a1.473 1.473 0 0 1 .505-1.091 1.502 1.502 0 0 1-.61-.395 1.51 1.51 0 0 1-.312-.115A2.497 2.497 0 0 0 3.5 13h9A3.5 3.5 0 0 0 16 9.5zM2.219 7.549l.366-1.366L4 5.366V7L3 8h1v1h1V8h1L5 7V5.366l1.415.817.366 1.366.5-.866.866.5.5-.866-.866-.5.5-.866-1.366.366L5.5 4.5l1.415-.817 1.366.366-.5-.866.866-.5-.5-.866-.866.5-.5-.866-.366 1.366L5 3.634V2l1-1H5V0H4v1H3l1 1v1.634l-1.415-.817-.366-1.366-.5.866-.866-.5-.5.866.866.5-.5.866 1.366-.366L3.5 4.5l-1.415.817-1.366-.366.5.866-.866.5.5.866.866-.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.316 21H5.212l.935-2h1.105zm2.065 2l1.871-4H9.147l-1.87 4zm3.468-1l1.403-3h-1.105l-1.403 3zm3.298-3l-2.338 5h1.104l2.339-5zm3 0l-.935 2h1.104l.936-2zM23 13.187a4.805 4.805 0 0 0-3.05-4.468 5.409 5.409 0 0 0-6.454-3.557 1.485 1.485 0 0 1-.493.47l-.247.142a1.503 1.503 0 0 1-.043.721 4.48 4.48 0 0 1 6.29 2.548l.15.436.43.17A3.807 3.807 0 0 1 18.187 17H5.438a2.432 2.432 0 0 1-.373-4.835 1.488 1.488 0 0 1-.45-.59 1.505 1.505 0 0 1-.088-.313A3.43 3.43 0 0 0 5.437 18h12.75A4.813 4.813 0 0 0 23 13.187zM5.219 9.55l.366-1.366L7 7.366V10l-1 1h1v1h1v-1h1l-1-1V7.366l1.415.817.366 1.366.5-.866 1.472.85.5-.866-1.472-.85.5-.866-1.366.366L8.5 6.5l1.415-.817 1.366.366-.5-.866 1.472-.85-.5-.866-1.472.85-.5-.866-.366 1.366L8 5.634V3l1-1H8V1H7v1H6l1 1v2.634l-1.415-.817-.366-1.366-.5.866-1.472-.85-.5.866 1.472.85-.5.866 1.366-.366L6.5 6.5l-1.415.817-1.366-.366.5.866-1.472.85.5.866 1.472-.85z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7.722 29H6.618l1.403-3h1.105zm4.3-3l-2.34 5h1.105l2.339-5zm4 0l-1.872 4h1.105l1.87-4zm4 0l-2.808 6h1.105l2.807-6zm2.596 3h1.104l1.404-3H24.02zM2.064 21.273A4.614 4.614 0 0 0 6.672 25H23.5a6.5 6.5 0 0 0 2.193-12.613 7.487 7.487 0 0 0-6.438-5.324 2.499 2.499 0 0 1-.507.958 6.523 6.523 0 0 1 5.986 4.648l.143.488.478.172A5.496 5.496 0 0 1 23.5 24H6.672a3.621 3.621 0 0 1-3.621-2.892 3.489 3.489 0 0 1 3.2-4.086 2.018 2.018 0 0 1-.275-.946h-.254a4.495 4.495 0 0 0-3.658 5.197zm4.021-6.608l.995-.107-.21-1.946L10 10.843v3.868l-1.727.685.37.93L10 15.787V17h1v-1.213l1.358.54.369-.93L11 14.71v-3.868l3.13 1.769-.21 1.946.995.107.162-1.517 1.528.864.493-.871-1.547-.875 1.201-.97-.627-.778-1.512 1.219-3.097-1.75 3.097-1.752 1.512 1.22.627-.78-1.201-.97 1.547-.874-.493-.871-1.528.864-.162-1.516-.995.107.21 1.945L11 9.13V5.288l1.727-.685-.37-.93-1.357.54V3h-1v1.213l-1.358-.54-.369.93L10 5.29v3.84L6.87 7.36l.21-1.945-.995-.107-.162 1.516-1.528-.864-.493.871 1.547.875-1.201.969.627.78 1.512-1.22 3.097 1.751-3.097 1.75-1.512-1.218-.627.779 1.201.97-1.547.874.493.87 1.528-.863z"
  }));
};

var _default = RainSnowIcon;
exports["default"] = _default;