"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RainThunderIcon = function RainThunderIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.723 16H.618l.936-2h1.104zm3 0l.935-2H4.554l-.936 2zm3 0l.935-2H7.554l-.936 2zm3 0l.935-2h-1.104l-.936 2zm1.895 0h1.105l.935-2h-1.104zM9.663 4.029a2.899 2.899 0 0 1 3.282 2.455l.092.522.484.218A2.496 2.496 0 0 1 12.5 12H5.57a2.476 2.476 0 0 1-1.288 1H12.5a3.496 3.496 0 0 0 1.43-6.688A3.993 3.993 0 0 0 10 3c-.117 0-.228.02-.342.03a2.486 2.486 0 0 1 .005.999zM3 6H.452l2.235-6h4.14L5.573 3h2.474L3 12.68zm1-1v3.599L6.397 4H4.071l1.254-3H3.381l-1.49 4z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.316 21H5.212l.935-2h1.105zm2.065 2l1.871-4H9.147l-1.87 4zm3.468-1l1.403-3h-1.105l-1.403 3zm3.298-3l-2.338 5h1.104l2.339-5zm2.065 2h1.104l.936-2h-1.105zM23 13.187a4.805 4.805 0 0 0-3.05-4.468 5.41 5.41 0 0 0-6.6-3.519c.012.02.028.035.039.054a2.474 2.474 0 0 1 .286.89 4.428 4.428 0 0 1 5.327 2.899l.15.436.43.17A3.807 3.807 0 0 1 18.187 17H5.438a2.432 2.432 0 0 1-.67-4.772l.063-1.042A3.434 3.434 0 0 0 5.437 18h12.75A4.813 4.813 0 0 0 23 13.187zM6.968 9H2.94l2.326-8h6.087L8.255 6h3.837l-5.52 9.475zm1.064-1l-.204 3.334L10.352 7H6.46l3.098-5h-3.54L4.272 8z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7.722 29H6.618l1.403-3h1.105zm4.3-3l-2.34 5h1.105l2.339-5zm4 0l-1.872 4h1.105l1.87-4zm4 0l-2.808 6h1.105l2.807-6zm2.596 3h1.104l1.404-3H24.02zM2.064 21.273A4.614 4.614 0 0 0 6.672 25H23.5a6.5 6.5 0 0 0 2.193-12.613 7.493 7.493 0 0 0-9.862-4.895 2.476 2.476 0 0 1 .733.801c.004.006.005.014.008.02A6.436 6.436 0 0 1 18.5 8a6.532 6.532 0 0 1 6.234 4.669l.143.488.478.172A5.496 5.496 0 0 1 23.5 24H6.672a3.621 3.621 0 0 1-3.621-2.891 3.467 3.467 0 0 1 2.777-4.02l.302-1.062a4.49 4.49 0 0 0-4.066 5.246zM9.072 13H4.305l3-10h7.117l-4.307 6h5.167L7.69 21.026l-.795-.382zm1.324-1l-1.489 5.228L13.468 10H8.166l4.307-6H8.049l-2.4 8z"
  }));
};

var _default = RainThunderIcon;
exports["default"] = _default;