"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RasterAnalysisIcon = function RasterAnalysisIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.257 6H7V4h2v1.61a5.95 5.95 0 0 0-.743.39zM1 3h2V1H1zm4.178 5.683A4.476 4.476 0 0 1 6 8.035V7H4v2h.91a2.146 2.146 0 0 1 .268-.317z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 9H1V7h2zm3-8H4v2h2z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4 9V7h2v1.035a2.556 2.556 0 0 1 .697-.295A2.854 2.854 0 0 1 7 7.166V7h.118a3.957 3.957 0 0 1 .5-.556A5.238 5.238 0 0 1 8.258 6H7V4h2v1.61a6.712 6.712 0 0 1 1-.356V0H0v10h4.539a2.11 2.11 0 0 1 .37-1zm2-3H4V4h2zM3 6H1V4h2zm6-5v2H7V1zM6 1v2H4V1zM3 1v2H1V1zM1 9V7h2v2zm10.864.093a2.128 2.128 0 0 1-.304-.376 2.785 2.785 0 0 0-.074-.464 2.67 2.67 0 0 1 .925-.43 9.46 9.46 0 0 1 1.507-.192l1.088-.042-.961-1.034-.148-.035a9.67 9.67 0 0 0-2.026-.237 5.352 5.352 0 0 0-3.398 1.14c-.007.005-.677.608-.616 1.15.01.09.012.105-.232.29a3.57 3.57 0 0 0-.127.097 1.71 1.71 0 0 0-1.422.662c-.19.182-.55.704.206 1.627.76.92 1.342.667 1.556.515a1.716 1.716 0 0 0 .923-1.26 1.302 1.302 0 0 1 .675-.322c.232 0 .403.134.717.45a46.052 46.052 0 0 1 3.372 4.68 1.03 1.03 0 0 0 .736.463 1.109 1.109 0 0 0 .133.008 1.03 1.03 0 0 0 .696-.271l.543-.497a1.03 1.03 0 0 0 .093-1.428zM8.847 8.56a1.436 1.436 0 0 1 .282-.382 4.075 4.075 0 0 1 1.898-.821 3.787 3.787 0 0 0-.33.243.746.746 0 0 0-.198.828 1.949 1.949 0 0 1 .063.362 1.171 1.171 0 0 0 .196.509 3.902 3.902 0 0 0-.328.247 1.595 1.595 0 0 0-.994-.363 2.085 2.085 0 0 0-1.145.43 1.115 1.115 0 0 0 .556-1.053zm-1.062 1.7c-.033.298-.05.35-.442.63a1.664 1.664 0 0 1-.504-.613c.35-.33.402-.34.706-.311a.677.677 0 0 0 .423-.103.688.688 0 0 0-.183.397zm6.579 4.508c-.592-.908-2.18-3.298-3.217-4.515.062-.048.14-.104.242-.172l3.57 4.198z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.082 10H11V6h4v2.187a7.868 7.868 0 0 0-3.72 1.623 3.642 3.642 0 0 0-.198.19zM20 1h-4v4h4zm0 10.423l-.055.002a13.903 13.903 0 0 0-2.06.287 3.01 3.01 0 0 0-.744.288l.009.076a2.686 2.686 0 0 0 .267.312L19.623 15H20zM7.866 16.647a4.766 4.766 0 0 1-.45-.647H6v4h4v-2.09a2.986 2.986 0 0 1-2.134-1.263zM1 5h4V1H1zm0 10h4v-4H1z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 8.052V6h4v2.266a18.371 18.371 0 0 0-3.106-.253c-.301 0-.6.015-.894.039zM1 20h4v-4H1zm15-1.335V20h.92q-.491-.724-.92-1.335zM10 1H6v4h4z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 11.385v5.245L19.623 15H20v-3.577zm-8.142 4.106a2.952 2.952 0 0 1-.19.509h1.314c-.074-.083-.153-.176-.218-.243-.115-.116-.444-.448-.547-.455a2.09 2.09 0 0 0-.359.19zM17.592 21H0V0h21v8.921l-.293-.316a1 1 0 0 0-.502-.293l-.15-.035L20 8.266V6h-4v2.052c-.34.028-.673.076-1 .135V6h-4v4h.082a3.274 3.274 0 0 0-1.005 1.928l-.051.038c-.01 0-.016.004-.026.004V11H6v4h1.036a3.013 3.013 0 0 0 .38 1H6v4h4v-2.09c.029 0 .057.011.085.011a1.951 1.951 0 0 0 .915-.225V20h4v-2.724c.298.4.633.866 1 1.389V20h.92c.215.317.44.651.672 1zM16 5h4V1h-4zm-5 0h4V1h-4zM6 5h4V1H6zm0 5h4V6H6zm-1 6H1v4h4zm0-5H1v4h4zm0-5H1v4h4zm0-5H1v4h4zm17.575 20.99l-.822.753a1.308 1.308 0 0 1-.882.343 1.383 1.383 0 0 1-.167-.01 1.307 1.307 0 0 1-.932-.585 74.561 74.561 0 0 0-5.288-7.428c-.454-.458-.79-.761-1.27-.761a2.326 2.326 0 0 0-1.262.603 2.36 2.36 0 0 1-1.306 1.84c-.267.187-.997.493-2.009-.734-1.01-1.23-.57-1.888-.333-2.114a2.358 2.358 0 0 1 2.06-.926c.087-.073.175-.14.262-.204.394-.298.483-.395.453-.671-.075-.671.837-1.513.846-1.521a7.907 7.907 0 0 1 4.969-1.562 17.494 17.494 0 0 1 2.932.237l.148.036 1.02 1.098-1.087.042a14.724 14.724 0 0 0-2.246.312 4.385 4.385 0 0 0-1.635.797l.016.06a4.093 4.093 0 0 1 .13.765 2.322 2.322 0 0 0 .541.739l5.979 7.084a1.303 1.303 0 0 1-.117 1.808zm-7.844-8.063a5.606 5.606 0 0 1 .837-.63 1.8 1.8 0 0 1-.393-.865 3.211 3.211 0 0 0-.103-.591.872.872 0 0 1 .215-.996 5.678 5.678 0 0 1 1.374-.83 6.687 6.687 0 0 0-4.08 1.315 2.255 2.255 0 0 0-.508.706 1.607 1.607 0 0 1-.845 1.529c-.091.068-.185.138-.274.216a.781.781 0 0 1-.585.193c-.6-.05-.733.034-1.374.646a1.479 1.479 0 0 0 .414.756 1.587 1.587 0 0 0 .674.547c.711-.506.82-.62.886-1.219a.784.784 0 0 1 .302-.537 3.354 3.354 0 0 1 1.943-.865 2.27 2.27 0 0 1 1.517.625zm7.197 6.9l-5.705-6.762a5.388 5.388 0 0 0-.781.564 83.715 83.715 0 0 1 5.169 7.316.308.308 0 0 0 .467.06l.821-.752a.306.306 0 0 0 .029-.425z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M13 16.568V13h3.128a7.616 7.616 0 0 0-.614.473c-.015.013-1.513 1.347-1.428 2.712-.082.07-.215.171-.29.227a6.82 6.82 0 0 0-.134.103h-.026a3.956 3.956 0 0 0-.636.053zm9-5.519V8h-4v3.985a12.292 12.292 0 0 1 4-.936zM3 22h4v-4H3zm15.944-1.242a2.787 2.787 0 0 0-.944-.752V22h1.975a15.875 15.875 0 0 0-1.03-1.242zM12 3H8v4h4z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M17 12h-4V8h4zm5-9h-4v4h4zM3 7h4V3H3zm7.955 15c-1.858-2.267-.767-3.625-.388-3.988L10.58 18H8v4h2.955zM3 17h4v-4H3z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M19.975 22c.214.278.464.61.75 1h-5.733c.22-.159.424-.314.609-.47l.045-.041a4.237 4.237 0 0 0 .49-.489H17v-1.653a2.146 2.146 0 0 1 .808-.372.636.636 0 0 1 .192.031V22zm-7.942 1H2V2h21v9.015c-.061-.001-.12-.005-.182-.005-.28 0-.548.021-.818.039V8h-4v3.985A10.388 10.388 0 0 0 16.128 13H13v3.568a3.36 3.36 0 0 0-.52.127l-.03.01a3.276 3.276 0 0 0-.45.19V13H8v4h3.803a7.048 7.048 0 0 0-1.223 1H8v4h2.955l.006.006a5.59 5.59 0 0 0 .54.57 4.42 4.42 0 0 0 .532.424zM18 7h4V3h-4zm-5 0h4V3h-4zm0 5h4V8h-4zM8 7h4V3H8zm0 5h4V8H8zm-1 6H3v4h4zm0-5H3v4h4zm0-5H3v4h4zm0-5H3v4h4zm23.41 26.472l-1.122 1.027a1.598 1.598 0 0 1-2.413-.299 101.5 101.5 0 0 0-7.21-10.136c-.651-.656-1.135-1.09-1.857-1.09a3.454 3.454 0 0 0-1.918.93c-.108 1.264-.621 1.68-1.675 2.424-.4.281-1.348.6-2.489-.965C10.689 19.94 11 19 11.259 18.734a2.921 2.921 0 0 1 2.78-1.2 1.672 1.672 0 0 1 .36-.324c.515-.388.74-.58.686-1.074-.09-.796 1.078-1.902 1.09-1.912a10.465 10.465 0 0 1 6.643-2.214 19.342 19.342 0 0 1 4.05.474l.147.035 1.088 1.167-1.092.042a19.852 19.852 0 0 0-3.199.407 6.179 6.179 0 0 0-2.38 1.187c.01.055.029.132.046.198a5.354 5.354 0 0 1 .172 1.007 2.956 2.956 0 0 0 .788 1.12l8.115 9.616a1.594 1.594 0 0 1-.142 2.209zm-10.529-10.59a7.157 7.157 0 0 1 1.386-1.046 2.549 2.549 0 0 1-.614-1.237 4.452 4.452 0 0 0-.145-.835 1.01 1.01 0 0 1 .232-1.169 7.232 7.232 0 0 1 2.848-1.435c.154-.035.309-.067.464-.098-.393-.031-.81-.052-1.234-.052a9.564 9.564 0 0 0-5.987 1.969A3.285 3.285 0 0 0 16 16a2.252 2.252 0 0 1-.999 2.009c-.126.095-.257.193-.382.303a.892.892 0 0 1-.662.218c-.878-.076-1.111.072-2.007.927-.134.128.012.617.549 1.271.536.65.987.887 1.14.782 1.012-.713 1.2-.91 1.297-1.79a.886.886 0 0 1 .341-.608 4.394 4.394 0 0 1 2.531-1.137 3.037 3.037 0 0 1 2.073.907zm9.908 9.025l-7.853-9.309a6.698 6.698 0 0 0-1.35.993A123.001 123.001 0 0 1 27.71 29.65a.598.598 0 0 0 .903.113l1.123-1.028a.597.597 0 0 0 .054-.827z"
  }));
};

var _default = RasterAnalysisIcon;
exports["default"] = _default;