"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RfidIcon = function RfidIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.56 5.35l-3.91-3.91A1.516 1.516 0 0 0 10.59 1H2.5A1.498 1.498 0 0 0 1 2.5v12A1.498 1.498 0 0 0 2.5 16h12a1.498 1.498 0 0 0 1.5-1.5V6.41a1.516 1.516 0 0 0-.44-1.06zM15 14.5a.495.495 0 0 1-.5.5h-12a.495.495 0 0 1-.5-.5v-12a.495.495 0 0 1 .5-.5h8.09a.47.47 0 0 1 .35.15l3.91 3.91a.469.469 0 0 1 .15.35zm-1-6.58v4.58a1.504 1.504 0 0 1-1.5 1.5H4.44A1.454 1.454 0 0 1 3 12.5V4.46A1.428 1.428 0 0 1 4.45 3H10v1H4.45a.438.438 0 0 0-.45.46v8.04a.458.458 0 0 0 .44.5h8.06a.501.501 0 0 0 .5-.5V7.92a.51.51 0 0 0-.15-.35l-1.43-1.42a.51.51 0 0 0-.35-.15H6.54a.59.59 0 0 0-.54.55v3.95a.538.538 0 0 0 .54.5H11V8.96h-1V10H7V7h3v.96h1a1.003 1.003 0 0 1 1 1v1.99A1.04 1.04 0 0 1 11 12H6.54A1.54 1.54 0 0 1 5 10.5V6.55A1.59 1.59 0 0 1 6.54 5h4.53a1.516 1.516 0 0 1 1.06.44l1.42 1.42A1.508 1.508 0 0 1 14 7.92z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21.56 8.35l-4.91-4.91A1.516 1.516 0 0 0 15.59 3H4.5A1.498 1.498 0 0 0 3 4.5v16A1.498 1.498 0 0 0 4.5 22h16a1.498 1.498 0 0 0 1.5-1.5V9.41a1.516 1.516 0 0 0-.44-1.06zM21 20.5a.495.495 0 0 1-.5.5h-16a.495.495 0 0 1-.5-.5v-16a.495.495 0 0 1 .5-.5h11.09a.47.47 0 0 1 .35.15l4.91 4.91a.469.469 0 0 1 .15.35zm-2-9.59v6.59a1.498 1.498 0 0 1-1.5 1.5h-10A1.498 1.498 0 0 1 6 17.5v-10A1.498 1.498 0 0 1 7.5 6H14v1H7.5a.495.495 0 0 0-.5.5v10a.495.495 0 0 0 .5.5h10a.495.495 0 0 0 .5-.5v-6.59a.469.469 0 0 0-.15-.35l-1.41-1.41a.47.47 0 0 0-.35-.15H9.5a.495.495 0 0 0-.5.5v6a.495.495 0 0 0 .5.5H16v-3h-2v1h-3v-3h3v1h2a1.003 1.003 0 0 1 1 1v3a1.003 1.003 0 0 1-1 1H9.5A1.498 1.498 0 0 1 8 15.5v-6A1.498 1.498 0 0 1 9.5 8h6.59a1.516 1.516 0 0 1 1.06.44l1.41 1.41a1.516 1.516 0 0 1 .44 1.06z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M27.56 12.35l-7.91-7.91A1.516 1.516 0 0 0 18.59 4H5.5A1.498 1.498 0 0 0 4 5.5v21A1.498 1.498 0 0 0 5.5 28h21a1.498 1.498 0 0 0 1.5-1.5V13.41a1.516 1.516 0 0 0-.44-1.06zM27 26.5a.495.495 0 0 1-.5.5h-21a.495.495 0 0 1-.5-.5v-21a.495.495 0 0 1 .5-.5h13.09a.47.47 0 0 1 .35.15l7.91 7.91a.469.469 0 0 1 .15.35zm-2-10.59v7.59a1.498 1.498 0 0 1-1.5 1.5h-15A1.498 1.498 0 0 1 7 23.5v-15A1.498 1.498 0 0 1 8.5 7H18v1H8.5a.495.495 0 0 0-.5.5v15a.495.495 0 0 0 .5.5h15a.495.495 0 0 0 .5-.5v-7.59a.469.469 0 0 0-.15-.35l-4.41-4.41a.47.47 0 0 0-.35-.15H11.5a.495.495 0 0 0-.5.5v9a.495.495 0 0 0 .5.5H21v-4h-3v1h-4v-4h4v2h3a1.003 1.003 0 0 1 1 1v4a1.003 1.003 0 0 1-1 1h-9.5a1.498 1.498 0 0 1-1.5-1.5v-9a1.498 1.498 0 0 1 1.5-1.5h7.59a1.516 1.516 0 0 1 1.06.44l4.41 4.41a1.516 1.516 0 0 1 .44 1.06z"
  }));
};

var _default = RfidIcon;
exports["default"] = _default;