"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RotateDeviceIcon = function RotateDeviceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.992.285a.713.713 0 0 0-.984 0L.284 10.01a.698.698 0 0 0 .001.983l4.722 4.722a.695.695 0 0 0 .985 0l9.724-9.723a.698.698 0 0 0-.001-.983zM9 2.707L13.293 7 7 13.293 2.707 9zM5.5 14.793L3.707 13l.5-.5-.707-.707-.5.5L1.207 10.5 2 9.707 6.293 14zm8.5-8.5L9.707 2l.793-.793L14.793 5.5zM4 .824L6.058 2.5 4 4.176V3H2.5A1.502 1.502 0 0 0 1 4.5V5H0v-.5A2.503 2.503 0 0 1 2.5 2H4zm8 11v1.177h1.5a1.502 1.502 0 0 0 1.5-1.5V11h1v.5a2.503 2.503 0 0 1-2.5 2.5H12v1.175L9.942 13.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21.323 8.616l-4.94-4.94a1.251 1.251 0 0 0-1.767 0l-10.94 10.94a1.251 1.251 0 0 0 0 1.768l4.94 4.94a1.25 1.25 0 0 0 1.768 0l10.94-10.94a1.251 1.251 0 0 0 0-1.768zM14 5.707L19.293 11 11.5 18.793 6.207 13.5zm-4.323 14.91a.25.25 0 0 1-.354 0l-1.47-1.47.5-.5-2-2-.5.5-1.47-1.47a.25.25 0 0 1 0-.354L5.5 14.207l5.293 5.293zm10.94-10.94l-.617.616L14.707 5l.616-.616a.25.25 0 0 1 .354 0l4.94 4.94a.25.25 0 0 1 0 .353zm1.394 6.265V18a3.003 3.003 0 0 1-3 3h-3.292l1.635 1.634-.707.707-2.848-2.847 2.848-2.848.707.707L15.707 20h3.304a2.002 2.002 0 0 0 2-2v-2.058zM4 9H3V7a3.003 3.003 0 0 1 3-3h3.293L7.646 2.354l.707-.707 2.848 2.847L8.354 7.34l-.707-.707L9.28 5H6a2.002 2.002 0 0 0-2 2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29 12a1.986 1.986 0 0 0-.586-1.414l-7-7a2.047 2.047 0 0 0-2.828 0l-15 15a2 2 0 0 0 0 2.828l7 7a2 2 0 0 0 2.828 0l15-15A1.986 1.986 0 0 0 29 12zM18.44 5.146l8.414 8.415L14.06 26.354l-8.415-8.415zm-7.147 22.561l-2.5-2.5.56-.56-2-2-.56.56-2.5-2.5a1 1 0 0 1 0-1.414l.646-.647 8.415 8.415-.647.646a1.024 1.024 0 0 1-1.414 0zm16.414-15l-.146.146-8.415-8.414.147-.146a1 1 0 0 1 1.414 0l7 7a1 1 0 0 1 0 1.414zM30 19v3a4.004 4.004 0 0 1-4 4h-4.28l2.647 2.646-.707.707-3.853-3.853 3.853-3.854.707.707L21.721 25H26a3.003 3.003 0 0 0 3-3v-3zM3 13H2v-3a4.004 4.004 0 0 1 4-4h4.28L7.632 3.354l.707-.707L12.193 6.5 8.34 10.354l-.707-.707L10.279 7H6a3.003 3.003 0 0 0-3 3z"
  }));
};

var _default = RotateDeviceIcon;
exports["default"] = _default;