"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ScissorsIcon = function ScissorsIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.505-.028L6.07 4.278 2.216 1.71l-.825 2.73L7 8.747v1.314A2.1 2.1 0 0 0 6.5 10 2.788 2.788 0 0 0 4 13a2.787 2.787 0 0 0 2.5 3A2.787 2.787 0 0 0 9 13a3.216 3.216 0 0 0-1-2.385V8.707l.57-.57 1.602 1.018a2.544 2.544 0 0 0 .07 1.673 3.86 3.86 0 0 0 3.438 2.45c.066 0 .13-.001.195-.006a2.165 2.165 0 0 0 1.73-.955 2.392 2.392 0 0 0 .153-2.145 3.838 3.838 0 0 0-3.633-2.444 2.259 2.259 0 0 0-1.418.583L9 7.226V1.188zM6.5 15c-.827 0-1.5-.897-1.5-2s.673-2 1.5-2 1.5.897 1.5 2-.673 2-1.5 2zM8 7.293l-.543.543-4.909-3.768.236-.778L8 6.768zm0-1.727l-.99-.66.346-3.407.644.313zm3.235 3.66a1.189 1.189 0 0 1 .957-.5 2.887 2.887 0 0 1 2.629 1.793 1.391 1.391 0 0 1-.056 1.254 1.189 1.189 0 0 1-.957.501 2.875 2.875 0 0 1-2.629-1.794 1.39 1.39 0 0 1 .056-1.253z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.7 9.989l-.896-.766L12.153.246 14 2.093v9.861l-1-.854V2.507l-.153-.153zm2.536 3.482l1.523 1.302a2.806 2.806 0 0 1 1.325-.688 4.34 4.34 0 0 1 4.555 2.08 2.473 2.473 0 0 1-1.722 3.75 3.746 3.746 0 0 1-.806.087 4.368 4.368 0 0 1-3.75-2.166 2.59 2.59 0 0 1-.18-2.242l-1.654-1.414L12 15.707v1.508a3.5 3.5 0 0 1 2 3.285 3.283 3.283 0 0 1-3 3.5 3.283 3.283 0 0 1-3-3.5 3.283 3.283 0 0 1 3-3.5v-1.293l-9-9V3.015zM11 18a2.295 2.295 0 0 0-2 2.5 2.295 2.295 0 0 0 2 2.5 2.295 2.295 0 0 0 2-2.5 2.295 2.295 0 0 0-2-2.5zm1.764-4.471L3 5.185v1.108l8.5 8.5zm3.477 3.832a3.384 3.384 0 0 0 3.459 1.577 1.48 1.48 0 0 0 1.06-2.3 3.391 3.391 0 0 0-3.46-1.576 1.48 1.48 0 0 0-1.06 2.3z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M14.281 11.718l-.964-.53L14.081.37 17 3.293l-.027 9.922c-.04-.028-.078-.06-.12-.083L16 12.663V3.707l-1.076-1.078zm2.732 11.855A4.792 4.792 0 0 1 18 26.5a4.277 4.277 0 0 1-4 4.5 4.277 4.277 0 0 1-4-4.5 4.608 4.608 0 0 1 2-3.874 3.727 3.727 0 0 1 1-.466v-4.51l.999.668V22H14a3.545 3.545 0 0 1 1.01.163L15 18.971l1.002.581.008 3.08a4.153 4.153 0 0 1 1.002.941zM17 26.5a3.283 3.283 0 0 0-3-3.5 3.283 3.283 0 0 0-3 3.5 3.283 3.283 0 0 0 3 3.5 3.283 3.283 0 0 0 3-3.5zm11.66-6.89a3.767 3.767 0 0 1-.264 3.14 3.915 3.915 0 0 1-3.458 1.88 4.92 4.92 0 0 1-4.122-2.284 4.493 4.493 0 0 1-.476-.955 4.168 4.168 0 0 1-.13-.553l-4.899-2.843L3 9.767V6.654l13.557 7.457.367 1.371 4.013 2.317a3.63 3.63 0 0 1 .754-.72 4.55 4.55 0 0 1 4.809-.043 4.777 4.777 0 0 1 2.16 2.573zm-8.235-.952l-4.36-2.516-.363-1.36L4 8.346v.887l11.84 7.913 4.312 2.503a3.603 3.603 0 0 1 .273-.99zm7.288 1.274A3.779 3.779 0 0 0 26 17.902a3.903 3.903 0 0 0-1.943-.533 2.914 2.914 0 0 0-2.587 1.381 2.78 2.78 0 0 0-.183 2.318A3.779 3.779 0 0 0 23 23.098a3.283 3.283 0 0 0 4.53-.848 2.78 2.78 0 0 0 .183-2.318z"
  }));
};

var _default = ScissorsIcon;
exports["default"] = _default;