"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ScriptIcon = function ScriptIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 5H5V4h6zm0 1H5v1h6zm0 2H5v1h6zm-9 7a2.295 2.295 0 0 1-2-2.5A2.295 2.295 0 0 1 2 10h1V3.5A2.295 2.295 0 0 1 5 1h9a2.295 2.295 0 0 1 2 2.5A2.295 2.295 0 0 1 14 6h-1v6.5a2.295 2.295 0 0 1-2 2.5zM14 2h-.584A2.864 2.864 0 0 0 13 3.5V5h1c.542 0 1-.687 1-1.5S14.542 2 14 2zM4 10h6.872l-.444.754A3.495 3.495 0 0 0 10 12.5a3.676 3.676 0 0 0 .3 1.5h.7c.542 0 1-.687 1-1.5v-9a3.963 3.963 0 0 1 .302-1.5H5c-.542 0-1 .687-1 1.5zm-2 4h7.23a4.997 4.997 0 0 1 0-3H2c-.542 0-1 .687-1 1.5S1.458 14 2 14z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.5 2h-13C6.122 2 5 3.683 5 5.75V15H3.5C2.122 15 1 16.57 1 18.5S2.122 22 3.5 22h13c1.378 0 2.5-1.683 2.5-3.75V9h1.5C21.878 9 23 7.43 23 5.5S21.878 2 20.5 2zm-17 19C2.701 21 2 19.832 2 18.5S2.701 16 3.5 16h11.057A5.635 5.635 0 0 0 14 18.5a5.578 5.578 0 0 0 .563 2.5zM18 18.25c0 1.574-.792 2.75-1.5 2.75h-.77a4.246 4.246 0 0 1-.73-2.5 4.141 4.141 0 0 1 .86-2.674l.71-.826H6V5.75C6 4.176 6.792 3 7.5 3h11.14A5.995 5.995 0 0 0 18 5.75zM20.5 8H19V5.75A4.616 4.616 0 0 1 19.823 3h.677c.799 0 1.5 1.168 1.5 2.5S21.299 8 20.5 8zM8 6h8v1H8zm0 3h8v1H8zm0 3h8v1H8z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M10 7h12v1H10zm0 4h12v-1H10zm0 3h12v-1H10zm0 3h12v-1H10zM30 7c0 2.757-1.346 5-3 5h-2v13.001C25 27.758 23.654 30 22 30H5c-1.654 0-3-2.243-3-5s1.346-5 3-5h2V7c0-2.757 1.346-5 3-5h17c1.654 0 3 2.243 3 5zM19.998 29A7.87 7.87 0 0 1 19 25a7.972 7.972 0 0 1 .984-4H5c-.944 0-2 1.71-2 4s1.056 4 2 4zM24 7a7.86 7.86 0 0 1 1.003-4H10c-.944 0-2 1.71-2 4v13h14.088l-.754.835A6.365 6.365 0 0 0 20 25a6.463 6.463 0 0 0 1.214 4H22c.944 0 2-1.71 2-3.999zm5 0c0-2.29-1.056-4-2-4h-.776A6.44 6.44 0 0 0 25 7v4h2c.944 0 2-1.71 2-4z"
  }));
};

var _default = ScriptIcon;
exports["default"] = _default;