"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectRangeIcon = function SelectRangeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 9H0V8h1zm2-1H2v1h1zm10 1h1V8h-1zm3-1h-1v1h1zM5 9h6v1h1V7h-1v1H5V7H4v3h1zm4-5.5a2.5 2.5 0 1 1 3 2.45v.55h-1v-.55A2.5 2.5 0 0 1 9 3.5zm1 0A1.5 1.5 0 1 0 11.5 2 1.502 1.502 0 0 0 10 3.5zm-8 10a2.5 2.5 0 0 1 2-2.45v-.55h1v.55a2.5 2.5 0 1 1-3 2.45zm1 0A1.5 1.5 0 1 0 4.5 12 1.502 1.502 0 0 0 3 13.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 12h1v1H1zm4 0H4v1h1zm17 0v1h1v-1zm-3 1h1v-1h-1zm-3-1H8v-1H7v3h1v-1h8v1h1v-3h-1zm1-5.05V10h-1V6.95a2.5 2.5 0 1 1 1 0zm1-2.45A1.5 1.5 0 1 0 16.5 6 1.502 1.502 0 0 0 18 4.5zm-8 16a2.5 2.5 0 1 1-3-2.45V15h1v3.05a2.5 2.5 0 0 1 2 2.45zm-1 0A1.5 1.5 0 1 0 7.5 22 1.502 1.502 0 0 0 9 20.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M8 17H6v-1h2zm-6 0h2v-1H2zm22 0h2v-1h-2zm4 0h2v-1h-2zm-18-2v3h1v-1h10v1h1v-3h-1v1H11v-1zm15-8.5a3.495 3.495 0 0 1-3 3.45V13h-1V9.95a3.493 3.493 0 1 1 4-3.45zm-1 0A2.5 2.5 0 1 0 21.5 9 2.503 2.503 0 0 0 24 6.5zM10.5 30a3.492 3.492 0 0 1-.5-6.95V20h1v3.05a3.492 3.492 0 0 1-.5 6.95zm0-1A2.5 2.5 0 1 0 8 26.5a2.503 2.503 0 0 0 2.5 2.5z"
  }));
};

var _default = SelectRangeIcon;
exports["default"] = _default;