"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectVisibleIcon = function SelectVisibleIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5.5 8.247a7.194 7.194 0 0 1 4.239 1.557 9.055 9.055 0 0 0-.197-1.001 15.32 15.32 0 0 0-.852-2.156A7.708 7.708 0 0 1 7 1H1v9.028a7.368 7.368 0 0 1 4.5-1.781z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 1v14h-3v-1h2V6.026a6.874 6.874 0 0 0-3.739 1.67l-.265-.636c-.053-.128-.104-.23-.156-.342a7.952 7.952 0 0 1 4.16-1.7V2H8V1zM6.104 2.955l.993-.125A24.482 24.482 0 0 1 7 1.876V1H5v1h1.008q.043.525.096.955zm2.02 2.83a4.43 4.43 0 0 1-.568-.946l-.922.389a5.428 5.428 0 0 0 .68 1.143 7.47 7.47 0 0 1 .505.767l.871-.49a8.577 8.577 0 0 0-.566-.864zM2 5H1v2h1zM1 1v2h1V2h1V1H1zm6.972 8.094l.026.013-.019-.027zM5.5 9.246C2.462 9.246 0 12.5 0 12.5s2.462 3.254 5.5 3.254S11 12.5 11 12.5 8.538 9.246 5.5 9.246zm0 5.708c-1.938 0-3.679-1.62-4.447-2.454.768-.834 2.51-2.454 4.447-2.454 1.936 0 3.677 1.618 4.446 2.452-.774.835-2.524 2.456-4.446 2.456zM5.5 11A1.5 1.5 0 1 0 7 12.5 1.5 1.5 0 0 0 5.5 11z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.458 12.5a10.323 10.323 0 0 1 6.536 2.757 7.942 7.942 0 0 0-2.128-4.878C10.593 8.249 9.145 8.605 9 2H3v12.433A9.392 9.392 0 0 1 8.458 12.5z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22 2v20h-5v-1h4V9.05a10.327 10.327 0 0 0-5.253 1.91c-.154-.249-.35-.542-.558-.837A11.364 11.364 0 0 1 21 8.048V3H10V2zM3 2v2h1V3h1V2H3zm0 6h1V6H3zm0 4h1v-2H3zM9 2H7v1h1v.022c.017.362.038.7.067 1.024l.996-.09A17.355 17.355 0 0 1 9 2zm5.84 12.214a13.604 13.604 0 0 0-.594-1.81l-.088-.21-.914.406.073.173a12.677 12.677 0 0 1 .553 1.68zM8.397 6.142a7.701 7.701 0 0 0 .773 2.035l.87-.494a6.726 6.726 0 0 1-.67-1.774zm4.47 4.237a11.45 11.45 0 0 0-.989-.802c-.211-.158-.424-.317-.632-.49l-.639.77c.222.183.447.352.671.52a10.747 10.747 0 0 1 .908.732zM16 18.5l-.234.305C15.634 18.976 12.524 23 8.458 23c-4.06 0-7.072-4.017-7.209-4.188L1 18.5l.249-.312C1.386 18.018 4.398 14 8.459 14c4.064 0 7.175 4.024 7.307 4.195zm-1.101 0c-.815-.928-3.39-3.6-6.44-3.6-3.045 0-5.489 2.663-6.338 3.6.85.937 3.293 3.6 6.339 3.6 3.055 0 5.626-2.67 6.439-3.6zM11 18.5A2.5 2.5 0 1 0 8.5 21a2.503 2.503 0 0 0 2.5-2.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M11.42 16.543h.188a13.268 13.268 0 0 1 7.771 3.121 13.088 13.088 0 0 0-.282-1.363c-1.825-6.737-4.83-4.49-5.82-11.309A27.182 27.182 0 0 1 13 3H4v16.403a13.11 13.11 0 0 1 7.42-2.86z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18.37 16.186l-.924.38a7.908 7.908 0 0 0-1-1.77l.796-.604a8.835 8.835 0 0 1 1.128 1.994zm-2.626-3.644a8.005 8.005 0 0 1-1.26-1.606l-.865.502a9.102 9.102 0 0 0 1.406 1.8zm-3-3.217l.961-.275a15.776 15.776 0 0 1-.429-2.058l-.99.145a16.771 16.771 0 0 0 .458 2.188zM4 9h1V7H4zm0-6v2h1V4h1V3H4zm4 1h2V3H8zm-4 9h1v-2H4zm0 4h1v-2H4zm8.057-12.066l.998-.067c-.021-.31-.045-.622-.055-.972S13 3 13 3h-1s-.011.635 0 1 .037.636.057.934zm-.558 23.016a3.441 3.441 0 0 0 3.45-3.394v-.076a3.44 3.44 0 0 0-3.413-3.43h-.072a3.44 3.44 0 0 0-3.414 3.43v.076a3.44 3.44 0 0 0 3.45 3.394zm10.28-3.751c-.184-.254-4.508-6.033-10.17-6.156h-.156C5.791 18.166 1.405 23.945 1.22 24.2l-.22.3.224.299c.187.252 4.632 6.084 10.296 6.147h.022c5.663-.063 10.047-5.895 10.234-6.147L22 24.5zm-10.243 5.746h-.006c-4.516-.05-8.31-4.282-9.27-5.449.953-1.16 4.705-5.355 9.215-5.453h.133c4.515.099 8.204 4.298 9.136 5.453-.956 1.18-4.682 5.396-9.208 5.45zM15 3v.84l.009.16H28v5.97a14.314 14.314 0 0 0-8.996 3.411 8.01 8.01 0 0 1 .454.932A13.213 13.213 0 0 1 28 10.97V27h-5v1h6V3z"
  }));
};

var _default = SelectVisibleIcon;
exports["default"] = _default;