"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectionFilterIcon = function SelectionFilterIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9.542 8.803a15.32 15.32 0 0 0-.852-2.156A7.708 7.708 0 0 1 7 1H1v4h6a1 1 0 0 1 1 1v2a.999.999 0 0 1-.269.682l-2.55 2.733L5 15h6v-1.246c-1.417-2.834-1.035-3.317-1.458-4.951z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 14V6.026a6.874 6.874 0 0 0-3.739 1.67l-.265-.636c-.053-.128-.104-.23-.156-.342a7.952 7.952 0 0 1 4.16-1.7V2H8V1h7v14h-3v-1zM5 1v1h1.008q.043.525.097.955l.992-.125A24.482 24.482 0 0 1 7 1.876V1zm4.93 9.981c-.07-.324-.11-.609-.15-.894a10.735 10.735 0 0 0-.238-1.284l-.969.252a9.545 9.545 0 0 1 .217 1.17c.044.31.087.619.164.97zM11 13.754a22.007 22.007 0 0 1-.377-.79l-.912.412c.086.19.195.41.3.624H8v1h3zM7 15v-1H5.052l-.05 1zM3 2V1H1v3h1V2zm4 4v2l-2.8 3h-.006l-.24 1-.13 3h-.649l-.13-3-.245-1L0 8V6zM5.16 8.8H1.84l1.307 1.4h.706zM6 7H1v1h5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.172 12.242a15.529 15.529 0 0 1 1.024 4.528c.161 1.25.497 1.829 2.345 5.23h-7.41l.812-6.529zM10.232 8C9.513 7.002 9.077 5.457 9 2H3v6z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 2h12v20h-3v-1h2V9.05a10.327 10.327 0 0 0-5.253 1.91c-.154-.249-.35-.542-.558-.837A11.364 11.364 0 0 1 21 8.048V3H10zM3 4h1V3h1V2H3zm9 18h2v-1h-2zM4 6H3v2h1zm4.067-1.954l.996-.09A17.355 17.355 0 0 1 9 2H7v1h1v.022c.017.362.038.7.067 1.024zm5.803 10.406l.97-.238a13.604 13.604 0 0 0-.594-1.81l-.07-.167-.772.773a12.363 12.363 0 0 1 .466 1.442zm1.277 1.858l-.996.091c.016.165.032.33.053.497a6.758 6.758 0 0 0 .413 1.631l.932-.365a5.747 5.747 0 0 1-.353-1.394 12.46 12.46 0 0 1-.049-.46zm-5.109-8.627a6.726 6.726 0 0 1-.669-1.774l-.973.233A7.82 7.82 0 0 0 9.086 8h.394zM16.45 19.97l-.888.457c.134.262.274.55.417.876l.305.696h1.257L17 21s-.405-.749-.55-1.03zM14 11l-4 4-1 8H6l-1-8-4-4V9h13zm-5.133 4H6.133l.75 7h1.234zm2.719-3H3.414l2 2h4.172zM13 10H2v.586l.414.414h10.172l.414-.414z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M4 11V3h9a27.182 27.182 0 0 0 .276 3.992A10.505 10.505 0 0 0 14.532 11zm8.789 8.615L11.754 28h9.371c-1.812-4.102-1.217-6.705-2.028-9.7a12.546 12.546 0 0 0-1.465-3.524z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M11.754 28l.124-1H13v1zm6.985-5.212c.11.853.198 1.508.341 2.186l.979-.207c-.136-.641-.222-1.278-.328-2.106zm-.607-4.226a12.05 12.05 0 0 1 .367 2.054l.996-.097a12.987 12.987 0 0 0-.398-2.218zm-.686-1.996l.924-.38a9.072 9.072 0 0 0-.742-1.406l-.72.72a8.248 8.248 0 0 1 .538 1.066zm-4.702-7.24l.961-.276a15.776 15.776 0 0 1-.429-2.058l-.99.145a16.771 16.771 0 0 0 .458 2.188zM5 7H4v2h1zm0-3h1V3H4v2h1zm5-1H8v1h2zm7 24h-2v1h2zM14.999 3c-.002.262-.014.522-.002.787.003.074.008.14.012.213H28v5.97a14.314 14.314 0 0 0-8.996 3.411 8.01 8.01 0 0 1 .454.932A13.213 13.213 0 0 1 28 10.97V27h-5v1h6V3zm-2.942 1.934l.998-.067c-.021-.31-.045-.622-.055-.972S13 3 13 3h-1s-.011.635 0 1 .037.636.057.934zM19 28h2v-1h-2zM7.5 30L6 19l-5-5v-2h16v2l-5 5-1.5 11zM2 14h14v-1H2zm4.468 4h5.064l3.333-3H3.135zm.678 1l1.227 10h1.254l1.228-10z"
  }));
};

var _default = SelectionFilterIcon;
exports["default"] = _default;