"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectionIcon = function SelectionIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7 1a7.708 7.708 0 0 0 1.69 5.647 15.32 15.32 0 0 1 .852 2.156c.423 1.634.04 2.117 1.458 4.951V15H1V1z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 14V6.026a6.874 6.874 0 0 0-3.739 1.67l-.265-.636c-.053-.128-.104-.23-.156-.342a7.952 7.952 0 0 1 4.16-1.7V2H8V1h7v14h-3v-1zM5 1v1h1.008q.043.525.097.955l.992-.125A24.482 24.482 0 0 1 7 1.876V1zm3.124 4.784a4.43 4.43 0 0 1-.568-.945l-.922.389a5.428 5.428 0 0 0 .68 1.143 7.47 7.47 0 0 1 .505.767l.871-.49a8.577 8.577 0 0 0-.566-.864zm.83 5.41l.977-.213c-.07-.324-.11-.609-.15-.894a10.735 10.735 0 0 0-.239-1.284l-.969.252a9.547 9.547 0 0 1 .217 1.17c.044.31.087.619.164.97zM11 13.754a22.007 22.007 0 0 1-.377-.79l-.912.412c.086.19.195.41.3.624H9v1h2zM2 5H1v2h1zm-1 6h1V9H1zm2 4v-1H2v-1H1v2h2zm2 0h2v-1H5zM1 2v1h1V2h1V1H1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 2c.145 6.605 1.593 6.25 3.866 8.379 1.822 1.706 2.052 4.224 2.33 6.39.161 1.25.497 1.83 2.345 5.231H2V2z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 3H10V2h12v20h-4v-1h3V9a10.699 10.699 0 0 0-6.252 1.96c-.154-.249-.35-.542-.558-.837A11.728 11.728 0 0 1 20.999 8zM2 2v2h1V3h1V2H2zm4 20h2v-1H6zm5 0h2v-1h-2zM3 6H2v2h1zm0 5H2v2h1zm0 5H2v2h1zm0 4H2v2h2v-1H3zM7.067 4.046l.996-.09A17.355 17.355 0 0 1 8 2H6v1h1v.022c.017.362.038.7.067 1.024zm6.774 10.168a13.604 13.604 0 0 0-.595-1.81l-.088-.21-.914.406.073.173a12.677 12.677 0 0 1 .553 1.68zm.306 2.096l-.996.091c.016.165.032.33.053.497a6.758 6.758 0 0 0 .413 1.631l.932-.365a5.747 5.747 0 0 1-.353-1.394c-.02-.155-.035-.307-.049-.46zM7.397 6.142a7.701 7.701 0 0 0 .772 2.035l.87-.494a6.726 6.726 0 0 1-.67-1.774zm4.47 4.237a11.45 11.45 0 0 0-.99-.802c-.211-.158-.424-.317-.632-.49l-.639.77c.222.183.447.352.671.52a10.747 10.747 0 0 1 .908.732zm3.583 9.592l-.888.457c.134.262.274.55.417.876l.305.696h1.257L16 21s-.405-.749-.55-1.03z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M12 3a27.184 27.184 0 0 0 .276 3.992c.992 6.818 3.996 4.572 5.82 11.309.875 3.228.11 5.999 2.496 10.687L3 29V3z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M9 4H7V3h2zm2.744 5.325l.961-.275a15.776 15.776 0 0 1-.429-2.058l-.99.145a16.771 16.771 0 0 0 .458 2.188zm-.687-4.391l.998-.067c-.021-.31-.045-.622-.055-.972S12 3 12 3h-1s-.011.635 0 1 .037.636.057.934zM9 28H7v1h2zm3.541 0h-2v1h2zm4.59-9.438a12.05 12.05 0 0 1 .368 2.054l.996-.097a12.988 12.988 0 0 0-.398-2.218zm2.533 8.253l-.94.344c.108.293.23.609.37.95.126.31.286.594.43.891h1.06l.008-.012q-.31-.61-.572-1.256a28.45 28.45 0 0 1-.356-.917zM4 7H3v2h1zm13.74 15.788c.109.853.197 1.508.34 2.186l.979-.207c-.136-.641-.222-1.278-.328-2.106zM15 29h2v-1h-2zm.445-14.204a7.908 7.908 0 0 1 1.001 1.77l.924-.38a8.835 8.835 0 0 0-1.128-1.994zm-2.826-3.358a9.102 9.102 0 0 0 1.406 1.8l.72-.696a8.005 8.005 0 0 1-1.26-1.606zM4 19H3v2h1zM3 3v2h1V4h1V3H3zm1 20H3v2h1zm9.999-20c-.002.262-.014.522-.002.787.003.074.008.14.012.213H28v5.97a14.118 14.118 0 0 0-9.553 3.942c.176.294.336.608.488.926A13.02 13.02 0 0 1 28 10.97V28h-5.714l.337.832c.023.058.055.11.08.168H29V3zM4 15H3v2h1zm0-4H3v2h1zm0 16H3v2h2v-1H4z"
  }));
};

var _default = SelectionIcon;
exports["default"] = _default;