"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectionXIcon = function SelectionXIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9.542 8.803a15.32 15.32 0 0 0-.852-2.156A7.708 7.708 0 0 1 7 1H1v6.54a2.002 2.002 0 0 1 .225-.022 1.993 1.993 0 0 1 1.414.586l.861.86.861-.86a2 2 0 0 1 2.828 0l.707.707a2 2 0 0 1 0 2.828l-.86.861.86.861A1.988 1.988 0 0 1 8.461 15H11v-1.246c-1.417-2.834-1.035-3.317-1.458-4.951z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.225 7.518A2.002 2.002 0 0 0 1 7.539V6h1v1.676a2 2 0 0 0-.775-.158zM12 14v1h3V1H8v1h6v3.018a7.952 7.952 0 0 0-4.16 1.7c.052.112.103.214.156.342l.265.636A6.874 6.874 0 0 1 14 6.026V14zM5 1v1h1.008q.043.525.097.955l.992-.125A24.482 24.482 0 0 1 7 1.876V1zm2.556 3.839l-.922.389a5.428 5.428 0 0 0 .68 1.143 7.47 7.47 0 0 1 .505.767l.871-.49a8.577 8.577 0 0 0-.566-.864 4.43 4.43 0 0 1-.568-.945zm1.398 6.355l.977-.213c-.07-.324-.11-.609-.15-.894a10.735 10.735 0 0 0-.239-1.284l-.969.252a9.545 9.545 0 0 1 .217 1.17c.044.31.087.619.164.97zM8.461 15H11v-1.246a22.007 22.007 0 0 1-.377-.79l-.912.412c.086.19.195.41.3.624H8.324a1.995 1.995 0 0 1 .137 1zM2 2h1V1H1v3h1zm4.482 12.775L4.207 12.5l2.275-2.275-.707-.707L3.5 11.793 1.225 9.518l-.707.707L2.793 12.5.518 14.775l.707.707L3.5 13.207l2.275 2.275z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.268 11.732L6 14.465l2.732-2.733a2 2 0 0 1 2.829 0l.707.707a2 2 0 0 1 0 2.829L9.535 18l2.733 2.732A1.983 1.983 0 0 1 12.839 22h4.702c-1.848-3.401-2.184-3.98-2.345-5.23-.278-2.167-.508-4.685-2.33-6.391C10.593 8.249 9.145 8.605 9 2H3v9.514a2.002 2.002 0 0 1 .268.218z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 2h12v20h-3v-1h2V9.05a10.327 10.327 0 0 0-5.253 1.91c-.154-.249-.35-.542-.558-.837A11.364 11.364 0 0 1 21 8.048V3H10zM4 3h1V2H3v2h1zm8.84 19H14v-1h-1.514a1.98 1.98 0 0 1 .353 1zM3 8h1V6H3zm1 4.465V11H3v.514a2.002 2.002 0 0 1 .268.218zm4.067-8.42l.996-.089A17.355 17.355 0 0 1 9 2H7v1h1v.022c.017.362.038.7.067 1.024zm6.774 10.169a13.604 13.604 0 0 0-.595-1.81l-.088-.21-.914.406.073.173a12.676 12.676 0 0 1 .553 1.68zm.306 2.096l-.996.091c.016.165.032.33.053.497a6.758 6.758 0 0 0 .413 1.631l.932-.365a5.747 5.747 0 0 1-.353-1.394c-.02-.155-.035-.307-.049-.46zm-5.109-8.627a6.726 6.726 0 0 1-.669-1.774l-.973.233a7.701 7.701 0 0 0 .773 2.035zm2.828 2.696a11.45 11.45 0 0 0-.989-.802c-.211-.158-.424-.317-.632-.49l-.639.77c.222.183.447.352.671.52a10.747 10.747 0 0 1 .908.732zm3.584 9.592l-.888.457c.134.262.274.55.417.876l.305.696h1.257L17 21s-.405-.749-.55-1.03zm-5.596-6.117l-.708-.708L6 17.293l-4.146-4.147-.708.708L5.293 18l-4.147 4.146.708.708L6 18.707l4.146 4.147.708-.708L6.707 18z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M4.278 15.742L8.5 19.964l4.222-4.222a2 2 0 0 1 1.414-.586 1.997 1.997 0 0 1 1.415.587l.707.708a1.999 1.999 0 0 1-.001 2.827L12.035 23.5l4.222 4.222a1.994 1.994 0 0 1 .227.278h4.641c-1.812-4.102-1.217-6.705-2.028-9.7-1.825-6.736-4.83-4.49-5.82-11.308A27.182 27.182 0 0 1 13 3H4v12.514a1.997 1.997 0 0 1 .278.228z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M19.731 22.661c.106.828.192 1.465.328 2.106l-.979.207c-.143-.678-.231-1.333-.34-2.186zm-1.6-4.099a12.05 12.05 0 0 1 .368 2.054l.996-.097a12.987 12.987 0 0 0-.398-2.218zm-1.686-3.766a7.908 7.908 0 0 1 1.001 1.77l.924-.38a8.835 8.835 0 0 0-1.128-1.994zm-1.42-1.559l.72-.695a8.005 8.005 0 0 1-1.26-1.606l-.866.502a9.102 9.102 0 0 0 1.406 1.8zm-2.28-3.912l.96-.275a15.776 15.776 0 0 1-.429-2.058l-.99.145a16.771 16.771 0 0 0 .458 2.188zM5 7H4v2h1zm0-3h1V3H4v2h1zm5-1H8v1h2zm6.484 25H17v-1h-1.465l.722.722a1.994 1.994 0 0 1 .227.278zM5 11H4v2h1zm0 5.464V15H4v.514a1.997 1.997 0 0 1 .278.228zm9.997-12.677c.003.074.008.14.012.213H28v5.97a14.314 14.314 0 0 0-8.996 3.411 8.01 8.01 0 0 1 .454.932A13.213 13.213 0 0 1 28 10.97V27h-5v1h6V3H14.999c-.002.262-.014.522-.002.787zm-2.94 1.147l.998-.067c-.021-.31-.045-.622-.055-.972S13 3 13 3h-1s-.011.635 0 1 .037.636.057.934zM19 28h2v-1h-2zM8.5 24.207l5.636 5.636.707-.707L9.207 23.5l5.636-5.636-.707-.707L8.5 22.793l-5.636-5.636-.707.707L7.793 23.5l-5.636 5.636.707.707z"
  }));
};

var _default = SelectionXIcon;
exports["default"] = _default;