"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SensorIcon = function SensorIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.716 7.569l-.707.707a4.26 4.26 0 0 0-6.018 0l-.707-.707a5.261 5.261 0 0 1 7.432 0zm2.069-2.17a8.19 8.19 0 0 0-11.57 0l.707.708a7.189 7.189 0 0 1 10.156 0zM8 .079A11.032 11.032 0 0 0 .146 3.33l.707.707a10.106 10.106 0 0 1 14.293 0l.707-.707A11.032 11.032 0 0 0 8 .078zM14 13v3H2v-3a2.002 2.002 0 0 1 2-2h2a2 2 0 0 1 4 0h2a2.002 2.002 0 0 1 2 2zM3 15h10v-2a1.001 1.001 0 0 0-1-1H4a1.001 1.001 0 0 0-1 1zm4-4h2a1 1 0 0 0-2 0z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 9.137a7.062 7.062 0 0 1 4.944 2.008l-.696.718a6.092 6.092 0 0 0-8.496 0l-.696-.718A7.062 7.062 0 0 1 12 9.137zm7.778-.815a11.012 11.012 0 0 0-15.556 0l.707.707a10.011 10.011 0 0 1 14.142 0zM1.394 5.494L2.1 6.2a14.017 14.017 0 0 1 19.798 0l.707-.707a15.016 15.016 0 0 0-21.212 0zM21 19.02V22H3v-2.98A3.024 3.024 0 0 1 6.02 16H9a3 3 0 0 1 6 0h2.98A3.024 3.024 0 0 1 21 19.02zm-1 0A2.022 2.022 0 0 0 17.98 17H6.02A2.022 2.022 0 0 0 4 19.02V21h16zM10 16h4a2 2 0 0 0-4 0z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 12.09a8.824 8.824 0 0 1 6.176 2.508l-.697.718a7.858 7.858 0 0 0-10.959 0l-.696-.718A8.824 8.824 0 0 1 16 12.09zm9.767-.972a13.812 13.812 0 0 0-19.534 0l.707.707a12.813 12.813 0 0 1 18.12 0zM2.647 7.63l.706.707a17.904 17.904 0 0 1 25.293 0l.707-.707a18.906 18.906 0 0 0-26.707 0zM28 24.5V29H4v-4.5A3.504 3.504 0 0 1 7.5 21H12a4 4 0 0 1 8 0h4.5a3.504 3.504 0 0 1 3.5 3.5zm-1 0a2.503 2.503 0 0 0-2.5-2.5h-17A2.503 2.503 0 0 0 5 24.5V28h22zM13 21h6a3 3 0 0 0-6 0z"
  }));
};

var _default = SensorIcon;
exports["default"] = _default;