"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SerialPortIcon = function SerialPortIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2 0v2H1v4.022a2.487 2.487 0 0 0 .248 1.09l.806 2.025A1.588 1.588 0 0 0 3 9.932v2.084a7.354 7.354 0 0 0 .174 1.209l.214.38A3.124 3.124 0 0 0 6 15h.032a3.097 3.097 0 0 0 2.603-1.418l.145-.226.06-.137a4.435 4.435 0 0 0 .158-1.17L9 3.378a1.205 1.205 0 0 1 .123-.529A1.502 1.502 0 0 1 10.459 2h.033a1.51 1.51 0 0 1 1.344.822 1.43 1.43 0 0 1 .164.663v2.617a1.59 1.59 0 0 0-.902.805l-.803 1.918A2.555 2.555 0 0 0 10 10.01V14h1v2h3v-2h1V9.982a2.482 2.482 0 0 0-.248-1.088l-.806-2.022A1.587 1.587 0 0 0 13 6.078V3.323a2.456 2.456 0 0 0-.287-1.145A2.56 2.56 0 0 0 10.44.834a2.506 2.506 0 0 0-2.227 1.451 2.217 2.217 0 0 0-.211.948L8 12.011a3.594 3.594 0 0 1-.104.853l-.102.16A2.108 2.108 0 0 1 6.017 14a2.13 2.13 0 0 1-1.79-.974l-.095-.148a6.317 6.317 0 0 1-.132-.94v-2.03a1.586 1.586 0 0 0 .902-.806l.803-1.921A2.56 2.56 0 0 0 6 5.993V2H5V0zm11 15h-1v-1h1zm.839-5.705a1.538 1.538 0 0 1 .161.683V13h-3v-2.994a1.628 1.628 0 0 1 .2-.762l.802-1.919A.585.585 0 0 1 12.49 7h.067a.578.578 0 0 1 .478.272zM3 1h1v1H3zm2 4.993a1.628 1.628 0 0 1-.2.762l-.802 1.92A.584.584 0 0 1 3.506 9h-.059a.635.635 0 0 1-.482-.272L2.16 6.705A1.538 1.538 0 0 1 2 6.022V3h3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M19.786 7.806A1.412 1.412 0 0 0 19 7.1V5.576a3.491 3.491 0 0 0-.433-1.655 3.49 3.49 0 0 0-6.271.21 3.06 3.06 0 0 0-.294 1.311L12 19.307a2.021 2.021 0 0 1-.124.76A3.106 3.106 0 0 1 9.01 22a3.127 3.127 0 0 1-2.907-2.185 2.171 2.171 0 0 1-.102-.71v-2.209a1.433 1.433 0 0 0 .771-.672l1.963-3.051A2.68 2.68 0 0 0 9 12.013V4H8V1H3v3H2v8.014a2.693 2.693 0 0 0 .296 1.212l1.918 2.968a1.432 1.432 0 0 0 .786.702v2.25a4.207 4.207 0 0 0 .301 1.512A4.11 4.11 0 0 0 9.01 23a4.109 4.109 0 0 0 3.686-2.327 4.153 4.153 0 0 0 .302-1.503L13 5.434a2.171 2.171 0 0 1 .24-.972 2.486 2.486 0 0 1 4.486-.005A2.4 2.4 0 0 1 18 5.568v1.533a1.412 1.412 0 0 0-.771.675l-1.963 3.051A2.675 2.675 0 0 0 15 11.985V20h1v3h5v-3h1v-8.015a2.689 2.689 0 0 0-.296-1.21zM4 2h3v2H4zm-.834 10.737A1.674 1.674 0 0 1 3 12.014V5h5v7.014a1.71 1.71 0 0 1-.136.67l-1.976 3.073a.44.44 0 0 1-.805-.052zM20 22h-3v-2h3zm1-3h-5v-7.015a1.709 1.709 0 0 1 .136-.67l1.976-3.072a.44.44 0 0 1 .805.052l1.917 2.968a1.673 1.673 0 0 1 .166.722z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29 15.814a3.422 3.422 0 0 0-.358-1.51L26.065 9.98A1.748 1.748 0 0 0 25 9.077v-.682a9.32 9.32 0 0 0-.846-3.867l-.047-.102a3.981 3.981 0 0 0-7.239.053A9.317 9.317 0 0 0 16 8.395v16.283a4.508 4.508 0 0 1-.433 1.922 3.87 3.87 0 0 1-3.353 2.215 3.749 3.749 0 0 1-3.52-1.842A5.566 5.566 0 0 1 8 24.274v-.352a1.745 1.745 0 0 0 1.055-.883l2.607-4.38A3.406 3.406 0 0 0 12 17.185V7h-1V3H4v4H3v10.186a3.428 3.428 0 0 0 .358 1.51l2.577 4.323A1.748 1.748 0 0 0 7 23.923v.351a6.597 6.597 0 0 0 .827 3.197 4.743 4.743 0 0 0 4.204 2.348c.074 0 .148 0 .223-.004a4.87 4.87 0 0 0 4.218-2.788 5.515 5.515 0 0 0 .528-2.35V8.396a8.382 8.382 0 0 1 .799-3.545 2.98 2.98 0 0 1 5.411.018l.016.033A8.32 8.32 0 0 1 24 8.395v.683a1.745 1.745 0 0 0-1.055.882l-2.608 4.383A3.397 3.397 0 0 0 20 15.814V26h1v4h7v-4h1zM5 4h5v3H5zm1.814 18.545l-2.576-4.322A2.39 2.39 0 0 1 4 17.186V8h7v9.186a2.38 2.38 0 0 1-.218.999l-2.617 4.398a.763.763 0 0 1-1.35-.038zM27 29h-5v-3h5zm1-4h-7v-9.186a2.391 2.391 0 0 1 .217-.999l2.618-4.398a.76.76 0 0 1 1.35.038l2.577 4.322A2.384 2.384 0 0 1 28 15.814z"
  }));
};

var _default = SerialPortIcon;
exports["default"] = _default;