"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ServerIcon = function ServerIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 3h1v1H3zm2 1h1V3H5zm2 0h1V3H7zm8-3v13H1V1zm-1 9H2v3h12zm0-4H2v3h12zm0-1V2H2v3zM4 7H3v1h1zm2 0H5v1h1zm2 0H7v1h1zm-4 4H3v1h1zm2 0H5v1h1zm2 0H7v1h1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 5h1v1H5zm2 1h1V5H7zm2-.001L9.999 6 10 5.001 9.001 5zM22 3v17H2V3zm-1 13H3v3h18zm0-4H3v3h18zm0-4H3v3h18zm0-1V4H3v3zM6 9H5v1h1zm2 0H7v1h1zm2 .001L9.001 9 9 9.999l.999.001zM6 13H5v1h1zm2 0H7v1h1zm2 .001L9.001 13 9 13.999l.999.001zM6 17H5v1h1zm2 0H7v1h1zm2 .001L9.001 17 9 17.999l.999.001z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M8 13H6v-1h2zm3-1H9v1h2zm3 0h-2v1h2zm15-9v25H3V3zm-1 19H4v5h24zm0-6H4v5h24zm0-6H4v5h24zm0-1V4H4v5zM8 18H6v1h2zm3 0H9v1h2zm3 0h-2v1h2zm-6 6H6v1h2zm3 0H9v1h2zm3 0h-2v1h2zM6 7h2V6H6zm3 0h2V6H9zm3 0h2V6h-2z"
  }));
};

var _default = ServerIcon;
exports["default"] = _default;