"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ServerLockIcon = function ServerLockIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 3h1v1H3zm2 1h1V3H5zm2 0h1V3H7zM3 8h1V7H3zm2 0h1V7H5zm2 0h1V7H7zm-3 3H3v1h1zm2 0H5v1h1zm2 0H7v1h1zm1 2v1H1V1h14v6h-1V6H2v3h8v1H2v3zM2 5h12V2H2zm14 6.75v3.5a.751.751 0 0 1-.75.75h-4.5a.751.751 0 0 1-.75-.75v-3.5a.751.751 0 0 1 .75-.75H11v-1a2 2 0 0 1 4 0v1h.25a.751.751 0 0 1 .75.75zM12 11h2v-1a1 1 0 0 0-2 0zm3 1h-4v3h4v-3zm-3 1v1h2v-1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 5h1v1H5zm2 1h1V5H7zm2-.001L9.999 6 10 5.001 9.001 5zM5 10h1V9H5zm2 0h1V9H7zm2-.001l.999.001.001-.999L9.001 9zM6 13H5v1h1zm2 0H7v1h1zm2 .001L9.001 13 9 13.999l.999.001zM6 17H5v1h1zm2 0H7v1h1zm2 .001L9.001 17 9 17.999l.999.001zM12 19v1H2V3h20v7h-1V8H3v3h11.706a4.521 4.521 0 0 0-.944 1H3v3h10v.227a1.894 1.894 0 0 0-.766.773H3v3zM3 7h18V4H3zm20 9.875v5.25a.877.877 0 0 1-.875.875h-7.25a.877.877 0 0 1-.875-.875v-5.25a.877.877 0 0 1 .875-.875H15v-1.5a3.5 3.5 0 0 1 7 0V16h.125a.877.877 0 0 1 .875.875zM16 16h1v-1.5a1.5 1.5 0 0 1 3 0V16h1v-1.5a2.5 2.5 0 0 0-5 0zm3-1.5a.5.5 0 0 0-1 0V16h1zm3 2.5h-7v5h7v-5zm-3 2v-1h-1v3h1v-1h1v-1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M6 12h2v1H6zm3 1h2v-1H9zm3 0h2v-1h-2zm-4 5H6v1h2zm3 0H9v1h2zm3 0h-2v1h2zm-6 6H6v1h2zm3 0H9v1h2zm3 0h-2v1h2zm2 3v1H3V3h26v11h-1v-4H4v5h16.027a5.005 5.005 0 0 0-1.004 1H4v5h12.278A1.977 1.977 0 0 0 16 22H4v5zM4 9h24V4H4zm2-2h2V6H6zm3 0h2V6H9zm3 0h2V6h-2zm18 15v7a1.003 1.003 0 0 1-1 1H19a1.003 1.003 0 0 1-1-1v-7a1.003 1.003 0 0 1 1-1h1v-2a4 4 0 0 1 8 0v2h1a1.003 1.003 0 0 1 1 1zm-9-1h1v-2a2 2 0 0 1 4 0v2h1v-2a3 3 0 0 0-6 0zm4-2a1 1 0 0 0-2 0v2h2zm4 3H19v7h10v-7zm-4 5v-1h-1v-1h1v-1h-1v-1h-1v5h1v-1z"
  }));
};

var _default = ServerLockIcon;
exports["default"] = _default;