"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ShowColumnIcon = function ShowColumnIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 9H5V7h1zM1 4H0v2h1zm4-1h1V2h1V1H4v1h1zm5 0h1V2h1V1H9v1h1zm0 3h1V4h-1zM1 7H0v2h1zm5-3H5v2h1zm4.5 4.146c-3.038 0-5.45 3.354-5.45 3.354s2.412 3.354 5.45 3.354S16 11.5 16 11.5s-2.462-3.354-5.5-3.354zm0 5.908c-1.938 0-3.679-1.72-4.447-2.554.768-.834 2.51-2.554 4.447-2.554 1.936 0 3.676 1.718 4.446 2.552-.774.835-2.524 2.556-4.446 2.556zM15 9h1V7h-1zm0-3h1V4h-1zM1 10H0v2h1zm13-9v1h1v1h1V1zM1 13H0v2h2v-1H1zm9.538-2.909A1.411 1.411 0 1 0 12.03 11.5a1.454 1.454 0 0 0-1.492-1.409zM0 3h1V2h1V1H0zm5 10.135V14H4v1h3v-.256a10.599 10.599 0 0 1-2-1.61z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 3v2h-1V4h-1V3zm-1 6h1V7h-1zm-2-6h-2v1h2zm-7 0h-2v1h2zm2 2h1V4h1V3h-3v1h1zm-7 8h1v-2H8zm1-6H8v2h1zm6 2h1V7h-1zm7 4h1v-2h-1zM2 11H1v2h1zm6-6h1V4h1V3H7v1h1zM4 21h2v-1H4zM1 5h1V4h1V3H1zm6 15v1h1.36a16.85 16.85 0 0 1-1.07-1zM2 7H1v2h1zm2-3h2V3H4zM2 15H1v2h1zm0 4H1v2h2v-1H2zm13.504-3.9a2.4 2.4 0 1 0 2.358 2.4 2.382 2.382 0 0 0-2.358-2.4zm7.266 2.095l.23.305-.23.305c-.13.171-3.215 4.195-7.208 4.195-3.989 0-7.183-4.017-7.317-4.188L8 17.5l.245-.312c.134-.17 3.328-4.188 7.317-4.188 3.993 0 7.078 4.024 7.208 4.195zm-.851.306c-.8-.93-3.361-3.601-6.356-3.601-2.991 0-5.628 2.663-6.462 3.6.834.937 3.47 3.6 6.462 3.6 3.002 0 5.557-2.67 6.356-3.6z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20 13h1v2h-1zm-8-4h-1v2h1zm8-2h1V6h1V5h-3v1h1zm9 0h1V5h-2v1h1zm-3-2h-2v1h2zm-14 8h-1v2h1zm18-4h-1v2h1zM11 19h.426c.186-.161.373-.322.574-.485V17h-1zm19-6h-1v2h1zm-9-4h-1v2h1zm8 9.465c.224.18.434.357.639.535H30v-2h-1zM3 17H2v2h1zm0 8H2v2h2v-1H3zM17 5h-2v1h2zM6 27h2v-1H6zm-3-6H2v2h1zM2 7h1V6h1V5H2zm9 0h1V6h1V5h-3v1h1zM6 6h2V5H6zm-3 7H2v2h1zm0-4H2v2h1zm17.535 11.1h-.07a3.39 3.39 0 0 0-3.365 3.38v.075a3.4 3.4 0 0 0 6.8 0v-.075a3.39 3.39 0 0 0-3.365-3.38zm10.245 3.1c-.185-.254-4.51-6.033-10.172-6.156h-.155c-5.662.123-10.048 5.902-10.233 6.156l-.22.3.224.299c.187.252 4.632 6.084 10.296 6.147h.022c5.663-.063 10.047-5.895 10.234-6.147L31 23.5zm-.873.301c-.992 1.202-4.817 5.49-9.37 5.545h-.013c-4.553-.054-8.439-4.343-9.43-5.545l.004-.006-.004-.006c.979-1.211 4.821-5.442 9.373-5.544h.128c4.551.102 8.333 4.333 9.312 5.544l-.005.006z"
  }));
};

var _default = ShowColumnIcon;
exports["default"] = _default;