"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SkyPlotIcon = function SkyPlotIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.662 3.338a7.3 7.3 0 1 0 0 10.324 7.3 7.3 0 0 0 0-10.324zM8 14.873A6.37 6.37 0 0 1 2.127 9h2.337A4.007 4.007 0 0 0 8 12.54zm0-3.337a3.105 3.105 0 0 1-.417-.097 3.037 3.037 0 0 1-.716-.344.7.7 0 0 0 .344-.595.711.711 0 0 0-.711-.711.7.7 0 0 0-.592.34A3.077 3.077 0 0 1 5.48 9H8zM8 8H5.48a3.038 3.038 0 0 1 .086-.417A3.063 3.063 0 0 1 8 5.466zm0-3.535A4.006 4.006 0 0 0 4.465 8H2.127A6.37 6.37 0 0 1 8 2.127zm1-2.338A6.37 6.37 0 0 1 14.873 8H12.54A4.01 4.01 0 0 0 9 4.464zm0 3.341a3.144 3.144 0 0 1 .423.098A3.07 3.07 0 0 1 11.525 8H9zM9 9h2.526a3.026 3.026 0 0 1-.087.423A3.063 3.063 0 0 1 9 11.54zm4.025 4.025A6.367 6.367 0 0 1 9 14.873v-2.332A4.01 4.01 0 0 0 12.542 9h2.331a6.367 6.367 0 0 1-1.848 4.025zM11.8 4.5a.7.7 0 1 1 .7.7.7.7 0 0 1-.7-.7zm-6.01-1a.71.71 0 1 1 .71.71.71.71 0 0 1-.71-.71zm5.348 10a.638.638 0 1 1-.638-.638.638.638 0 0 1 .638.638z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zM12 21.875A9.397 9.397 0 0 1 3.125 13h3.6A5.804 5.804 0 0 0 12 18.275zm0-4.626A4.775 4.775 0 0 1 7.75 13H12zM12 12H7.75A4.775 4.775 0 0 1 12 7.75zm0-5.275A5.804 5.804 0 0 0 6.725 12h-3.6A9.397 9.397 0 0 1 12 3.125zm1-3.6A9.396 9.396 0 0 1 21.875 12h-3.6A5.804 5.804 0 0 0 13 6.725zm0 4.626A4.775 4.775 0 0 1 17.25 12H13zM13 13h4.25A4.775 4.775 0 0 1 13 17.25zm0 8.875v-3.6A5.804 5.804 0 0 0 18.275 13h3.6A9.396 9.396 0 0 1 13 21.875zM17.5 7.5a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm-9-2a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm8 14a1 1 0 1 1-1-1 1 1 0 0 1 1 1zm-7-5a1 1 0 1 1 1 1 1 1 0 0 1-1-1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.315 13.315 0 0 0 16.5 3.2zM16 28.775A12.296 12.296 0 0 1 4.225 17h5A7.3 7.3 0 0 0 16 23.775zm0-6A6.302 6.302 0 0 1 10.225 17H16zM16 16h-5.775A6.302 6.302 0 0 1 16 10.225zm0-6.775A7.3 7.3 0 0 0 9.225 16h-5A12.296 12.296 0 0 1 16 4.225zm1-5A12.296 12.296 0 0 1 28.775 16h-5A7.3 7.3 0 0 0 17 9.225zm0 6A6.302 6.302 0 0 1 22.775 16H17zM17 17h5.775A6.302 6.302 0 0 1 17 22.775zm0 11.775v-5A7.3 7.3 0 0 0 23.775 17h5A12.296 12.296 0 0 1 17 28.775zM23.5 10.5a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm-12-3a1 1 0 1 1 1 1 1 1 0 0 1-1-1zm10 18a1 1 0 1 1-1-1 1 1 0 0 1 1 1zm-9-6a1 1 0 1 1 1 1 1 1 0 0 1-1-1z"
  }));
};

var _default = SkyPlotIcon;
exports["default"] = _default;