"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SmartCameraIcon = function SmartCameraIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 4H2V3h3v1zm5.5 6A3.5 3.5 0 1 1 14 6.5a3.504 3.504 0 0 1-3.5 3.5zM13 6.5A2.5 2.5 0 1 0 10.5 9 2.5 2.5 0 0 0 13 6.5zM14.5 1H14a1.001 1.001 0 0 0-1-1H8a1.001 1.001 0 0 0-1 1H6V0H2v1h-.5A1.502 1.502 0 0 0 0 2.5V5h1V2.5a.5.5 0 0 1 .5-.5H3V1h2v1h2a1.001 1.001 0 0 0 1-1h5a1.001 1.001 0 0 0 1 1h.5a.5.5 0 0 1 .5.5v8a.5.5 0 0 1-.5.5h-3.908a2.287 2.287 0 0 1 .377 1H14.5a1.502 1.502 0 0 0 1.5-1.5v-8A1.502 1.502 0 0 0 14.5 1zM10 12.305v2.39A1.305 1.305 0 0 1 8.695 16h-2.39A1.305 1.305 0 0 1 5 14.695V14H3v1H0v-3h1V9H0V6h3v.929L7.071 11h1.624A1.305 1.305 0 0 1 10 12.305zM1 8h1V7H1zm1 5H1v1h1zm3.774-1.882L3 8.343V9H2v3h1v1h2v-.696a1.301 1.301 0 0 1 .774-1.186zM9 12.305A.305.305 0 0 0 8.695 12h-2.39a.305.305 0 0 0-.305.305v2.39a.305.305 0 0 0 .305.305h2.39A.305.305 0 0 0 9 14.695zM7 14h1v-1H7z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.5 15a4.5 4.5 0 1 0-4.5-4.5 4.505 4.505 0 0 0 4.5 4.5zm0-8a3.5 3.5 0 1 1-3.5 3.5A3.504 3.504 0 0 1 15.5 7zM9 7H5V6h4zm15-1v10a2.002 2.002 0 0 1-2 2h-6.276a4.488 4.488 0 0 0-.486-1H22a1.001 1.001 0 0 0 1-1V6a1.001 1.001 0 0 0-1-1h-1.5A1.502 1.502 0 0 1 19 3.5a.5.5 0 0 0-.5-.5h-6a.5.5 0 0 0-.5.5A1.502 1.502 0 0 1 10.5 5H8V4H6v1H4a1.001 1.001 0 0 0-1 1v1.05a3.455 3.455 0 0 0-1 .301V6a2.002 2.002 0 0 1 2-2h1V3h4v1h1.5a.5.5 0 0 0 .5-.5A1.502 1.502 0 0 1 12.5 2h6A1.502 1.502 0 0 1 20 3.5a.5.5 0 0 0 .5.5H22a2.002 2.002 0 0 1 2 2zM11.5 16a3.494 3.494 0 0 0-3.45 3h-.8l.001-.003V19H5.95A2.502 2.502 0 0 0 4 17.05v-4.1a2.477 2.477 0 0 0 1.002-.463L7.338 15H6v1h3v-3H8v1.243l-2.336-2.512A2.473 2.473 0 0 0 6 10.5a2.5 2.5 0 1 0-3 2.45v4.1A2.5 2.5 0 1 0 5.95 20h1.3l.001.002V20h.8a3.493 3.493 0 1 0 3.449-4zM2 10.5A1.5 1.5 0 1 1 3.5 12 1.502 1.502 0 0 1 2 10.5zM3.5 21A1.5 1.5 0 1 1 5 19.5 1.502 1.502 0 0 1 3.5 21zm8 1a2.5 2.5 0 1 1 2.5-2.5 2.502 2.502 0 0 1-2.5 2.5zm1.5-2.5a1.5 1.5 0 1 1-1.5-1.5 1.502 1.502 0 0 1 1.5 1.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M17 26.5a2.5 2.5 0 1 1-2.5-2.5 2.502 2.502 0 0 1 2.5 2.5zM27.5 6H27a1.001 1.001 0 0 1-1-1 2.002 2.002 0 0 0-2-2h-8a2.002 2.002 0 0 0-2 2 1.001 1.001 0 0 1-1 1h-2V5H6v1H4.5A2.503 2.503 0 0 0 2 8.5v3.262a4.488 4.488 0 0 1 1-.486V8.5A1.502 1.502 0 0 1 4.5 7H7V6h3v1h3a2.002 2.002 0 0 0 2-2 1.001 1.001 0 0 1 1-1h8a1.001 1.001 0 0 1 1 1 2.002 2.002 0 0 0 2 2h.5A1.502 1.502 0 0 1 29 8.5v12a1.502 1.502 0 0 1-1.5 1.5h-9.848a5.545 5.545 0 0 1 1.087 1H27.5a2.503 2.503 0 0 0 2.5-2.5v-12A2.503 2.503 0 0 0 27.5 6zm-13.3 8a5.8 5.8 0 1 1 5.8 5.8 5.806 5.806 0 0 1-5.8-5.8zm1 0A4.8 4.8 0 1 0 20 9.2a4.805 4.805 0 0 0-4.8 4.8zM11 9.5V9H6v1h5zm8 17a4.488 4.488 0 0 1-8.95.5h-2.1A3.492 3.492 0 1 1 4 23.05v-4.1a3.506 3.506 0 1 1 3.67-1.987l3.33 3.33V19h1v3H9v-1h1.293l-3.186-3.186A3.472 3.472 0 0 1 5 18.95v4.1A3.481 3.481 0 0 1 7.95 26h2.1a4.488 4.488 0 0 1 8.95.5zM4.5 18A2.5 2.5 0 1 0 2 15.5 2.503 2.503 0 0 0 4.5 18zM7 26.5A2.5 2.5 0 1 0 4.5 29 2.503 2.503 0 0 0 7 26.5zm11 0a3.5 3.5 0 1 0-3.5 3.5 3.504 3.504 0 0 0 3.5-3.5z"
  }));
};

var _default = SmartCameraIcon;
exports["default"] = _default;