"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SmileIcon = function SmileIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 15.8A7.8 7.8 0 1 0 .2 8 7.8 7.8 0 0 0 8 15.8zM8 1.2A6.8 6.8 0 1 1 1.2 8 6.808 6.808 0 0 1 8 1.2zm0 11.772a5.065 5.065 0 0 1-4.412-2.48l.86-.51A4.074 4.074 0 0 0 8 11.971a4.074 4.074 0 0 0 3.551-1.99l.86.51A5.065 5.065 0 0 1 8 12.971zm2.07-5.298a1.08 1.08 0 0 1-.32-.315 1.422 1.422 0 0 1-.189-.41 1.677 1.677 0 0 1 0-.897 1.422 1.422 0 0 1 .188-.41 1.08 1.08 0 0 1 .321-.316.797.797 0 0 1 .86 0 1.08 1.08 0 0 1 .32.315 1.422 1.422 0 0 1 .189.41 1.677 1.677 0 0 1 0 .897 1.422 1.422 0 0 1-.188.41 1.08 1.08 0 0 1-.321.316.797.797 0 0 1-.86 0zM5.5 7.8a.81.81 0 0 1-.43-.126 1.08 1.08 0 0 1-.32-.315 1.422 1.422 0 0 1-.189-.41 1.677 1.677 0 0 1 0-.897 1.422 1.422 0 0 1 .188-.41 1.08 1.08 0 0 1 .321-.316.797.797 0 0 1 .86 0 1.08 1.08 0 0 1 .32.315 1.422 1.422 0 0 1 .189.41 1.677 1.677 0 0 1 0 .897 1.422 1.422 0 0 1-.188.41 1.08 1.08 0 0 1-.321.316.81.81 0 0 1-.43.126z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1.2A10.8 10.8 0 1 0 22.8 12 10.8 10.8 0 0 0 12 1.2zm0 20.6a9.8 9.8 0 1 1 9.8-9.8 9.811 9.811 0 0 1-9.8 9.8zm0-2.826a6.961 6.961 0 0 1-6.57-4.47l.928-.371a6.064 6.064 0 0 0 11.284 0l.928.37a6.96 6.96 0 0 1-6.57 4.47zM15.5 11a1.074 1.074 0 0 1-.518-.135 1.293 1.293 0 0 1-.405-.353 1.575 1.575 0 0 1-.246-.479 1.79 1.79 0 0 1 0-1.066 1.575 1.575 0 0 1 .246-.479 1.293 1.293 0 0 1 .405-.353 1.065 1.065 0 0 1 1.036 0 1.293 1.293 0 0 1 .405.353 1.575 1.575 0 0 1 .246.48 1.79 1.79 0 0 1 0 1.065 1.575 1.575 0 0 1-.246.479 1.293 1.293 0 0 1-.405.353A1.074 1.074 0 0 1 15.5 11zm-7 0a1.074 1.074 0 0 1-.518-.135 1.293 1.293 0 0 1-.405-.353 1.575 1.575 0 0 1-.246-.479 1.79 1.79 0 0 1 0-1.066 1.575 1.575 0 0 1 .246-.479 1.293 1.293 0 0 1 .405-.353 1.065 1.065 0 0 1 1.036 0 1.293 1.293 0 0 1 .405.353 1.575 1.575 0 0 1 .246.48 1.79 1.79 0 0 1 0 1.065 1.575 1.575 0 0 1-.246.479 1.293 1.293 0 0 1-.405.353A1.074 1.074 0 0 1 8.5 11z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 29.8A13.8 13.8 0 1 1 29.8 16 13.815 13.815 0 0 1 16 29.8zm0-26.6A12.8 12.8 0 1 0 28.8 16 12.815 12.815 0 0 0 16 3.2zm-4.5 10.6a1.2 1.2 0 0 0 .608-.168 1.52 1.52 0 0 0 .464-.43 1.927 1.927 0 0 0 .278-.572 2.234 2.234 0 0 0 0-1.26 1.927 1.927 0 0 0-.278-.571 1.52 1.52 0 0 0-.464-.431 1.185 1.185 0 0 0-1.216 0 1.52 1.52 0 0 0-.464.43 1.927 1.927 0 0 0-.277.572 2.234 2.234 0 0 0 0 1.26 1.927 1.927 0 0 0 .277.571 1.52 1.52 0 0 0 .464.431 1.2 1.2 0 0 0 .608.168zm9.608-.168a1.52 1.52 0 0 0 .464-.43 1.927 1.927 0 0 0 .278-.572 2.234 2.234 0 0 0 0-1.26 1.927 1.927 0 0 0-.278-.571 1.52 1.52 0 0 0-.464-.431 1.185 1.185 0 0 0-1.216 0 1.52 1.52 0 0 0-.464.43 1.927 1.927 0 0 0-.277.572 2.234 2.234 0 0 0 0 1.26 1.927 1.927 0 0 0 .277.571 1.52 1.52 0 0 0 .464.431 1.185 1.185 0 0 0 1.216 0zm3.223 5.743l-.926-.379a7.863 7.863 0 0 1-7.39 4.976.166.166 0 0 0-.032 0 7.863 7.863 0 0 1-7.388-4.976l-.926.379a8.846 8.846 0 0 0 8.313 5.597.21.21 0 0 0 .035 0 8.848 8.848 0 0 0 8.314-5.597z"
  }));
};

var _default = SmileIcon;
exports["default"] = _default;