"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SnapToPixelIcon = function SnapToPixelIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 9H1V7h2zm3 4H4v2h2z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 12H4v-2h2zm0-8H4v2h2zM3 1H1v2h2z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M0 16h7V0H0zm1-3h2v2H1zm5-7H4V4h2zM3 6H1V4h2zm0 1v2H1V7zm0 3v2H1v-2zm1 5v-2h2v2zm2-3H4v-2h2zM4 9V7h2v2zm2-6H4V1h2zM3 1v2H1V1zm13 7a4.004 4.004 0 0 0-4-4H8v3h4a1 1 0 0 1 0 2H8v3h4a4.004 4.004 0 0 0 4-4zM9 5h1v1H9zm5 3a2.003 2.003 0 0 0-2-2h-1V5h1a3 3 0 0 1 0 6h-1v-1h1a2.003 2.003 0 0 0 2-2zm-5 2h1v1H9z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 14H2v-3h3zm4 5H6v3h3z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 15H6v3h3zm0-8H6v3h3zM5 3H2v3h3z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 2v21h9V2zm4 20H2v-3h3zm0-4H2v-3h3zm0-4H2v-3h3zm0-4H2V7h3zm0-4H2V3h3zm4 16H6v-3h3zm0-4H6v-3h3zm0-4H6v-3h3zm0-4H6V7h3zm0-4H6V3h3zm8.8 0H12v4h5.8a2 2 0 0 1 0 4H12v4h5.8a6 6 0 0 0 0-12zM15 9h-2V7h2zm0 8h-2v-2h2zm2.8 0H16v-2h1.8a3 3 0 0 0 0-6H16V7h1.8a5 5 0 0 1 0 10z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M8 18H4v-4h4zm5 6H9v4h4z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M13 19H9v4h4zm0-10H9v4h4zM8 4H4v4h4z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M3 3v26h11V3zm5 25H4v-4h4zm0-5H4v-4h4zm0-5H4v-4h4zm0-5H4V9h4zm0-5H4V4h4zm5 20H9v-4h4zm0-5H9v-4h4zm0-5H9v-4h4zm0-5H9V9h4zm0-5H9V4h4zm9.8 0H16v5h6.8a3 3 0 0 1 0 6H16v5h6.8a8 8 0 0 0 0-16zM20 12h-3V9h3zm0 11h-3v-3h3zm2.8 0H21v-3h1.8a4 4 0 0 0 0-8H21V9h1.8a7 7 0 0 1 0 14z"
  }));
};

var _default = SnapToPixelIcon;
exports["default"] = _default;