"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SnowIcon = function SnowIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.551 10.266l1.547.875-.493.871-1.528-.864-.162 1.517-.995-.107.209-1.946L9 8.843v3.868l1.727.685-.369.93L9 13.787V15H8v-1.213l-1.358.539-.369-.93L8 12.711V8.843l-3.129 1.769.209 1.946-.995.107-.162-1.517-1.528.864-.493-.871 1.547-.875-1.201-.969.627-.779 1.512 1.219 3.097-1.751-3.097-1.751-1.512 1.219-.627-.779 1.201-.969-1.547-.875.493-.871 1.528.864.162-1.516.995.107-.209 1.945L8 7.129v-3.84l-1.727-.685.369-.93L8 2.213V1h1v1.213l1.358-.539.369.93L9 3.289v3.84l3.129-1.769-.209-1.945.995-.107.162 1.516 1.528-.864.493.871-1.547.875 1.201.969-.627.779-1.512-1.219-3.097 1.751 3.097 1.751 1.512-1.219.627.779-1.201.969z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M19.335 15.268l2.485 1.405-.492.871-2.467-1.395-.267 2.492-.994-.108.313-2.92L13 12.836v6.04l2.602 1.033-.369.93L13 19.952V22h-1v-2.048l-2.233.887-.369-.93L12 18.876v-6.04l-4.913 2.777.313 2.92-.994.108-.267-2.492-2.467 1.395-.492-.871 2.485-1.405-1.962-1.581.628-.78 2.271 1.832 4.882-2.76-4.881-2.758-2.272 1.832-.628-.78 1.963-1.582L3.18 7.286l.492-.871L6.139 7.81l.267-2.491.994.108-.312 2.919L12 11.123V5.124L9.398 4.091l.369-.93L12 4.048V2h1v2.048l2.233-.887.369.93L13 5.124v5.999l5.195-2.937-.296-2.759.995-.108.249 2.331 2.185-1.235.492.871-2.185 1.235 1.869 1.417-.605.796-2.212-1.677-5.171 2.922 4.882 2.76 2.271-1.832.628.78-1.962 1.581z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M25.486 20.531l3.056 1.727-.492.871-3.035-1.715-.371 3.46-.994-.107.417-3.889L17 16.883v7.973l3.478 1.379-.37.93L17 25.932V29h-1v-3.068l-3.108 1.233-.37-.93L16 24.856v-7.973l-7.067 3.995.417 3.889-.994.107-.371-3.46-3.035 1.715-.492-.871 3.056-1.727-2.728-2.199.628-.779 3.037 2.448L15.531 16l-7.08-4.001-3.037 2.448-.628-.779 2.728-2.199-3.056-1.727.492-.871 3.035 1.715.371-3.46.994.107-.417 3.889L16 15.117V7.144l-3.478-1.379.37-.93L16 6.068V3h1v3.068l3.108-1.233.37.93L17 7.144v7.973l7.067-3.995-.417-3.889.994-.107.371 3.46 3.035-1.715.492.871-3.056 1.727 2.728 2.199-.628.779-3.037-2.448L17.469 16l7.08 4.001 3.037-2.448.628.779-2.728 2.199z"
  }));
};

var _default = SnowIcon;
exports["default"] = _default;