"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SnowThunderIcon = function SnowThunderIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.146 2.854l-.5-.5.707-.707.5.5zm-.5 1.793l.707.707.5-.5-.707-.707zM5 3H4v1h1zM3 3H2v1h1zm3.354-.646l-.707-.707-.5.5.707.707zm0 2.293l-.5-.5-.707.707.5.5zM2 11H0v1h2zm2.871-.165L5.88 9.718l-.743-.67-1.008 1.117zM5 1H4v1h1zm1 3h1V3H6zM5 5H4v1h1zm0 7h2v-1H5zm-.872.835l1.008 1.117.743-.67-1.008-1.117zM16 6.332l-6.519 8.711-.752-.34L10.337 9H6.93a1.479 1.479 0 0 0-.043-.173L9.123 1h5.203l-2.95 5H16zM11.663 8l-1.136 3.977L14.25 7H9.625l2.95-5H9.877L8.163 8zM1.121 13.282l.743.67 1.008-1.117-.743-.67zM3 15h1v-2H3zM1.121 9.718l1.008 1.117.743-.67-1.008-1.117zM3 12h1v-1H3zm0-2h1V8H3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16.225 10l5.025-7h-7.972l-3.3 11h5.359l-2.45 8.658.753.349L23.374 10zm.438 3h-5.341l2.7-9H19.3l-5.025 7h7.101l-6.7 8.952zM3 6V5h2v1zm3-1h1v1H6zm4 0v1H8V5zM6 2h1v2H6zm1 7H6V7h1zM4.864 7.952l-.743-.67L5.13 6.165l.743.67zm3.272-4.904l.743.67L7.87 4.835l-.743-.67zm.743 4.234l-.743.67-1.008-1.117.743-.67zM4.12 3.718l.743-.67 1.008 1.117-.743.67zm5.526 11.965l-.866.5.5.866-1.366-.366L6.5 17.5l1.415.817 1.366-.366-.5.866.866.5-.5.866-.866-.5-.5.866-.366-1.366L6 18.366V20l1 1H6v1H5v-1H4l1-1v-1.634l-1.415.817-.366 1.366-.5-.866-.866.5-.5-.866.866-.5-.5-.866 1.366.366L4.5 17.5l-1.415-.817-1.366.366.5-.866-.866-.5.5-.866.866.5.5-.866.366 1.366L5 16.634V15l-1-1h1v-1h1v1h1l-1 1v1.634l1.415-.817.366-1.366.5.866.866-.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30.502 13L17.795 29.872l-.76-.367L20.336 18h-3.531a1.883 1.883 0 0 0-.522-1h5.383l-2.834 9.835L28.498 14H19.04l6.3-9h-6.97l-3.507 11.396-.012-.001a1.994 1.994 0 0 0-.629.102 1.992 1.992 0 0 0-.298-.45L17.631 4h9.63l-6.3 9zM9 7V6H7v1zm1 0h1V6h-1zm2-1v1h2V6zm-2-1h1V3h-1zm1 3h-1v2h1zm-1.128-.165l-.743-.67L8.12 8.282l.743.67zm1.256-2.67l.743.67 1.008-1.117-.743-.67zm.743 2l-.743.67 1.008 1.117.743-.67zM9.13 5.835l.743-.67-1.008-1.117-.743.67zm3.948 12.989l-.162-1.516-.995.107.21 1.945L9 21.13v-3.841l1.727-.685-.37-.93L9 16.213V15H8v1.213l-1.358-.54-.37.93L8 17.29v3.84l-3.13-1.77.21-1.945-.995-.107-.162 1.516-1.528-.864-.493.871 1.547.875-1.201.969.627.78 1.512-1.22 3.097 1.751-3.097 1.75-1.512-1.218-.627.779 1.201.97-1.547.874.493.87 1.528-.863.162 1.517.995-.107-.21-1.946L8 22.843v3.868l-1.727.685.37.93L8 27.787V29h1v-1.213l1.358.54.369-.93L9 26.71v-3.868l3.13 1.769-.21 1.946.995.107.162-1.517 1.528.864.493-.871-1.547-.875 1.201-.97-.627-.778-1.512 1.219-3.097-1.75 3.097-1.752 1.512 1.22.627-.78-1.201-.97 1.547-.874-.493-.871z"
  }));
};

var _default = SnowThunderIcon;
exports["default"] = _default;