"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SoundIcon = function SoundIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.113 10l3.35 2.707A.34.34 0 0 0 7 12.43V3.57a.34.34 0 0 0-.538-.277L3.112 6H.917A.917.917 0 0 0 0 6.917v2.166A.917.917 0 0 0 .917 10zM1 7h2.466L6 4.952v6.098L3.466 9H1zm11 1a6.739 6.739 0 0 1-1.664 4.427l-.032.038-.715-.626A6.08 6.08 0 0 0 11 8a5.732 5.732 0 0 0-1.416-3.769l.682-.663A6.485 6.485 0 0 1 12 8zm.593 6.468A10.07 10.07 0 0 0 15 8a9.728 9.728 0 0 0-2.412-6.398l.684-.664A10.468 10.468 0 0 1 16 8a10.727 10.727 0 0 1-2.657 7.057l-.033.038z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.193 4.452L5.67 9H2.376A1.376 1.376 0 0 0 1 10.376v3.248A1.376 1.376 0 0 0 2.376 15h3.293l5.524 4.548a.51.51 0 0 0 .807-.414V4.866a.51.51 0 0 0-.807-.414zM11 18.088L6.028 14H2.375A.375.375 0 0 1 2 13.625v-3.25A.375.375 0 0 1 2.375 10h3.653L11 5.911zm4.47-12.744A9.975 9.975 0 0 1 18 11.987a9.848 9.848 0 0 1-2.566 6.646l-.74-.672A8.872 8.872 0 0 0 17 11.987a8.984 8.984 0 0 0-2.277-5.978zm3.46-3.933A15.817 15.817 0 0 1 23 11.989a15.945 15.945 0 0 1-4.035 10.576l-.735-.65A14.966 14.966 0 0 0 22 11.988a14.852 14.852 0 0 0-3.8-9.924z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M14.925 6.586L8.225 12h-4.39A1.834 1.834 0 0 0 2 13.834v4.332A1.834 1.834 0 0 0 3.834 20h4.391l6.7 5.414A.68.68 0 0 0 16 24.86V7.14a.68.68 0 0 0-1.075-.554zM15 24.191L8.579 19H3.834A.835.835 0 0 1 3 18.166v-4.331A.836.836 0 0 1 3.834 13H8.58L15 7.81zm8-8.208a12.017 12.017 0 0 0-3.185-8.166l.717-.698A12.97 12.97 0 0 1 24 15.984a13.478 13.478 0 0 1-3.327 8.854l-.754-.657A12.477 12.477 0 0 0 23 15.983zm2.514-13.042a21.251 21.251 0 0 1 0 26.118l-.753-.658a20.258 20.258 0 0 0 0-24.802z"
  }));
};

var _default = SoundIcon;
exports["default"] = _default;