"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SplitFeaturesIcon = function SplitFeaturesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 3a4.978 4.978 0 0 0-2.5.669 5 5 0 1 0 0 8.662A5 5 0 1 0 11 3zM2 8a3.984 3.984 0 0 1 6-3.452v6.904A3.984 3.984 0 0 1 2 8zm9 4a3.974 3.974 0 0 1-2-.548V4.548A3.996 3.996 0 1 1 11 12z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16.5 5.2a7.233 7.233 0 0 0-3.994 1.197q-.174-.115-.356-.22a7.3 7.3 0 1 0 0 12.646q.182-.105.356-.22A7.23 7.23 0 0 0 16.5 19.8a7.3 7.3 0 1 0 0-14.6zm-8 13.6a6.3 6.3 0 1 1 3.15-11.757c.121.07.234.15.35.229v10.456c-.116.078-.23.16-.35.23a6.299 6.299 0 0 1-3.15.842zm8 0a6.231 6.231 0 0 1-3.5-1.086V7.286A6.233 6.233 0 0 1 16.5 6.2a6.3 6.3 0 1 1 0 12.6z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M21.5 7.211a9.226 9.226 0 0 0-5 1.464 9.289 9.289 0 1 0 0 15.65 9.287 9.287 0 1 0 5-17.114zM3.189 16.5A8.285 8.285 0 0 1 16 9.535v13.93A8.285 8.285 0 0 1 3.189 16.5zM21.5 24.811a8.245 8.245 0 0 1-4.5-1.346V9.535a8.303 8.303 0 1 1 4.5 15.276z"
  }));
};

var _default = SplitFeaturesIcon;
exports["default"] = _default;