"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var StarCircleIcon = function StarCircleIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zm3.497-7.841l-2.112-.178-.832-1.99a.619.619 0 0 0-1.155 0l-.833 1.99-2.112.178a.607.607 0 0 0-.357 1.097L6.2 9.447l-.485 2.075a.63.63 0 0 0 .222.679.573.573 0 0 0 .34.109.717.717 0 0 0 .373-.112l1.824-1.109 1.823 1.108a.607.607 0 0 0 .936-.676l-.485-2.074 1.605-1.39.001-.001a.607.607 0 0 0-.358-1.097zm-2.36 2.128l.42 1.794-1.582-.962-1.582.962.42-1.794L5.92 7.88l1.833-.155.722-1.724.722 1.724 1.833.155z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zm5.386-11.26l-3.468-.293-1.365-3.262a.619.619 0 0 0-1.155-.001l-1.366 3.263-3.467.293a.606.606 0 0 0-.358 1.097l2.635 2.283-.796 3.405a.607.607 0 0 0 .935.676l2.994-1.82L15.469 18a.727.727 0 0 0 .374.112.574.574 0 0 0 .34-.11.63.63 0 0 0 .221-.68l-.796-3.403 2.635-2.283a.606.606 0 0 0-.357-1.097zm-3.389 3.02l.73 3.124-2.752-1.673-2.752 1.673.73-3.124-2.422-2.099 3.189-.269 1.255-2.997 1.255 2.997 3.189.27z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zm7.275-14.78l-4.824-.406-1.898-4.536a.619.619 0 0 0-1.155 0L14 13.613l-4.825.406a.607.607 0 0 0-.357 1.098l3.666 3.175-1.107 4.735a.63.63 0 0 0 .222.678.575.575 0 0 0 .34.11.723.723 0 0 0 .374-.112l4.163-2.531 4.163 2.53a.607.607 0 0 0 .936-.677l-1.107-4.733 3.666-3.175a.607.607 0 0 0-.358-1.098zm-4.42 3.913l1.042 4.454-3.922-2.384-3.922 2.384 1.042-4.454-3.453-2.991 4.545-.383 1.788-4.27 1.789 4.27 4.545.383z"
  }));
};

var _default = StarCircleIcon;
exports["default"] = _default;