"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var StarIcon = function StarIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.854 6.04a.63.63 0 0 0-.579-.42l-4.824-.406-1.9-4.537a.618.618 0 0 0-1.153 0L5.5 5.214.675 5.62a.63.63 0 0 0-.578.42.63.63 0 0 0 .22.678l3.666 3.176-1.107 4.734a.63.63 0 0 0 .223.679.573.573 0 0 0 .339.109.717.717 0 0 0 .374-.112l4.163-2.532 4.163 2.531a.607.607 0 0 0 .936-.677l-1.107-4.732 3.666-3.176a.631.631 0 0 0 .22-.679zm-4.998 3.493l1.042 4.454-3.923-2.384-3.922 2.383 1.042-4.453-3.453-2.991 4.545-.383 1.789-4.27 1.788 4.27 4.545.383z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23.054 8.781l-7.536-.635-2.965-7.082a.619.619 0 0 0-1.155 0L8.433 8.145.896 8.78a.607.607 0 0 0-.357 1.1l5.726 4.96-1.729 7.395a.63.63 0 0 0 .223.679.573.573 0 0 0 .339.108.717.717 0 0 0 .374-.111l6.503-3.954 6.503 3.953a.606.606 0 0 0 .935-.677l-1.727-7.392 5.725-4.96a.607.607 0 0 0-.357-1.099zm-6.48 5.698l1.662 7.113-6.261-3.806-6.262 3.807 1.663-7.114-5.513-4.776 7.257-.611 2.855-6.817 2.855 6.817 7.257.611z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30.833 11.943l-10.249-.863-4.032-9.63a.618.618 0 0 0-1.154 0l-4.032 9.63-10.249.863a.63.63 0 0 0-.577.418.63.63 0 0 0 .22.68l7.787 6.745-2.35 10.054a.63.63 0 0 0 .222.679.573.573 0 0 0 .339.108.717.717 0 0 0 .374-.111l8.843-5.376 8.842 5.375a.606.606 0 0 0 .936-.677l-2.35-10.052 7.787-6.745.001-.001a.607.607 0 0 0-.358-1.097zm-8.541 7.483l2.284 9.772-8.601-5.228-8.602 5.229 2.285-9.773-7.574-6.561 9.97-.84 3.92-9.364 3.922 9.364 9.97.84z"
  }));
};

var _default = StarIcon;
exports["default"] = _default;