"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var StringIcon = function StringIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 3v9h3a1.001 1.001 0 0 0 1-1V7a1.001 1.001 0 0 0-1-1H7V3zm3 4v4H7V7zM4 6H1v1h3v1H2a1.001 1.001 0 0 0-1 1v2a1.001 1.001 0 0 0 1 1h3V7a1.001 1.001 0 0 0-1-1zm0 5H2V9h2zm11 1h-3a1.001 1.001 0 0 1-1-1V7a1.001 1.001 0 0 1 1-1h3v1h-3v4h3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.75 10H11V5h-1v13h3.75A1.251 1.251 0 0 0 15 16.75v-5.5A1.251 1.251 0 0 0 13.75 10zm.25 6.75a.25.25 0 0 1-.25.25H11v-6h2.75a.25.25 0 0 1 .25.25zM7 10H3v1h4v2H4.25A1.251 1.251 0 0 0 3 14.25v2.5A1.251 1.251 0 0 0 4.25 18H8v-7a1.001 1.001 0 0 0-1-1zm0 7H4.25a.25.25 0 0 1-.25-.25v-2.5a.25.25 0 0 1 .25-.25H7zm11.25-7H22v1h-3.75a.25.25 0 0 0-.25.25v5.5a.25.25 0 0 0 .25.25H22v1h-3.75A1.251 1.251 0 0 1 17 16.75v-5.5A1.251 1.251 0 0 1 18.25 10z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20 22.5v-7a1.502 1.502 0 0 0-1.5-1.5H14V8h-1v16h5.5a1.502 1.502 0 0 0 1.5-1.5zM14 15h4.5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-.5.5H14zm-3 .5A1.502 1.502 0 0 0 9.5 14H4v1h5.5a.5.5 0 0 1 .5.5V17H5.5A1.502 1.502 0 0 0 4 18.5v4A1.502 1.502 0 0 0 5.5 24H11zM10 23H5.5a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5H10zm13-7.5v7a.5.5 0 0 0 .5.5H29v1h-5.5a1.502 1.502 0 0 1-1.5-1.5v-7a1.502 1.502 0 0 1 1.5-1.5H29v1h-5.5a.5.5 0 0 0-.5.5z"
  }));
};

var _default = StringIcon;
exports["default"] = _default;