"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SummaryIcon = function SummaryIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.264 11.835v.172h4.557v.893H2.133v-1.245l3.41-3.483c.973-.945 1.431-1.498 1.431-2.483a1.786 1.786 0 0 0-1.907-1.78 1.926 1.926 0 0 0-1.956 1.575L2.033 5.39A2.798 2.798 0 0 1 5.025 3.1 2.64 2.64 0 0 1 7.95 5.69c0 1.537-.92 2.406-1.895 3.326zM14 3v7.038h.954v.893H14V13h-.9v-2.07H9.046V9.729l3.722-6.723zm-.9 1.555h-.157L9.88 10.038h3.22z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.445 18H11v1H2v-1.495l5.449-4.96c1.367-1.327 2.207-2.225 2.207-3.864a2.798 2.798 0 0 0-3.059-2.77 2.975 2.975 0 0 0-3.075 2.207l-1.17-.062A3.904 3.904 0 0 1 6.534 5c1.93 0 4.185.964 4.185 3.68 0 2.216-1.285 3.43-2.775 4.837l-4.5 4.015zM20 15h2v1h-2v3h-1v-3h-6v-1.442L18.19 5H20zm-1 0V6h-.149l-4.798 9z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26 7h-1.243L17 18.66V20h8v5h1v-5h3v-1h-3zm-1 12h-6.947L25 8.526zM4.762 24H15v1H3.5v-1.286l6.676-6.821c1.867-1.813 3.007-3.08 3.007-5.315C13.183 9.225 11.368 8 8.868 8a4.221 4.221 0 0 0-4.286 3l-1.16-.102A5.298 5.298 0 0 1 8.784 7c2.663 0 5.35 1.345 5.35 4.578 0 2.86-1.683 4.449-3.634 6.289l-5.738 5.797z"
  }));
};

var _default = SummaryIcon;
exports["default"] = _default;