"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TagIcon = function TagIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7.023 15.2a.518.518 0 0 0 .366-.152l7.459-7.46A.516.516 0 0 0 15 7.223V3.592a.52.52 0 0 0-.152-.367l-2.074-2.073A.519.519 0 0 0 12.407 1h-3.63a.517.517 0 0 0-.366.152L.952 8.61a.519.519 0 0 0 0 .734l5.704 5.704a.518.518 0 0 0 .367.152zM8.978 2h3.23L14 3.791v3.23l-6.978 6.98-5.023-5.023zM11 7a2 2 0 1 0-2-2 2 2 0 0 0 2 2zm0-3a1 1 0 1 1-1 1 .999.999 0 0 1 1-1zm-.805 4.795a.7.7 0 0 0 0-.99l-2-2a.7.7 0 0 0-.99 0l-3 3a.7.7 0 0 0 0 .99l2 2a.7.7 0 0 0 .99 0zM5.124 9.3L7.7 6.724 9.276 8.3 6.7 10.876z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.78 2.22a.75.75 0 0 0-.53-.22H13a.75.75 0 0 0-.53.22l-10.5 10.5a.75.75 0 0 0 0 1.06l8.25 8.25a.75.75 0 0 0 1.06 0l10.5-10.5A.75.75 0 0 0 22 11V5.75a.75.75 0 0 0-.22-.53zM21 10.896l-10.25 10.25-7.896-7.896L13.104 3h5.043L21 5.854zM15 6.5A2.5 2.5 0 1 0 17.5 4 2.5 2.5 0 0 0 15 6.5zm4 0A1.5 1.5 0 1 1 17.5 5 1.502 1.502 0 0 1 19 6.5zm-6.409-.428a.725.725 0 0 0-1.02 0l-6.5 6.498a.72.72 0 0 0 0 1.021l5.338 5.339a.72.72 0 0 0 1.02 0l6.5-6.499a.72.72 0 0 0 0-1.021zM10.92 18.026L5.975 13.08l6.106-6.105 4.944 4.944z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29.707 7.293l-4-4A1 1 0 0 0 25 3h-7a.999.999 0 0 0-.707.293l-14 14a1 1 0 0 0 0 1.414l11 11a1 1 0 0 0 1.414 0l14-14A1 1 0 0 0 30 15V8a1 1 0 0 0-.293-.707zM29 15L15 29 4 18 18 4h7l4 4zm-8-6a3 3 0 1 0 3-3 3 3 0 0 0-3 3zm5 0a2 2 0 1 1-2-2 2 2 0 0 1 2 2zm-8.294-.705a1.005 1.005 0 0 0-1.414 0l-9 8.998a.997.997 0 0 0 0 1.414l7 7a.998.998 0 0 0 1.413 0l9.001-8.998a.998.998 0 0 0 0-1.414zM15 25l-7-7 9-9 7 7z"
  }));
};

var _default = TagIcon;
exports["default"] = _default;