"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TestDataIcon = function TestDataIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 7H5V6h6v1zm0-3H5v1h6V4zM5 9h6V8H5v1zm1.3 5l1 1H2.1c-1.2-.2-2-1.2-2-2.5s.8-2.3 2-2.5H3V3.5c0-1.4.8-2.3 2-2.5h9c1.2.2 1.9 1.2 1.9 2.5S15.2 5.8 14 6h-1v3.1l-1 1V3.5c0-.5.1-1 .3-1.5H5c-.5 0-1 .7-1 1.5V10h6.9l-.4.8c-.2.4-.4.8-.4 1.3L9 11c-.6-.5-1.4-.5-2 0H2c-.5 0-1 .7-1 1.5S1.5 14 2 14h4.3zM13 5h1c.5 0 1.1-.7 1.1-1.5S14.5 2 14 2h-.6c-.3.5-.4 1-.4 1.5V5zm-2.9 9.2l-1.6-1.6-.7.7 2.3 2.3 5.2-5.2-.7-.7-4.5 4.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 10H8V9h8zm-4.87 11l1.064 1H3.5C2.122 22 1 20.43 1 18.5S2.122 15 3.5 15H5V5.75C5 3.682 6.122 2 7.5 2h13c1.378 0 2.45 1.57 2.45 3.5S21.878 9 20.5 9H19v7.138l-1 .979V5.75A5.994 5.994 0 0 1 18.64 3H7.5C6.792 3 6 4.176 6 5.75V15h10.57l-.71.826A4.141 4.141 0 0 0 15 18.5a5.186 5.186 0 0 0 .047.692l-1.032-.971A5.555 5.555 0 0 1 14.557 16H3.5C2.701 16 2 17.168 2 18.5S2.701 21 3.5 21zM19 8h1.5c.799 0 1.55-1.168 1.55-2.5S21.299 3 20.5 3h-.677A4.62 4.62 0 0 0 19 5.75zM8 13h8v-1H8zm8-7H8v1h8zm6.491 8.819l-6.998 6.851-2.832-2.663-.685.728 3.53 3.321 7.685-7.522z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M22 8H10V7h12zm-6.58 21l1.056 1H5c-1.654 0-2.95-2.243-2.95-5S3.346 20 5 20h2l.1-13c0-2.757 1.346-5 3-5H27c1.654 0 3 2.243 3 5s-1.346 5-3 5h-2v10.437l-.991.977L24.1 7a8.049 8.049 0 0 1 1.003-4.05H10c-.944 0-2 1.76-2 4.05v13h14.088l-.754.835A6.365 6.365 0 0 0 20 25a7.906 7.906 0 0 0 .184 1.626l-1.153-1.092c-.01-.178-.031-.352-.031-.534a8.167 8.167 0 0 1 .984-4.05H5c-.944 0-2.05 1.76-2.05 4.05S4.056 29 5 29zM26.223 3A6.441 6.441 0 0 0 25 7v4h2c.944 0 2.1-1.71 2.1-4S27.944 3 27 3zM22 13H10v1h12zm-12 4h12v-1H10zm12-7H10v1h12zm8.547 9.78l-10.048 9.9-3.256-3.085-.687.726 3.957 3.749 10.735-10.577z"
  }));
};

var _default = TestDataIcon;
exports["default"] = _default;