"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TileLayerIcon = function TileLayerIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M0 14.09L1.2 7h1.014l-1.09 6.437a9.54 9.54 0 0 0 2.669.363 10.962 10.962 0 0 0 3.888-.748 12.79 12.79 0 0 1 4.526-.852 8.317 8.317 0 0 1 2.489.376l-1.72-10.163a7.212 7.212 0 0 0-2.27-.399 5.895 5.895 0 0 0-2.367.434c-.11.04-.223.08-.339.12V1.506a6.86 6.86 0 0 1 2.706-.493 8.204 8.204 0 0 1 3.161.674L16 14.29a6.624 6.624 0 0 0-3.793-1.089c-3.665 0-4.749 1.6-8.414 1.6A9.158 9.158 0 0 1 0 14.089zM4 11V7h4V4h4v7zm4-2.5a.954.954 0 0 1-.995 1.062h-.002L7 10h1zm3 1.5v-.487A2.955 2.955 0 0 1 9.5 10zM9 7h2V5H9zm0 1v1h.5a2.713 2.713 0 0 0 1.5-.721V8zm-4 2h1v-.5c0-.574.312-.889.93-.936l.068-.005L7 8.5a1.174 1.174 0 0 1 .119-.5H5zM2 6V1h5v5zm1.564-2.19a1.625 1.625 0 0 1 .442-.756.903.903 0 0 1 .74-.179A2.186 2.186 0 0 1 5.182 2H3v2.34a.562.562 0 0 0 .336-.09.988.988 0 0 0 .228-.44zM6 2.56a1.258 1.258 0 0 0-.297.609 1 1 0 0 1-.279.544.871.871 0 0 1-.756.161l-.05-.009a2.108 2.108 0 0 0-.11.276A1.853 1.853 0 0 1 3.992 5H6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.83 3.078l3.051 18.105a13.093 13.093 0 0 0-5.423-1.017c-5.242 0-6.792 1.634-12.034 1.634A13.093 13.093 0 0 1 1 20.783L2.879 9.879l.866.866-1.621 9.405a13.727 13.727 0 0 0 4.3.65 22.054 22.054 0 0 0 5.783-.79 24.03 24.03 0 0 1 6.25-.844 16.25 16.25 0 0 1 4.158.52l-2.674-15.87a11.86 11.86 0 0 0-3.63-.615 7.791 7.791 0 0 0-3.49.725c-.26.106-.529.216-.821.321V3.178a9.538 9.538 0 0 1 4.31-.978 12.674 12.674 0 0 1 4.52.878zM12 11V5h7v13H6v-7zm-5 6h2.382a1.9 1.9 0 0 1 .669-1.215 1.314 1.314 0 0 0 .246-.275 1.058 1.058 0 0 0-.052-.21 1.43 1.43 0 0 1-.08-.572 1.499 1.499 0 0 1 .735-1.097l.144-.09c.123-.073.244-.136.354-.193a2.509 2.509 0 0 0 .26-.146l.342-.326V12H7zm5 0v-2.841c-.047.025-.09.05-.142.076-.094.05-.198.103-.3.163l-.11.07c-.239.156-.28.263-.289.355a.33.33 0 0 0 .02.11 1.507 1.507 0 0 1 .1.763 1.562 1.562 0 0 1-.482.758 1.258 1.258 0 0 0-.392.546zm6 0v-2.95a3.406 3.406 0 0 0-1.067.458A2.75 2.75 0 0 1 15.5 15a4.35 4.35 0 0 1-2.5-.768V17zm-5-6h5V6h-5zm0 1v.92A3.324 3.324 0 0 0 15.5 14a1.9 1.9 0 0 0 .93-.357 4.185 4.185 0 0 1 1.57-.597V12zm-2-2H4V3h7zM9.516 4.15A1.897 1.897 0 0 1 9.814 4H5v3.66a.516.516 0 0 0 .34-.028c.411-.188.643-.96.743-1.288a1.418 1.418 0 0 1 1.241-.923 1.692 1.692 0 0 1 .791.047.732.732 0 0 0 .276.042c.11-.007.215-.178.374-.457a2.397 2.397 0 0 1 .75-.904zM10 9V5.048a1.839 1.839 0 0 0-.366.499 1.516 1.516 0 0 1-1.18.96 1.815 1.815 0 0 1-.593-.071.687.687 0 0 0-.354-.032c-.193.036-.43.105-.467.229A2.915 2.915 0 0 1 5.756 8.54a1.474 1.474 0 0 1-.62.135c-.044 0-.091-.013-.136-.016V9z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M27 3.9L31 28a33.153 33.153 0 0 0-7.538-.8c-6.876 0-8.048 2.6-14.924 2.6A16.273 16.273 0 0 1 1 28l2.705-16.295.869.869-2.466 14.86a15.986 15.986 0 0 0 6.43 1.366 20.416 20.416 0 0 0 7.155-1.252 22.375 22.375 0 0 1 7.77-1.348 37.271 37.271 0 0 1 6.312.528L26.124 4.73a26.266 26.266 0 0 0-5.05-.518 15.769 15.769 0 0 0-4.322.541l-.814-.814a17.085 17.085 0 0 1 5.136-.727A26.401 26.401 0 0 1 27 3.9zM16 7h9v17H8v-9h8zM9 23h3.244l.039-.137a6.509 6.509 0 0 1 .546-1.23 3.2 3.2 0 0 0 .337-.757.576.576 0 0 0-.101-.327 1.52 1.52 0 0 1-.217-.787c0-1.236 1.963-2.573 2.62-2.573H16V16H9zm7 0v-4.812h-.533c-.346.075-1.62 1.021-1.62 1.574a.556.556 0 0 0 .099.313 1.544 1.544 0 0 1 .22.801 2.887 2.887 0 0 1-.454 1.227 6.576 6.576 0 0 0-.414.897zm8 0v-4.918a10.154 10.154 0 0 0-2.276.865c-1.58.79-3.622.08-4.724-.427V23zm0-7h-7v1.41c.751.388 2.868 1.346 4.276.643A10.437 10.437 0 0 1 24 17.058zm-7-1h7V8h-7zM6 14V5h9v9zm8-8H7v5.145a.836.836 0 0 0 .627-.21 2.073 2.073 0 0 0 .663-1.392 1.508 1.508 0 0 1 1.448-1.558 1.895 1.895 0 0 1 1.194.494 1.292 1.292 0 0 0 .467.255.517.517 0 0 0 .122.034c.317 0 .486-.183.739-.608.04-.069.078-.129.125-.212A2.777 2.777 0 0 1 14 6.428zm0 7V7.513a2.365 2.365 0 0 0-.743.926c-.334.592-.749 1.329-1.736 1.329a1.737 1.737 0 0 1-1.069-.403c-.042-.03-.086-.061-.124-.09a.995.995 0 0 0-.59-.29c-.256 0-.448.294-.448.558a2.6 2.6 0 0 1-.112.672 3.02 3.02 0 0 1-.908 1.487 1.856 1.856 0 0 1-1.204.46c-.022 0-.044-.005-.066-.006V13z"
  }));
};

var _default = TileLayerIcon;
exports["default"] = _default;