"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TiledImageryLayerIcon = function TiledImageryLayerIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 2.714L5 4.912 7.967 7 11 4.859zm-.034 3.237L6.469 4.898l1.537-1.126L9.52 4.855zm5.901-4.263a8.204 8.204 0 0 0-3.161-.674c-2.69 0-2.724.986-5.412.986a10.39 10.39 0 0 1-3.161-.512L0 14.09a9.158 9.158 0 0 0 3.793.711c3.665 0 4.749-1.6 8.414-1.6A6.624 6.624 0 0 1 16 14.29zM7.963 9.735l1.913 1.469L8 12.79l-1.888-1.598zm-2.57.85L3.515 8.996l1.833-1.269 1.86 1.428zm3.319-1.44l1.866-1.47 1.907 1.321-1.888 1.597zm1.142 3.287l.771-.653.721-.61L14 8.922l-2.664-1.844-.794-.55-2.586 2.037-2.58-1.98-.796.551L2 8.923l2.653 2.245.72.608 1.73 1.465a10.029 10.029 0 0 1-3.31.559 9.537 9.537 0 0 1-2.668-.363L2.935 2.74A11.372 11.372 0 0 0 5.294 3a7.833 7.833 0 0 0 3.045-.552 5.894 5.894 0 0 1 2.367-.434 7.213 7.213 0 0 1 2.27.399l1.72 10.163a8.317 8.317 0 0 0-2.489-.376 11.574 11.574 0 0 0-2.353.232z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.524 8.993l1.833-1.269 1.86 1.428-1.815 1.43-1.878-1.589z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.599 10.594L8.714 9.146l1.865-1.469 1.907 1.32-1.887 1.597z",
      opacity: ".25"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.83 3.078a12.674 12.674 0 0 0-4.52-.878c-3.847 0-3.891 1.6-7.74 1.6a15.028 15.028 0 0 1-4.52-.722L1 20.783A13.093 13.093 0 0 0 6.424 21.8c5.242 0 6.792-1.634 12.034-1.634a13.093 13.093 0 0 1 5.423 1.017zM6.425 20.8a13.724 13.724 0 0 1-4.3-.65l1.063-6.173 7.9 6.296a20.11 20.11 0 0 1-4.663.527zm-1.909-6.973l3.272-2.607 3.258 2.597-3.271 2.607zm4.199 3.346l3.271-2.607 3.286 2.618L12 19.791zm4.211-3.356l3.273-2.608 3.285 2.618-3.272 2.608zm.737 5.859L21 13.828 16.197 10l-4.213 3.357-4.196-3.345-4.54 3.619 1.6-9.288A16.193 16.193 0 0 0 8.57 4.8a9.957 9.957 0 0 0 2.888-.38L7.5 7.5l4.484 3.5L16.5 7.5l-4.286-3.334c.21-.08.413-.161.607-.241a7.791 7.791 0 0 1 3.49-.725 11.86 11.86 0 0 1 3.63.615l2.674 15.872a16.248 16.248 0 0 0-4.157-.52 21.93 21.93 0 0 0-4.796.509zM12 5.156L15.01 7.5l-3.024 2.344-3-2.342z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.512 13.827l3.272-2.607 3.258 2.597-3.271 2.607-3.259-2.597z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.923 13.818l3.272-2.608 3.286 2.619-3.273 2.608-3.285-2.619z",
      opacity: ".25"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 5l-6 5 5.99 5L22 10zm-4.438 5.001L16 6.301 20.438 10l-4.448 3.7zM27 3.9a26.401 26.401 0 0 0-5.926-.689c-5.144 0-5.927 1.657-10.735 1.657A14.99 14.99 0 0 1 5 3.9L1 28a16.273 16.273 0 0 0 7.538 1.8c6.876 0 8.048-2.6 14.924-2.6A33.153 33.153 0 0 1 31 28zM15.988 18.58l4.99 3.973-5.025 4.145-4.971-4.184zM10.2 21.856l-4.59-3.864 4.98-3.712 4.594 3.66zm6.597-3.912l4.602-3.617 4.987 3.764-4.62 3.81zm.188 9.2L28 18.056l-5.788-4.368-.825-.623-5.394 4.239-5.383-4.286-.83.618L4 17.944l11.488 9.67a20.078 20.078 0 0 1-6.95 1.186 15.987 15.987 0 0 1-6.43-1.366L5.795 5.217a15.6 15.6 0 0 0 4.544.651 17.43 17.43 0 0 0 5.445-.846 16.633 16.633 0 0 1 5.29-.81 26.26 26.26 0 0 1 5.05.517l3.651 22a37.271 37.271 0 0 0-6.313-.529 21.087 21.087 0 0 0-6.477.944z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M5.613 17.995l4.98-3.712 4.595 3.659-4.984 3.917-4.591-3.864z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.799 17.955l4.602-3.617 4.987 3.763-4.619 3.811-4.97-3.957z",
    opacity: ".25"
  }));
};

var _default = TiledImageryLayerIcon;
exports["default"] = _default;