"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ToggleIcon = function ToggleIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 1h-9a3.5 3.5 0 0 0 0 7h9a3.5 3.5 0 0 0 0-7zm0 6A2.5 2.5 0 1 1 15 4.5 2.5 2.5 0 0 1 12.5 7zm0 2h-9a3.5 3.5 0 0 0 0 7h9a3.5 3.5 0 0 0 0-7zM6 12.5A2.5 2.5 0 1 1 3.5 10 2.5 2.5 0 0 1 6 12.5zm6.5 2.5H5.912a3.47 3.47 0 0 0 0-5H12.5a2.5 2.5 0 0 1 0 5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18 1H6a5 5 0 0 0 0 10h12a5 5 0 0 0 0-10zm0 8a3 3 0 1 1 3-3 3 3 0 0 1-3 3zm0 4H6a5 5 0 0 0 0 10h12a5 5 0 0 0 0-10zm-.2 9H6a4 4 0 0 1 0-8h11.8a4 4 0 1 1 0 8zM6 15a3 3 0 1 0 3 3 3 3 0 0 0-3-3zm0 5a2 2 0 1 1 2-2 2.003 2.003 0 0 1-2 2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24.3 17H7.7a6.5 6.5 0 0 0 0 13h16.6a6.5 6.5 0 0 0 0-13zm0 12H7.7a5.5 5.5 0 0 1 0-11h16.6a5.5 5.5 0 1 1 0 11zm0-27H7.7a6.5 6.5 0 0 0 0 13h16.6a6.5 6.5 0 0 0 0-13zm.2 10.8a4.3 4.3 0 1 1 4.3-4.3 4.3 4.3 0 0 1-4.3 4.3zm-17 6.4a4.3 4.3 0 1 0 4.3 4.3 4.3 4.3 0 0 0-4.3-4.3zm0 7.6a3.3 3.3 0 1 1 3.3-3.3 3.304 3.304 0 0 1-3.3 3.3z"
  }));
};

var _default = ToggleIcon;
exports["default"] = _default;