"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TouchIcon = function TouchIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 2.904H7V1.08h1zm3.048-.245l-.7-.713-1.373 1.349.701.713zm1.913 7.411a.935.935 0 0 0-1.011-.97 1.23 1.23 0 0 0-.397.066l-.026-.013a1.16 1.16 0 0 0-.827-.32 1.39 1.39 0 0 0-.211.034A1.098 1.098 0 0 0 9.35 8a1.47 1.47 0 0 0-.35.063V5.437a1.867 1.867 0 0 0-.42-1.377 1.645 1.645 0 0 0-2.147-.002A1.944 1.944 0 0 0 6 5.5v3.908L4.953 8.396a1.242 1.242 0 0 0-1.527-.303 1.11 1.11 0 0 0-.405 1.497l1.534 3.288 1.802 2.307.786-.62-1.706-2.162-1.53-3.274a.125.125 0 0 1 .02-.171c.106-.058.305.132.329.155L7 11.766V5.44a1.096 1.096 0 0 1 .142-.678.684.684 0 0 1 .725 0c.14.142.136.481.133.738V11h1V9.417C9 9 9.202 9 9.35 9c.174 0 .325 0 .325.417V10h.9v-.156a.654.654 0 0 1 .125-.011c.082 0 .125.022.125.042v.292h1c0-.037.22-.054.263-.06A25.262 25.262 0 0 1 12 13.594a12.327 12.327 0 0 1-.55 1.818l.858.287a15.775 15.775 0 0 0 .541-1.891A12.236 12.236 0 0 0 13 11.553a28.619 28.619 0 0 0-.04-1.483zM6.025 3.295L4.653 1.946l-.701.713 1.372 1.349z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.503 4.142l-.707-.707L13.3 1.932l.707.707zM10 1.134H9v2.833h1zm-2.86 2.3L5.637 1.933l-.707.707 1.503 1.503zm11.835 10.788a1.418 1.418 0 0 0-1.466-1.489 4.475 4.475 0 0 0-.693.064l-.042-.016A1.388 1.388 0 0 0 15.478 12a1.788 1.788 0 0 0-.587.064A1.84 1.84 0 0 0 13 11.06a2.768 2.768 0 0 0-1 .167V6.9a1.905 1.905 0 0 0-2-1.846A1.905 1.905 0 0 0 8 6.9v6.954L6.979 12.64a1.624 1.624 0 0 0-1.066-.733 1.775 1.775 0 0 0-1.264.161 1.478 1.478 0 0 0-.71.968 1.588 1.588 0 0 0 .167 1.137l2.154 4.38 3.32 4.064.773-.635-3.221-3.921-2.144-4.359a.619.619 0 0 1-.074-.446.485.485 0 0 1 .235-.322.796.796 0 0 1 .543-.051.708.708 0 0 1 .47.328L9 16.6V6.9a.908.908 0 0 1 1-.846.908.908 0 0 1 1 .846V14h1v-1.379c0-.373.336-.562 1-.562.374 0 1 .073 1 .562V14h1v-.563c0-.36.111-.47.478-.47.507 0 .522.684.522.762v1.063h1V13.76l-.005.002.005-.008v.006c.011-.005.362-.027.508-.027.129 0 .492.156.492.761.022.245 0 2.992 0 4.093a7.863 7.863 0 0 1-.463 2.657c-.16.421-.56 1.221-.56 1.221l.918.43s.272-.606.398-.925a7.32 7.32 0 0 0 .471-1.57A26.038 26.038 0 0 0 19 17.07z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.9 6.687l-.707-.707 1.99-1.99.706.707zM15 1h-1v3.953h1zm11 17.814A1.901 1.901 0 0 0 24.1 17a2.791 2.791 0 0 0-1.345.306l-.02-.015A1.903 1.903 0 0 0 20.94 16a2.54 2.54 0 0 0-1.083.207A2.02 2.02 0 0 0 18 15a2.045 2.045 0 0 0-1 .268V9.906a2.002 2.002 0 0 0-4 0v8.976l-2.242-2.993a1.957 1.957 0 0 0-2.657-.652 1.89 1.89 0 0 0-.655 2.573l3.4 6.963 3.45 5.288.839-.547-3.42-5.233-3.364-6.895a.931.931 0 0 1 .25-1.283.968.968 0 0 1 1.354.381L14 21.886V9.906a1.005 1.005 0 0 1 2 0v9.438h1v-2.456a1.005 1.005 0 0 1 2 0v2.456h1.034V17.52c0-.182 0-.521.906-.521a.907.907 0 0 1 .907.906v1.438H23v-.469c0-.505.596-.875 1.1-.875a.906.906 0 0 1 .902.874c.002.03-.002 5.427-.002 5.427a11.653 11.653 0 0 1-.188 2.523 7.87 7.87 0 0 1-1.869 3.586l.725.689a8.122 8.122 0 0 0 2.12-3.962 11.444 11.444 0 0 0 .178-1.24c.036-.417.034-.834.034-.834s.008-6.14 0-6.248zM12.811 5.84l-1.989-1.99-.707.708 1.989 1.989z"
  }));
};

var _default = TouchIcon;
exports["default"] = _default;