"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TourIcon = function TourIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 6.575v-4.64C5 .552 3.88.02 2.5.02S0 .55 0 1.936v4.639L2.5 9.08zm-4-4.64c0-.25 0-.916 1.5-.916s1.5.666 1.5.917V6.16L2.5 7.665 1 6.161zm15 5c0-1.384-1.12-1.916-2.5-1.916S11 5.55 11 6.936v4.639l2.5 2.506 2.5-2.506zm-1 4.226l-1.5 1.504-1.5-1.504V6.936c0-.251 0-.917 1.5-.917s1.5.666 1.5.917zM3 4H2V3h1zm10 4h1v1h-1zm-.226 8.003c-2.975 0-11.22-.117-12.5-1.389A.849.849 0 0 1 0 14c0-.855 1.179-1.012 2.963-1.249.934-.124 2.88-.382 3.038-.758-.099-.308-1.67-.82-3.548-.995L2 10.955V10l1 .05c1.481.177 4 .665 4 1.95 0 1.225-1.897 1.477-3.905 1.742a16.277 16.277 0 0 0-1.887.321c1.263.598 6.59.94 11.528.94l.264-.001V15h1v.996l-.496.004c-.18.001-.429.003-.73.003z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 3.69v6.395l3.5 3.509 3.5-3.51V3.69c0-1.938-1.567-2.684-3.5-2.684S1 1.752 1 3.69zm6 0v5.982l-2.5 2.506L2 9.672V3.69c0-.416 0-1.684 2.5-1.684S7 3.274 7 3.69zm12.5 4.316c-1.933 0-3.5.746-3.5 2.684v6.395l3.5 3.509 3.5-3.51V10.69c0-1.938-1.567-2.684-3.5-2.684zm2.5 8.666l-2.5 2.506-2.5-2.506V10.69c0-.416 0-1.684 2.5-1.684S22 10.274 22 10.69zM19.5 11a1.5 1.5 0 1 0 1.5 1.5 1.5 1.5 0 0 0-1.5-1.5zm0 2a.5.5 0 1 1 .5-.5.5.5 0 0 1-.5.5zM3 5.5A1.5 1.5 0 1 0 4.5 4 1.5 1.5 0 0 0 3 5.5zm2 0a.5.5 0 1 1-.5-.5.5.5 0 0 1 .5.5zM19.501 22H20v1.003L19.497 23C12.59 22.958 1 22.514 1 20c0-1.09 1.756-1.416 4.187-1.866 1.193-.22 3.677-.682 3.814-1.138-.116-.368-2.117-.889-4.523-.997L4 15.979V15l1 .026c2.06.128 5 .56 5 1.974 0 1.259-2.146 1.656-4.632 2.117-1.18.219-3.153.584-3.382.94.309.97 8.324 1.887 17.515 1.943z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M9 7.5A2.5 2.5 0 1 0 6.5 10 2.5 2.5 0 0 0 9 7.5zM6.5 9A1.5 1.5 0 1 1 8 7.5 1.501 1.501 0 0 1 6.5 9zm19 5a2.5 2.5 0 1 0 2.5 2.5 2.5 2.5 0 0 0-2.5-2.5zm0 4a1.5 1.5 0 1 1 1.5-1.5 1.501 1.501 0 0 1-1.5 1.5zM11 14.094V5.486c0-2.498-2.015-3.459-4.5-3.459S2 2.987 2 5.486v8.608l4.5 4.523zM3 5.486c0-1.631 1.178-2.458 3.5-2.458s3.5.827 3.5 2.458v8.196l-3.5 3.517L3 13.682zm22.5 5.541c-2.485 0-4.5.96-4.5 3.459v8.608l4.5 4.523 4.5-4.523v-8.608c0-2.498-2.015-3.459-4.5-3.459zM29 22.682l-3.5 3.517-3.5-3.517v-8.196c0-1.631 1.178-2.458 3.5-2.458s3.5.827 3.5 2.458zm-3.68 8.314C15.138 30.78 3 29.91 3 27c0-1.355 2.293-1.776 4.947-2.264C9.16 24.514 12 23.992 12 23.5c0-.44-2.475-1.208-5.548-1.502L6 21.954V21l1 .049c2.11.232 6 .875 6 2.451 0 1.325-2.15 1.72-4.872 2.22C6.788 25.966 4 26.478 4 27c0 1.263 7.331 2.697 21.342 2.996l.145.004H26v1.057z"
  }));
};

var _default = TourIcon;
exports["default"] = _default;