"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TruckingDistanceIcon = function TruckingDistanceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4 3L2 1.5 4 0v1h6v2h2V2l2 1.5L12 5V4H9V2H4zm11-1v3h1V2zM1 0H0v3h1zm15 15h-2.092a1.492 1.492 0 0 1-2.816 0H3.908a1.494 1.494 0 1 1-2.816-1H0V7h10v4h1V8h2.045C16 8 16 11.167 16 12.208zM3 14H2v1h1zm6-6H1v5h1.5a1.495 1.495 0 0 1 1.408 1H9zm2 4h-1v2h1zm3-1h.921A2.208 2.208 0 0 0 14 9.225zm-1 3h-1v1h1zm2 0v-2h-2V9h-1v4.092a1.474 1.474 0 0 1 1.908.908z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 6.19L2.942 3.5 6 .81V3h7v3h5V3.81l3.058 2.69L18 9.19V7h-6V4H6zM2 2H1v3h1zm20 17.017V22h-3.278A1.994 1.994 0 0 1 15 21H6a2 2 0 0 1-4 0 1.977 1.977 0 0 1 .278-1H1v-8h13v6h1v-5h3.8c2.888 0 3.2 4.208 3.2 6.017zM5 21a1 1 0 1 0-1 1 1.001 1.001 0 0 0 1-1zm8-8H2v6h2a1.993 1.993 0 0 1 1.722 1H13zm2 6h-1v1h1zm3 2a1 1 0 1 0-1 1 1.001 1.001 0 0 0 1-1zm3-2h-1.018l-1-2H17v-3h-1v5.278A1.977 1.977 0 0 1 17 19a2.002 2.002 0 0 1 2 2h2v-1.983zm-.04-1c-.114-1.522-.546-4-2.16-4H18v2h1.6l1 2zM22 5v3h1V5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30 7v5h-1V7zM3 3H2v5h1zm4 3h8v4h10v2.19l3.058-2.69L25 6.81V9h-9V5H7V2.81L3.942 5.5 7 8.19zm22 19.017V29h-4.05a2.5 2.5 0 0 1-4.95-.5 2.475 2.475 0 0 1 .081-.6H9.92a2.475 2.475 0 0 1 .081.6 2.5 2.5 0 0 1-5 0 2.475 2.475 0 0 1 .081-.6H3V26H1V14h19v10h1v-6h4.8c2.969 0 3.2 5.37 3.2 7.017zM19 25V15H2v10zM9 28.5A1.5 1.5 0 1 0 7.5 30 1.502 1.502 0 0 0 9 28.5zm12-1.987V25h-1v1H4v1h1.513a2.475 2.475 0 0 1 3.974 0h11.026a2.513 2.513 0 0 1 .487-.487zm3 1.987a1.5 1.5 0 1 0-1.5 1.5 1.502 1.502 0 0 0 1.5-1.5zm4-3.5h-1.018l-1-2H24v-4h-2v7.05A2.5 2.5 0 0 1 24.95 28H28v-1.002L26 27v-.999L28 26v-.983zm-.03-1c-.126-2.205-.677-5-2.17-5H25v3h1.6l1 2z"
  }));
};

var _default = TruckingDistanceIcon;
exports["default"] = _default;