"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TruckingTimeIcon = function TruckingTimeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.55 7A3.44 3.44 0 0 0 16 3.5 3.44 3.44 0 0 0 12.55 0 3.526 3.526 0 0 0 9 3.5 3.526 3.526 0 0 0 12.55 7zM12 1.05V4h2V3h-1V1.05a2.5 2.5 0 1 1-1 0zm4 11.158C16 11.167 16 8 13.045 8H11v3h-1V7H0v7h1.092a1.494 1.494 0 1 0 2.816 1h7.184a1.492 1.492 0 0 0 2.816 0H16zM3 15H2v-1h1zm6-1H3.908A1.495 1.495 0 0 0 2.5 13H1V8h8zm2 0h-1v-2h1zm3-4.775A2.208 2.208 0 0 1 14.921 11H14zM13 15h-1v-1h1zm.908-1A1.474 1.474 0 0 0 12 13.092V9h1v3h2v2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.8 13H15v5h-1v-6H1v8h1.278A1.977 1.977 0 0 0 2 21a2 2 0 0 0 4 0h9a1.994 1.994 0 0 0 3.722 1H22v-2.983c0-1.81-.312-6.017-3.2-6.017zM4 22a1 1 0 1 1 1-1 1.001 1.001 0 0 1-1 1zm9-2H5.722A1.993 1.993 0 0 0 4 19H2v-6h11zm2 0h-1v-1h1zm2 2a1 1 0 1 1 1-1 1.001 1.001 0 0 1-1 1zm4-2.983V21h-2a2.002 2.002 0 0 0-2-2 1.977 1.977 0 0 0-1 .278V14h1v3h1.982l1 2H21zM20.6 18l-1-2H18v-2h.8c1.614 0 2.046 2.478 2.16 4zM20 7h-3V3h1v3h2zm-2 4a5 5 0 1 0-5-5 5.006 5.006 0 0 0 5 5zm0-9a4 4 0 1 1-4 4 4.005 4.005 0 0 1 4-4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30 25.017C30 23.37 29.769 18 26.8 18H22v6h-1v-8.589A8.004 8.004 0 0 1 18.726 14H2v12h2v1.9h2.081a2.475 2.475 0 0 0-.081.6 2.5 2.5 0 0 0 5 0 2.475 2.475 0 0 0-.081-.6h10.162a2.475 2.475 0 0 0-.081.6 2.5 2.5 0 0 0 4.95.5H30zM28.97 24h-.37l-1-2H26v-3h.8c1.493 0 2.044 2.795 2.17 5zM3 15h17v10H3zm5.5 15a1.5 1.5 0 1 1 1.5-1.5A1.502 1.502 0 0 1 8.5 30zm1.987-3a2.475 2.475 0 0 0-3.974 0H5v-1h16v-1h1v1.513a2.513 2.513 0 0 0-.487.487zM23.5 30a1.5 1.5 0 1 1 1.5-1.5 1.502 1.502 0 0 1-1.5 1.5zm0-4a2.5 2.5 0 0 0-.5.05V19h2v4h1.982l1 2H29v1h-2v1l2-.002V28h-3.05a2.504 2.504 0 0 0-2.45-2zM24 1.2A6.8 6.8 0 1 0 30.8 8 6.8 6.8 0 0 0 24 1.2zm0 12.6A5.8 5.8 0 1 1 29.8 8a5.806 5.806 0 0 1-5.8 5.8zM24 8h3v1h-4V4h1z"
  }));
};

var _default = TruckingTimeIcon;
exports["default"] = _default;