"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UnlinkIcon = function UnlinkIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.646 11.646l.707.707-2 2-.707-.707zm9.707-8.293l-.707-.707-2 2 .707.707zM11 1h-1v2l1 1zm5 6V6h-3l1 1zM6 16h1v-2l-1-1zm-5-5h3l-1-1H1zm5.757-2.243l-.803-.803a2.42 2.42 0 0 1-2.106-.591c-.037-.034-.08-.06-.116-.095l-1-1a2.5 2.5 0 1 1 3.536-3.536l1 1c.035.036.061.079.095.116a2.42 2.42 0 0 1 .591 2.106l.803.803A3.428 3.428 0 0 0 8.07 3.14c-.034-.037-.06-.08-.095-.116l-1-1a3.5 3.5 0 1 0-4.95 4.95l1 1c.036.035.08.06.116.095a3.428 3.428 0 0 0 3.616.687zm3.486-.514l.803.803a2.42 2.42 0 0 1 2.106.591c.037.034.08.06.116.095l1 1a2.5 2.5 0 1 1-3.536 3.536l-1-1c-.035-.036-.061-.079-.095-.116a2.42 2.42 0 0 1-.591-2.106l-.803-.803a3.428 3.428 0 0 0 .687 3.616c.034.037.06.08.095.116l1 1a3.5 3.5 0 1 0 4.95-4.95l-1-1c-.036-.035-.08-.06-.116-.095a3.428 3.428 0 0 0-3.616-.687z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.146 16.146l.707.707-3.5 3.5-.707-.707zM20.353 5.353l-.707-.707-3.5 3.5.707.707zM15 3h-1v3l1 1zm7 8v-1h-4l1 1zM10 22h1v-3l-1-1zm-7-8v1h4l-1-1zm6.69-1.309l-.827-.827a4.23 4.23 0 0 1-1.73.002 3.881 3.881 0 0 1-1.961-1.038l-1-1a4 4 0 1 1 5.656-5.656l1 1a3.967 3.967 0 0 1 1.063 1.937 3.735 3.735 0 0 1 .002 1.784l.796.796A4.986 4.986 0 0 0 13 8a4.98 4.98 0 0 0-.31-1.69 4.966 4.966 0 0 0-1.155-1.845l-1-1a5 5 0 1 0-7.07 7.07l1 1A4.966 4.966 0 0 0 6.31 12.69a4.77 4.77 0 0 0 3.38.001zm10.845.774a4.92 4.92 0 0 0-5.224-1.154l.796.796a3.735 3.735 0 0 1 1.784.002 3.967 3.967 0 0 1 1.937 1.063l1 1a4 4 0 1 1-5.656 5.656l-1-1a3.967 3.967 0 0 1-1.063-1.937 3.695 3.695 0 0 1 0-1.78l-.8-.801a5.05 5.05 0 0 0 1.156 5.225l1 1a5 5 0 1 0 7.07-7.07z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20 11l-1-1V5h1zM5 19v1h6l-1-1zm23-5v-1h-6l1 1zM13 28h1v-5l-1-1zM25.354 8.354l-.707-.707-4 4 .707.707zM7.647 24.647l.707.707 4-4-.707-.707zm3.853-6.85a6.33 6.33 0 0 0 1.975-.322l-.817-.817a5.294 5.294 0 0 1-4.906-1.41l-2-2a5.3 5.3 0 0 1 7.496-7.496l2 2a5.292 5.292 0 0 1 1.41 4.906l.817.817a6.303 6.303 0 0 0-1.52-6.43l-2-2a6.3 6.3 0 0 0-8.91 8.91l2 2a6.284 6.284 0 0 0 4.455 1.842zm16.455 1.248l-2-2a6.305 6.305 0 0 0-6.43-1.52l.817.817a5.212 5.212 0 0 1 4.906 1.41l2 2a5.3 5.3 0 0 1-7.496 7.496l-2-2a5.292 5.292 0 0 1-1.41-4.906l-.817-.817a6.303 6.303 0 0 0 1.52 6.43l2 2a6.3 6.3 0 0 0 8.91-8.91z"
  }));
};

var _default = UnlinkIcon;
exports["default"] = _default;