"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UnlockIcon = function UnlockIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 6V4a4 4 0 1 0-8 0v3H2a1.003 1.003 0 0 0-1 1v7a1.003 1.003 0 0 0 1 1h10a1.003 1.003 0 0 0 1-1V8a1.003 1.003 0 0 0-1-1h-1V4a1 1 0 0 1 2 0v2zm-4 2v7H2V8zm0-6a2 2 0 0 0-2 2v3H9V4a3 3 0 1 1 6 0v1h-1V4a2 2 0 0 0-2-2zM7 14H6V9h1v1h1v1H7v1h1v1H7z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.5 10A1.504 1.504 0 0 0 0 11.5v10A1.504 1.504 0 0 0 1.5 23h15a1.504 1.504 0 0 0 1.5-1.5v-10a1.504 1.504 0 0 0-1.5-1.5H15V6.5c0-2.04 1.346-3.7 3-3.7 1.71 0 3 1.59 3 3.7V8h3V6.5A6.272 6.272 0 0 0 18 0a6.272 6.272 0 0 0-6 6.5V10zM13 6.5A5.274 5.274 0 0 1 18 1a5.274 5.274 0 0 1 5 5.5V7h-1v-.5c0-2.68-1.72-4.7-4-4.7-2.206 0-4 2.108-4 4.7V10h-1zm2 4.5h1.5a.506.506 0 0 1 .5.5v10a.506.506 0 0 1-.5.5h-15a.506.506 0 0 1-.5-.5v-10a.506.506 0 0 1 .5-.5zm-6 9H8v-5h1v1h1v1H9v1h1v1H9zm1-5H9v-1h1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24.499 2A6.507 6.507 0 0 0 18 8.5V14h1V8.5a5.5 5.5 0 1 1 10.999 0V10H29V8.5a4.5 4.5 0 0 0-9 0V14H4a2.006 2.006 0 0 0-2 2v12a2.006 2.006 0 0 0 2 2h18a2.006 2.006 0 0 0 2-2V16a2.006 2.006 0 0 0-2-2h-1V8.5a3.5 3.5 0 0 1 7 0V11h3l-.001-2.5a6.508 6.508 0 0 0-6.5-6.5zM22 15a1.001 1.001 0 0 1 1 1v12a1.001 1.001 0 0 1-1 1H4a1.001 1.001 0 0 1-1-1V16a1.001 1.001 0 0 1 1-1zm-10 4h1v1h1v1h-1v1h1v1h-1v1h1v1h-1v1h-1zm1-1h1v1h-1z"
  }));
};

var _default = UnlockIcon;
exports["default"] = _default;