"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserKeyIcon = function UserKeyIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 6.8A2.8 2.8 0 1 1 10.8 4 2.803 2.803 0 0 1 8 6.8zm0-4.667A1.867 1.867 0 1 0 9.867 4 1.869 1.869 0 0 0 8 2.133zM6 14.5a1.988 1.988 0 0 1 .072-.5H4v-2.5A2.503 2.503 0 0 1 6.5 9h2.262a4.52 4.52 0 0 1 .922-.981C9.622 8.015 9.563 8 9.5 8h-3A3.504 3.504 0 0 0 3 11.5V15h3zm6.5-5.4a2.4 2.4 0 0 0-2.4 2.4 2.374 2.374 0 0 0 .104.662L8 14.5V16h2.3l2.018-2.118c.06.004.12.018.182.018a2.4 2.4 0 1 0 0-4.8zm0 3.9a1.482 1.482 0 0 1-.502-.093L9.986 15H9v-.103l2.33-2.47A1.485 1.485 0 0 1 11 11.5a1.5 1.5 0 1 1 1.5 1.5zm-.5-1h1v-1h-1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1.2A4.8 4.8 0 1 0 16.8 6 4.805 4.805 0 0 0 12 1.2zm0 8.6A3.8 3.8 0 1 1 15.8 6 3.804 3.804 0 0 1 12 9.8zM9 22H4l.01-4.5A5.498 5.498 0 0 1 9.5 12h4.312a5.968 5.968 0 0 0-.462 1H9.5A4.505 4.505 0 0 0 5 17.5V21h4zm10-10.9a3.9 3.9 0 0 0-3.9 3.9 3.86 3.86 0 0 0 .225 1.255L11 20.727V23h2.993l.023-.01L15 22v-1h1.005L17 20v-1h1.004l.186-.187A3.9 3.9 0 1 0 19 11.1zm0 6.9a2.973 2.973 0 0 1-1.223-.267l-.272.267H16v2h-2v1.674l-.408.326H12v-.906l4.419-4.591A2.965 2.965 0 0 1 16 15a3 3 0 1 1 3 3zm.5-5a1.5 1.5 0 1 0 1.5 1.5 1.5 1.5 0 0 0-1.5-1.5zm0 2a.5.5 0 1 1 .5-.5.501.501 0 0 1-.5.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 13.8A5.8 5.8 0 1 1 21.8 8a5.806 5.806 0 0 1-5.8 5.8zm0-10.6A4.8 4.8 0 1 0 20.8 8 4.805 4.805 0 0 0 16 3.2zM26.5 17a1.5 1.5 0 1 0 1.5 1.5 1.5 1.5 0 0 0-1.5-1.5zm0 2a.5.5 0 1 1 .5-.5.501.501 0 0 1-.5.5zM13 28H7v-6.5a5.507 5.507 0 0 1 5.5-5.5h6.167a7.525 7.525 0 0 1 .759-1H12.5a6.499 6.499 0 0 0-6.49 6.5L6 29h7zm12-13a5 5 0 0 0-5 5 4.947 4.947 0 0 0 .53 2.197L15 27.727V30h3.222l.022-.01.756-.756V28h1.233l.767-.767V26h1.232l1.258-1.258A4.944 4.944 0 0 0 25 25a5 5 0 0 0 0-10zm0 9a3.95 3.95 0 0 1-1.758-.425L21.818 25H20v1.82l-.18.18H18v1.82l-.18.18H16v-.86l5.784-5.784A3.964 3.964 0 0 1 21 20a4 4 0 1 1 4 4z"
  }));
};

var _default = UserKeyIcon;
exports["default"] = _default;