"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UtilityNetworkTraceIcon = function UtilityNetworkTraceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.5 11a1.5 1.5 0 0 0 1.47-1.8l2.58-1.548a1.487 1.487 0 0 0 .45.256v5.184a1.5 1.5 0 1 0 1 0V7.908A1.495 1.495 0 0 0 7.908 7h2.184a1.494 1.494 0 0 0 1.38.997l1.108 3.326a1.495 1.495 0 1 0 .948-.32L12.42 7.677a1.478 1.478 0 0 0 .233-2.126L14.2 2.97A1.5 1.5 0 1 0 13 1.5a1.486 1.486 0 0 0 .347.95L11.8 5.03a1.492 1.492 0 0 0-1.707.97H7.908a1.497 1.497 0 0 0-2.878.8L2.45 8.347A1.497 1.497 0 1 0 1.5 11zM7 14.5v.5H6v-1h1zm7-2.5v1h-1v-1h1zm0-11h1v1h-1V1zm-2.783 5H12v1h-1V6zM6 6h1v1H6V6zM1 9.5V9h1v1H1zm2-8A1.5 1.5 0 1 0 1.5 3 1.5 1.5 0 0 0 3 1.5zm-1 0V2H1V1h1zM1 14h1v1H1zm1-1H1v-1h1zM1 6h1v1H1zm1-1H1V4h1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 9H4V8h1zm-1 2h1v-1H4zm0 8h1v-1H4zm0 2h1v-1H4zM2.734 2.734A2.497 2.497 0 1 1 2.002 4.5a2.49 2.49 0 0 1 .732-1.766zM3 4.5a1.502 1.502 0 1 0 .44-1.06A1.495 1.495 0 0 0 3 4.5zm19.266 12.234a2.543 2.543 0 1 1-2.926-.434l-.962-3.315A2.478 2.478 0 0 1 16.053 11H13.95A2.5 2.5 0 0 1 12 12.95v4.103a2.497 2.497 0 1 1-1 0V12.95a2.495 2.495 0 0 1-1.268-.682c-.037-.038-.066-.083-.101-.123l-2.768 1.581a2.46 2.46 0 1 1-.597-.992c.038.037.066.083.101.123l2.768-1.582A2.494 2.494 0 1 1 13.95 10h2.103A2.498 2.498 0 0 1 18.5 8.002a2.457 2.457 0 0 1 .295.03l.46-1.376A2.494 2.494 0 0 1 20.5 2a2.504 2.504 0 0 1 1.763 4.267 2.293 2.293 0 0 1-2.06.703l-.458 1.377a2.479 2.479 0 0 1-.37 4.484l.927 3.191c.066-.005.13-.02.198-.02a2.49 2.49 0 0 1 1.766.732zM20.5 6a1.502 1.502 0 1 0-1.06-.44A1.495 1.495 0 0 0 20.5 6zM5.56 13.44A1.498 1.498 0 1 0 6 14.5a1.496 1.496 0 0 0-.44-1.06zM11.5 18a1.502 1.502 0 1 0 1.06.44A1.496 1.496 0 0 0 11.5 18zm1.5-7.5a1.502 1.502 0 1 0-.44 1.06A1.495 1.495 0 0 0 13 10.5zm5.5 1.5a1.502 1.502 0 1 0-1.06-.44 1.495 1.495 0 0 0 1.06.44zm3.5 6.5a1.502 1.502 0 1 0-.44 1.06A1.495 1.495 0 0 0 22 18.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M5.5 10a3.504 3.504 0 1 0-2.474-1.026A3.486 3.486 0 0 0 5.5 10zm0-6a2.502 2.502 0 1 1-1.767.733A2.492 2.492 0 0 1 5.5 4zm20 17c-.116 0-.225.023-.338.034l-.777-3.161a3.474 3.474 0 0 0 .632-6.513l.617-1.481a3.472 3.472 0 1 0-1.608-.905 3.515 3.515 0 0 0 .686.518l-.652 1.565A3.46 3.46 0 0 0 20.05 14h-2.1a3.49 3.49 0 1 0-6.507 2.17l-3.246 2.129c-.074-.091-.141-.19-.224-.273a3.499 3.499 0 1 0 .752 1.12l3.306-2.169A3.487 3.487 0 0 0 14 17.95v5.102a3.528 3.528 0 1 0 1 0V17.95A3.435 3.435 0 0 0 17.95 15h2.1a3.453 3.453 0 0 0 3.334 2.988l.804 3.271A3.48 3.48 0 1 0 25.5 21zm1-17a2.502 2.502 0 1 1-1.767.733A2.492 2.492 0 0 1 26.5 4zM8 20.5a2.502 2.502 0 1 1-.733-1.767A2.492 2.492 0 0 1 8 20.5zm13-6a2.502 2.502 0 1 1 .733 1.767A2.492 2.492 0 0 1 21 14.5zm-4 0a2.502 2.502 0 1 1-.733-1.767A2.492 2.492 0 0 1 17 14.5zM14.5 29a2.502 2.502 0 1 1 1.767-.733A2.492 2.492 0 0 1 14.5 29zm11-2a2.5 2.5 0 1 1 1.768-.732A2.492 2.492 0 0 1 25.5 27zM6 12H5v-1h1zm0 2H5v-1h1zm-1 1h1v1H5zm0 10h1v1H5zm0 2h1v1H5zm0 2h1v1H5z"
  }));
};

var _default = UtilityNetworkTraceIcon;
exports["default"] = _default;