"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var VertexEditIcon = function VertexEditIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.841 11.23l-1.756 4.097a.371.371 0 0 0 .488.487L9.67 14.06l4.607-4.609 1.445-1.443a.965.965 0 0 0-.03-1.385l-1.413-1.414a.965.965 0 0 0-1.385-.03zm-.217 3.046l.554-1.294.74.74zm6.73-8.144a.306.306 0 0 1 .433 0l.981.98a.306.306 0 0 1 0 .434l-1.09 1.09-1.414-1.414zm-.384 3.212l-4.008 4.008-1.413-1.415 4.007-4.008zM1 0v5h.889L0 10.731.807 11l1.978-6H6V3h6V2H6V0zm4 4H2V1h3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 4h9V3H9V1H4v5h1.48L1.52 17.679l.948.321L6.537 6H9zM5 5V2h3v3zm17.228 4.041a.98.98 0 0 0-1.386 0l-10.309 10.31-1.755 4.096a.371.371 0 0 0 .487.487l4.096-1.755 10.325-10.324a.965.965 0 0 0-.03-1.385zM10.316 22.396l.961-2.24 1.28 1.28zm3.015-1.6l-1.414-1.415 7.47-7.47 1.413 1.415zm9.328-9.329l-1.152 1.152-1.413-1.415 1.168-1.168a.42.42 0 0 1 .599.006l.804.838a.42.42 0 0 1-.006.587z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28.882 13.12a1.203 1.203 0 0 0-1.726-.037L14.79 25.449l-2.342 5.465a.306.306 0 0 0 .402.402l5.465-2.342 10.566-10.567v-.001l1.8-1.798a1.203 1.203 0 0 0-.036-1.726zM14.05 29.714l1.403-3.274 1.87 1.87zm4.101-1.99l-2.112-2.111 9.758-9.757 2.111 2.11zm11.824-11.823l-1.36 1.359-2.11-2.111 1.358-1.36a.163.163 0 0 1 .121-.053.285.285 0 0 1 .193.092l1.76 1.761c.018.018.171.179.038.312zM12 9V6h16V5H12V2H5v7h1.977L2 23.679l.947.321L8.033 9zM6 8V3h5v5z"
  }));
};

var _default = VertexEditIcon;
exports["default"] = _default;