"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var VideoIcon = function VideoIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.296 4L12 6.251V4.5A1.502 1.502 0 0 0 10.5 3h-9A1.502 1.502 0 0 0 0 4.5v7A1.502 1.502 0 0 0 1.5 13h9a1.502 1.502 0 0 0 1.5-1.5V9.749L14.296 12H16V4zM11 11.5a.5.5 0 0 1-.5.5h-9a.5.5 0 0 1-.5-.5v-7a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 .5.5zm4-.5h-.296L12 8.349V7.65L14.704 5H15z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21.217 6L17 9.377V7a2.002 2.002 0 0 0-2-2H3a2.002 2.002 0 0 0-2 2v10a2.002 2.002 0 0 0 2 2h12a2.002 2.002 0 0 0 2-2v-2.445L21.214 18H23V6zM16 17a1.001 1.001 0 0 1-1 1H3a1.001 1.001 0 0 1-1-1V7a1.001 1.001 0 0 1 1-1h12a1.001 1.001 0 0 1 1 1zm6 0h-.429L17 13.263v-2.605L21.568 7H22z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28.001 9L23 12.534V9.5A2.503 2.503 0 0 0 20.5 7h-16A2.503 2.503 0 0 0 2 9.5v13A2.503 2.503 0 0 0 4.5 25h16a2.503 2.503 0 0 0 2.5-2.5v-3.034L28.001 23H30V9zM22 13.241V22.5a1.502 1.502 0 0 1-1.5 1.5h-16A1.502 1.502 0 0 1 3 22.5v-13A1.502 1.502 0 0 1 4.5 8h16A1.502 1.502 0 0 1 22 9.5zM29 22h-.68L23 18.241V13.76L28.32 10H29z"
  }));
};

var _default = VideoIcon;
exports["default"] = _default;