"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ViewshedIcon = function ViewshedIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 11.967L2 4.734 4.492.886l6.9 3.406L9 6z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M.088.482A.358.358 0 0 1 .305.205a5.075 5.075 0 0 1 4.104.6c.031.022.06.047.091.069L2.704 3.651c-.023-.013-.046-.022-.068-.037a1.407 1.407 0 0 1-.527-2.009 1.599 1.599 0 0 1 1.227-.604 3.737 3.737 0 0 0-2.6-.099 3.455 3.455 0 0 0 1.647 3.244l-.376.581A3.95 3.95 0 0 1 .088.482zM4 7V6H3v1zm2-6H5v1h1zm2 1H7v1h1zm2 1H9v1h1zM6 8H5v1h1zm-4 5h1v-1H2zm2-1v1h1v-1zm9-5h1V6h-1zm0 2h1V8h-1zm0 2h1v-1h-1zm0 2h1v-1h-1zm-2-4h1V8h-1zm0 2h1v-1h-1zm0 2h1v-1h-1zM9 6v9H6.969v-5H0v6h16V1.002zm-3 9H1v-4h5zm9 0h-5V6.515l5-3.57z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 18.85L2.986 6.188l3.205-4.975 11.134 3.57L14 7z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 23V1l-9 6v16h-4V13H9v1H1v9H0v1h24v-1zM15 7.535l7-4.667V23h-7zM2 23v-8h7v8zM.456.696A.467.467 0 0 1 .74.334a7.025 7.025 0 0 1 5.351.782c.043.027.078.062.12.09l-2.343 3.62c-.03-.016-.06-.028-.088-.047a1.834 1.834 0 0 1-.687-2.62 2.567 2.567 0 0 1 1.067-.905 5.097 5.097 0 0 0-2.856-.011A4.581 4.581 0 0 0 3.53 5.346l-.572.884A5.15 5.15 0 0 1 .456.696zM3 16h2v2H3zm3 0h2v2H6zm-3 3h2v2H3zm3 0h2v2H6zm13-9h2v2h-2zm0-3h2v2h-2zm-3 6h2v2h-2zm3 0h2v2h-2zm-3 3h2v2h-2zm3 0h2v2h-2zm-3 3h2v2h-2zm3 0h2v2h-2zm-3-9h2v2h-2zM3 7h1v1H3zm6-5H8V1h1zm3 1h-1V2h1zm3 1h-1V3h1zM5 10V9h1v1zm3 2H7v-1h1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20 23.672L3.962 7.225l3.243-5.019 15.574 4.727L20 8.6z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M1.456 1.696a.467.467 0 0 1 .283-.362 7.025 7.025 0 0 1 5.351.782c.043.027.078.062.12.09L4.866 5.827c-.03-.017-.06-.03-.088-.048a1.835 1.835 0 0 1-.687-2.62 2.567 2.567 0 0 1 1.067-.905 5.096 5.096 0 0 0-2.856-.011A4.581 4.581 0 0 0 4.53 6.346l-.572.884a5.15 5.15 0 0 1-2.503-5.534zM32 30v1H0v-1h1V18h14v12h5V8.6L31 2v28zm-18 0V19H2v11zm16 0V3.767l-9 5.399V30zM6 9V8H5v1zm3-7H8v1h1zm3 1h-1v1h1zm3 1h-1v1h1zm3 1h-1v1h1zm3 1h-1v1h1zM7 11h1v-1H7zm2 2h1v-1H9zm3 1h-1v1h1zm2 2h-1v1h1zm9 12h2v-2h-2zm3 0h2v-2h-2zM7 28h2v-2H7zm-3 0h2v-2H4zm6 0h2v-2h-2zm-3-3h2v-2H7zm-3 0h2v-2H4zm6 0h2v-2h-2zm-3-3h2v-2H7zm-3 0h2v-2H4zm6 0h2v-2h-2zm13 3h2v-2h-2zm3 0h2v-2h-2zm-3-3h2v-2h-2zm3 0h2v-2h-2zm-3-3h2v-2h-2zm3 0h2v-2h-2zm-3-3h2v-2h-2zm3 0h2v-2h-2zm-3-3h2v-2h-2zm3 0h2v-2h-2zm0-3h2V8h-2z"
  }));
};

var _default = ViewshedIcon;
exports["default"] = _default;