"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var WalkingDistanceIcon = function WalkingDistanceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4 3L2 1.5 4 0v1h6v2h2V2l2 1.5L12 5V4H9V2H4zm11-1v3h1V2zM1 0H0v3h1zm8 14h7v-1H9zm-9 0h2v-1H0zm4.25-8.5A1.25 1.25 0 1 0 5.5 4.25 1.25 1.25 0 0 0 4.25 5.5zm3.51 7.25l-1.253-1.744-.152-2.79c-.034-.666-.941-.75-1.755-.816-.488.826-1.281 2.363-1.614 3.015a.372.372 0 0 0 .137.487.382.382 0 0 0 .533-.137l1.087-1.921.133 2.24 1.792 2.14.875 2.465a.592.592 0 0 0 .68.287.618.618 0 0 0 .355-.72c-.014-.058-.818-2.506-.818-2.506zm-3.48.049l-1.584 2.213a.561.561 0 1 0 .934.62l1.666-2.213.12-.57-.835-.999zM7.104 8.79l.056 1.038 1.067.802a.455.455 0 0 0 .46-.759z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 5v3h-1V5zM2 2H1v3h1zm4 2h6v3h6v2.19l3.058-2.69L18 3.81V6h-5V3H6V.81L2.942 3.5 6 6.19zm.6 4.992a1.4 1.4 0 1 0 1.4-1.4 1.4 1.4 0 0 0-1.4 1.4zm4.677 9.936l-1.746-2.432-.21-3.89c-.05-.927-1.313-1.044-2.45-1.137-.68 1.152-1.785 3.294-2.25 4.203a.52.52 0 0 0 .191.678.532.532 0 0 0 .744-.19l1.515-2.678.186 3.123 2.498 2.984 1.22 3.436a.826.826 0 0 0 .948.4.861.861 0 0 0 .495-1.003c-.02-.082-1.14-3.494-1.14-3.494zm-4.851.067l-2.207 3.086a.783.783 0 1 0 1.301.864l2.324-3.086.168-.794-1.166-1.392zm3.94-5.587l.078 1.447 1.487 1.119a.635.635 0 0 0 .643-1.058zM13 20h10v-1H13zM1 20h3v-1H1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30 7v5h-1V7zM3 3H2v5h1zm4 3h8v4h10v2.19l3.058-2.69L25 6.81V9h-9V5H7V2.81L3.942 5.5 7 8.19zM6 23H2v1h4zm11 1h13v-1H17zM8.75 12.5a1.75 1.75 0 1 0 1.75-1.75 1.75 1.75 0 0 0-1.75 1.75zm5.678 11.759L12.26 21.24l-.262-4.829c-.06-1.15-1.629-1.295-3.04-1.411-.844 1.43-2.216 4.089-2.793 5.217a.644.644 0 0 0 .237.843.66.66 0 0 0 .924-.237l1.88-3.324.23 3.877 3.102 3.704 1.54 4.341a.972.972 0 0 0 1.86-.443.851.851 0 0 0-.027-.18c-.026-.101-1.483-4.54-1.483-4.54zm-6.022.084l-2.74 3.83a.972.972 0 1 0 1.616 1.072l2.884-3.83.3-1.419-1.413-1.687zm4.56-6.587l.094 1.721s1.553 1.043 2.1 1.373a.788.788 0 0 0 .736-1.349z"
  }));
};

var _default = WalkingDistanceIcon;
exports["default"] = _default;