"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var WalkingIcon = function WalkingIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.9 1.491a1.4 1.4 0 1 1-1.4-1.4 1.4 1.4 0 0 1 1.4 1.4zm-.08 3.614C8.772 4.18 7.508 4.062 6.371 3.97c-.68 1.152-1.785 3.294-2.25 4.203a.52.52 0 0 0 .191.678.532.532 0 0 0 .744-.19l1.515-2.678.186 3.123 2.498 2.984 1.22 3.436a.826.826 0 0 0 .948.4.861.861 0 0 0 .495-1.003c-.02-.082-1.14-3.494-1.14-3.494L9.03 8.996l-.21-3.89zm-1.308 6.46l-1.165-1.392-.421 1.322-2.207 3.086a.783.783 0 1 0 1.301.864l2.324-3.086zm4.571-3.246a.64.64 0 0 0-.01-.904L9.866 5.908l.079 1.447 1.487 1.119a.635.635 0 0 0 .652-.155z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.1 3A1.9 1.9 0 1 1 12 4.9 1.899 1.899 0 0 1 10.1 3zm6.257 13.26l-2.425-3.377-.293-5.403c-.067-1.287-1.823-1.449-3.401-1.579-.945 1.6-2.48 4.575-3.125 5.838a.721.721 0 0 0 .265.942.74.74 0 0 0 1.033-.264l2.104-3.72.258 4.338 3.47 4.144 1.724 4.858a1.088 1.088 0 0 0 2.081-.496.953.953 0 0 0-.03-.202c-.03-.113-1.66-5.078-1.66-5.078zm-6.014-2.18l1.581 1.887-.335 1.588-3.227 4.285a1.087 1.087 0 1 1-1.808-1.2l3.065-4.285zM18 10.936a.881.881 0 0 1-.824 1.51c-.611-.37-2.35-1.536-2.35-1.536l-.104-1.926z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23.263 28.594a1.218 1.218 0 0 1 .039.258 1.392 1.392 0 0 1-2.664.636l-2.206-6.219-4.442-5.304-.331-5.553-2.693 4.761a.946.946 0 0 1-1.322.339.923.923 0 0 1-.34-1.206c.826-1.617 2.79-5.425 4-7.473 2.021.167 4.268.374 4.354 2.021l.375 6.917 3.105 4.323s2.087 6.356 2.125 6.5zm-12.36.641l4.13-5.485.45-2.131-2.015-2.407-.955 3.002L8.59 27.7a1.391 1.391 0 1 0 2.313 1.535zm8.027-17.094l.134 2.47 3.672 2.595a1.128 1.128 0 0 0 1.054-1.931zM15.5 3A2.5 2.5 0 1 0 18 5.5 2.5 2.5 0 0 0 15.5 3z"
  }));
};

var _default = WalkingIcon;
exports["default"] = _default;