"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var WebIcon = function WebIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.76 13a7.284 7.284 0 0 0 11.48 0h.005v-.006a7.27 7.27 0 0 0 0-8.988V4h-.004A7.284 7.284 0 0 0 2.759 4h-.004v.006a7.27 7.27 0 0 0 0 8.988V13zm1.95-8a11.5 11.5 0 0 0-.495 3h-1.99a6.26 6.26 0 0 1 1.04-3zm9.025 0a6.26 6.26 0 0 1 1.04 3h-1.99a11.5 11.5 0 0 0-.495-3zm-1.445 7a11.5 11.5 0 0 0 .495-3h1.99a6.259 6.259 0 0 1-1.04 3zM8 13v1.716A3.324 3.324 0 0 1 6.22 13zm-2.225-1a10.318 10.318 0 0 1-.561-3H8v3zM9 14.716V13h1.78A3.324 3.324 0 0 1 9 14.716zM9 12V9h2.786a10.318 10.318 0 0 1-.561 3zm2.786-4H9V5h2.225a10.318 10.318 0 0 1 .561 3zM9 4V2.284A3.324 3.324 0 0 1 10.78 4zM8 2.284V4H6.22A3.324 3.324 0 0 1 8 2.284zM8 5v3H5.214a10.318 10.318 0 0 1 .561-3zM4.215 9a11.5 11.5 0 0 0 .495 3H3.265a6.259 6.259 0 0 1-1.04-3zm.881 4a6.864 6.864 0 0 0 .662 1.163A6.324 6.324 0 0 1 4.1 13zm6.146 1.163A6.864 6.864 0 0 0 11.904 13h.996a6.324 6.324 0 0 1-1.658 1.163zM11.904 4a6.864 6.864 0 0 0-.662-1.163A6.323 6.323 0 0 1 12.9 4zM5.758 2.837A6.864 6.864 0 0 0 5.096 4H4.1a6.323 6.323 0 0 1 1.66-1.163z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.501 6.028V6h-.02A10.28 10.28 0 0 0 4.519 6H4.5v.028a10.262 10.262 0 0 0 0 12.944V19h.02a10.28 10.28 0 0 0 15.962 0h.021v-.028a10.262 10.262 0 0 0 0-12.944zM13 6V3.272A4.533 4.533 0 0 1 15.54 6zm2.935 1a16.827 16.827 0 0 1 .853 5H13V7zM12 3.272V6H9.46A4.533 4.533 0 0 1 12 3.272zM12 7v5H8.212a16.827 16.827 0 0 1 .853-5zm-4.787 5H3.226a9.234 9.234 0 0 1 1.792-5h2.984a17.952 17.952 0 0 0-.79 5zm0 1a17.952 17.952 0 0 0 .789 5H5.018a9.234 9.234 0 0 1-1.792-5zm1 0H12v5H9.065a16.827 16.827 0 0 1-.853-5zM12 19v2.728A4.533 4.533 0 0 1 9.46 19zm1 2.728V19h2.54A4.533 4.533 0 0 1 13 21.728zM13 18v-5h3.788a16.827 16.827 0 0 1-.853 5zm4.787-5h3.987a9.234 9.234 0 0 1-1.792 5h-2.984a17.952 17.952 0 0 0 .79-5zm0-1a17.952 17.952 0 0 0-.789-5h2.984a9.234 9.234 0 0 1 1.792 5zm1.352-6h-2.501a8.524 8.524 0 0 0-1.441-2.398A9.306 9.306 0 0 1 19.139 6zM9.803 3.602A8.524 8.524 0 0 0 8.363 6H5.86a9.306 9.306 0 0 1 3.942-2.398zM5.861 19h2.501a8.524 8.524 0 0 0 1.441 2.398A9.306 9.306 0 0 1 5.861 19zm9.336 2.398A8.524 8.524 0 0 0 16.637 19h2.502a9.306 9.306 0 0 1-3.942 2.398z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 2.2a14.3 14.3 0 1 0 14.3 14.3A14.3 14.3 0 0 0 16.5 2.2zM3.225 17h4.99a22.74 22.74 0 0 0 .901 6H4.903a13.218 13.218 0 0 1-1.678-6zM17 9V3.246c2.29.285 4.295 2.492 5.523 5.754zm5.862 1a21.999 21.999 0 0 1 .924 6H17v-6zM16 3.246V9h-5.523C11.705 5.738 13.709 3.531 16 3.246zM16 10v6H9.214a21.999 21.999 0 0 1 .924-6zm-7.785 6h-4.99a13.218 13.218 0 0 1 1.678-6h4.213a22.74 22.74 0 0 0-.901 6zm1 1H16v6h-5.862a21.999 21.999 0 0 1-.924-6zM16 24v5.754c-2.29-.285-4.295-2.492-5.523-5.754zm1 5.754V24h5.523c-1.228 3.262-3.232 5.469-5.523 5.754zM17 23v-6h6.786a21.999 21.999 0 0 1-.924 6zm7.785-6h4.99a13.218 13.218 0 0 1-1.678 6h-4.213a22.74 22.74 0 0 0 .901-6zm0-1a22.74 22.74 0 0 0-.901-6h4.213a13.218 13.218 0 0 1 1.678 6zm2.696-7h-3.928a12.578 12.578 0 0 0-3.329-5.261A13.316 13.316 0 0 1 27.481 9zM12.776 3.739A12.578 12.578 0 0 0 9.446 9H5.52a13.316 13.316 0 0 1 7.257-5.261zM5.519 24h3.928a12.578 12.578 0 0 0 3.329 5.261A13.316 13.316 0 0 1 5.519 24zm14.705 5.261A12.578 12.578 0 0 0 23.554 24h3.927a13.316 13.316 0 0 1-7.257 5.261z"
  }));
};

var _default = WebIcon;
exports["default"] = _default;