"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var WebhookIcon = function WebhookIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.99 11.5A3.496 3.496 0 0 0 12.5 8a3.58 3.58 0 0 0-1.258.229L9.628 5.48A1.54 1.54 0 0 0 10 4.5 1.5 1.5 0 1 0 8.501 6a1.527 1.527 0 0 0 .257-.027l2.095 3.567.425-.23A2.529 2.529 0 0 1 12.5 9a2.5 2.5 0 1 1-1.284 4.646l-.516.857a3.494 3.494 0 0 0 5.29-3.003zM8 4.501A.5.5 0 1 1 8.501 5 .506.506 0 0 1 8 4.501zM3.293 9.266l-.482-.875A3.585 3.585 0 0 0 1.01 11.5 3.51 3.51 0 0 0 4.5 15a3.572 3.572 0 0 0 3.465-3l3.125-.007a1.5 1.5 0 1 0 .004-1l-4.069.02-.013.483A2.567 2.567 0 0 1 4.5 14 2.497 2.497 0 0 1 2 11.5a2.584 2.584 0 0 1 1.293-2.234zM12.5 11a.5.5 0 1 1-.5.5.501.501 0 0 1 .5-.5zM8.499 1A3.5 3.5 0 0 0 5.01 4.501a3.425 3.425 0 0 0 1.363 2.771L4.775 10.03a1.527 1.527 0 0 0-.274-.03A1.5 1.5 0 1 0 6 11.501a1.538 1.538 0 0 0-.362-.967l2.094-3.611-.446-.247A2.425 2.425 0 0 1 6 4.5a2.5 2.5 0 0 1 5-.002 2.398 2.398 0 0 1-.021.312l.992.13A3.377 3.377 0 0 0 12 4.5 3.508 3.508 0 0 0 8.499 1zm-4 11A.5.5 0 1 1 5 11.501a.514.514 0 0 1-.501.499z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M17.974 7A4.967 4.967 0 0 0 18 6.5a5.5 5.5 0 1 0-8.672 4.491L7.18 15.114A2.428 2.428 0 0 0 6.496 15 2.5 2.5 0 1 0 9 17.496a2.36 2.36 0 0 0-.93-1.925l2.576-4.943-.41-.241A4.5 4.5 0 1 1 17 6.5a4.8 4.8 0 0 1-.022.452zM6.503 18.999a1.5 1.5 0 1 1 1.496-1.503A1.518 1.518 0 0 1 6.503 19zM18.5 12a5.735 5.735 0 0 0-1.453.157l-2.744-3.941A2.414 2.414 0 0 0 15 6.5a2.544 2.544 0 1 0-1.518 2.284l3.17 4.557.36-.13A4.267 4.267 0 0 1 18.5 13a4.5 4.5 0 1 1-.008 9h-.006a4.684 4.684 0 0 1-3.12-1.355l-.703.71A5.653 5.653 0 0 0 18.49 23h.011a5.5 5.5 0 0 0 0-11zM11 6.5A1.5 1.5 0 1 1 12.5 8 1.509 1.509 0 0 1 11 6.5zM18.5 20a2.5 2.5 0 1 0-2.447-3h-5.05l-.003.497A4.546 4.546 0 0 1 6.5 22 4.526 4.526 0 0 1 2 17.5a4.596 4.596 0 0 1 3.148-4.37l-.296-.954A5.606 5.606 0 0 0 1 17.5 5.532 5.532 0 0 0 6.5 23a5.573 5.573 0 0 0 5.478-5h4.08a2.487 2.487 0 0 0 2.442 2zm0-4a1.5 1.5 0 1 1-1.5 1.5 1.509 1.509 0 0 1 1.5-1.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M14.718 24h6.466A2.97 2.97 0 1 0 21 23h-7.2a5.8 5.8 0 1 1-7.196-5.63l-.24-.972A6.8 6.8 0 1 0 14.718 24zM24 21a2 2 0 1 1-2 2 2.003 2.003 0 0 1 2-2zM8 20a3 3 0 1 0 2.99 3 2.973 2.973 0 0 0-1.102-2.313l3.26-6.616-.365-.244A5.8 5.8 0 1 1 21.8 9a5.889 5.889 0 0 1-.148 1.309l.975.222A6.887 6.887 0 0 0 22.8 9a6.8 6.8 0 1 0-10.93 5.402L9.02 20.19A2.966 2.966 0 0 0 8 20zm0 5a2 2 0 1 1 2-2 2.003 2.003 0 0 1-2 2zm16-8.75a6.768 6.768 0 0 0-3.096.75l-3.046-5.663a3.088 3.088 0 1 0-.876.484l3.536 6.57.638-.39a5.75 5.75 0 1 1-1.153 9.133l-.695.719A6.75 6.75 0 1 0 24 16.25zM14 9a2 2 0 1 1 2 2 2.003 2.003 0 0 1-2-2z"
  }));
};

var _default = WebhookIcon;
exports["default"] = _default;