"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var WheelchairIcon = function WheelchairIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.9 2.5a1.4 1.4 0 1 1-1.4-1.4 1.4 1.4 0 0 1 1.4 1.4zM4 7.244a.5.5 0 0 0 .416-.223l1.352-2.027h2.361L7.107 7.061a4.474 4.474 0 0 1 2.51 1.205l1.142-2.284a1.018 1.018 0 0 0-.427-1.352L9.26 4.09a2.466 2.466 0 0 0-.761-.095H5.232L3.584 6.468A.5.5 0 0 0 4 7.245zm9.174 2.415l-1.578 4.687a.5.5 0 1 1-.948-.32L12.004 10h-1.28a4.488 4.488 0 0 0-.486-1H12.7a.5.5 0 0 1 .474.66zM6.5 15A3.5 3.5 0 1 0 3 11.5 3.5 3.5 0 0 0 6.5 15zm0-1A2.5 2.5 0 1 1 9 11.5 2.503 2.503 0 0 1 6.5 14z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.1 3.001A1.9 1.9 0 1 1 17.001 4.9a1.9 1.9 0 0 1-1.9-1.899zM14.8 17.5a5.3 5.3 0 1 1-5.3-5.3 5.3 5.3 0 0 1 5.3 5.3zm-1.8 0A3.5 3.5 0 1 0 9.5 21a3.504 3.504 0 0 0 3.5-3.5zm6.418-4.493l-5.231-.006A6.52 6.52 0 0 1 15.5 15h2.538l-1.497 5.093a1 1 0 1 0 1.918.564l1.875-6.375a1.001 1.001 0 0 0 .041-.282.987.987 0 0 0-.957-.993zM6.82 9.975a.802.802 0 0 0 .667-.356L9.5 6.599h3.19l-2.213 4.474a6.489 6.489 0 0 1 3.636 1.852l2.375-4.751a1.526 1.526 0 0 0-.64-2.027L13.48 5H8.644L6.157 8.731a.791.791 0 0 0-.135.443.8.8 0 0 0 .799.8z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M12 29.8a6.8 6.8 0 1 1 6.8-6.8 6.8 6.8 0 0 1-6.8 6.8zm0-2A4.8 4.8 0 1 0 7.2 23a4.805 4.805 0 0 0 4.8 4.8zm3.155-18.202l-2.583 5.222a8.166 8.166 0 0 1 4.816 2.003l2.83-5.66a2.036 2.036 0 0 0-.855-2.702l-2.922-1.463H9.627L6.24 12.077a1.3 1.3 0 0 0 2.164 1.442l2.614-3.921zm4.798 11.4h2.042l-1.934 6.577a1.5 1.5 0 1 0 2.878.846l2.5-8.5a1.524 1.524 0 0 0 .061-.421A1.5 1.5 0 0 0 24 18l-5.506-.002a8.176 8.176 0 0 1 1.459 3zM21.499 8A2.5 2.5 0 1 0 19 5.5 2.5 2.5 0 0 0 21.5 8z"
  }));
};

var _default = WheelchairIcon;
exports["default"] = _default;